package ROM;

import java.util.HashSet;

/** This represents the <B>EnumerationType</B> object
 * @author <I>Brandon Morel</I>
 * <a href="mailto:morel@ittc.ku.edu"></a>
 */

public class EnumerationType extends Type {
	
    private static BunchValue elements;
    private static Type elementType;
    
    /** The primary Constructor
     * @param parentIn The parent object
     * @param type the type of the elements
     * @param elementsIn The initial values in the type
     * @return Not applicable
     */
    public EnumerationType(BaseObject parentIn, BunchValue elementsIn, Type
					 type) {
	super(parentIn);
	elements = elementsIn;
	elementType = type;
    }

    /** The secondary constructor
     * @param parent The BaseObject parent of an object of this class
     * @return Not applicable
     */
    public EnumerationType(Item parent) {
	super(parent);
    }

    /** To get the set of all possible values of type
     * Note: It may not always be possible to implement this set (infinite)
     * @return BunchValue containing values
     */
    public BunchValue getElements() {
	return elements;
    }

    /** To add an element to the type
     * @param elementIn The object to be added
     * @return void
     */
    public void addOneElement(Object elementIn) {
	elements.getElementSet().add(elementIn);
    }
    
    /**To get the element type
     * @param void
     * @return type The type of the element
     */
    public Type getElementType(){
	return elementType;
    }
    
    //This function just prints the string format of the record
    public void publishROM(PrintWriter pw){
	if (toString() !=null)
	    pw.print(toString());
    }
}

