//=============================================================================
//  Copyright (c) 2000 University of Kansas 
//  All rights reserved.
//
//  KU MAKES NO REPRESENTATIONS OR WARRANTIES ABOUT THE SUITABILITY OF 
//  THE SOFTWARE, EITHER EXPRESS OR IMPLIED, INCLUDING BUT NOT LIMITED
//  TO THE IMPLIED WARRANTIES OF MERCHANTABILITY, FITNESS FOR A
//  PARTICULAR PURPOSE, OR NON-INFRINGEMENT.  KU SHALL NOT BE LIABLE
//  FOR ANY DAMAGES SUFFERED BY LICENSEE AS A RESULT OF USING,
//  MODIFYING OR DISTRIBUTING THIS SOFTWARE OR ITS DERIVATIVES.
//
//
//  By using or copying this Software, Licensee agrees to abide by the
//  intellectual property laws, and all other applicable laws of the
//  U.S., and the terms of this license.
//
//	authors: Cindy Kong
//
//  $Id: RationalValue.java,v 1.2 2000/11/13 21:49:11 cvs Exp $
//
//  Revision History:
//  ----------------
//  $Log: RationalValue.java,v $
//  Revision 1.2  2000/11/13 21:49:11  cvs
//  Added the function buildROM to all the classes.
//  --srinivas
//
//  Revision 1.1  2000/10/25 20:50:07  cvs
//  Implemented some of the methods for a type. Each type contains a
//  bunch(BunchValue object) that groups the elements that are of that
//  type. For the built-in types, the bunch is fixed. For composite types
//  or user defined types, the bunch gets elements added to it when a new
//  element of the type is defined by a user.
//  Added ParameterItem class, as a parameter item is a specific case of a
//  labelled item (there is a field for the mode).
//  Initialized the built-in types in Universe.
//  -- Cindy
//
//
//
//=============================================================================

package ROM;
import java.io.*;
import java.util.HashSet;

/** This represents the <B>RationalValue</B> object
 * @author <I>Cindy Kong</I>
 * <a href="mailto:ckong@ittc.ukans.edu">ckong@ittc.ukans.edu</a>
 */
public class RationalValue extends Expression {

	private Integer denominator;
	private Integer numerator;

	/** The primary Constructor
	 * @return Not applicable
	 */
	public RationalValue(Item parent) {
		super(parent);
	}

	/** To set the denominator
	 * @param denIn Integer representing denominator
	 * @return void
	 */
	public void setDenominator(Integer denIn) {
		denominator = denIn;
	}

	/** To get the denominator
	 * @return Integer, containing denominator
	 */
	public Integer getDenominator() {
		return denominator;
	}

	/** To set the numerator
	 * @param numIn Integer representing numerator
	 * @return void
	 */
	public void setNumerator(Integer numIn) {
		numerator = numIn;
	}
	
	/** To get the numerator
	 * @return Integer, containing numerator
	 */
	public Integer getNumerator() {
		return numerator;
	}
	
	/** To get the string representation of the object
	 * @return String representing the string of this object
	 */
	public String toString() {
		// to be completed
		return null;
	}

	public LabelledItem labelLookup(Label label2){
		return null;
	}

	public void publishROM(PrintWriter pw){
		if (toString() !=null)
			pw.print(toString());
	}


}

