//============================================================================
//  Copyright (c) 2000 University of Kansas 
//  All rights reserved.
//
//  KU MAKES NO REPRESENTATIONS OR WARRANTIES ABOUT THE SUITABILITY OF 
//  THE SOFTWARE, EITHER EXPRESS OR IMPLIED, INCLUDING BUT NOT LIMITED
//  TO THE IMPLIED WARRANTIES OF MERCHANTABILITY, FITNESS FOR A
//  PARTICULAR PURPOSE, OR NON-INFRINGEMENT.  KU SHALL NOT BE LIABLE
//  FOR ANY DAMAGES SUFFERED BY LICENSEE AS A RESULT OF USING,
//  MODIFYING OR DISTRIBUTING THIS SOFTWARE OR ITS DERIVATIVES.
//
//
//  By using or copying this Software, Licensee agrees to abide by the
//  intellectual property laws, and all other applicable laws of the
//  U.S., and the terms of this license.
//
//	authors: Cindy ckong@ittc.ukans.edu
//           David schond@ittc.ukans.edu
//
//  $Id: Tuple.java,v 1.5 2000/11/17 23:14:14 cvs Exp $
//
//  Revision History:
//  ----------------
//  $Log: Tuple.java,v $
//  Revision 1.5  2000/11/17 23:14:14  cvs
//  Added the method labelLookup in some classes and changed the same method in others
//  --srinivas
//
//  Revision 1.4  2000/11/13 21:49:12  cvs
//  Added the function buildROM to all the classes.
//  --srinivas
//
//  Revision 1.3  2000/08/30 20:39:11  cvs
//  Changed Expression class to inherit from Value and amended all other classes affected by this change. -David
//
//  Revision 1.2  2000/08/10 01:04:13  cvs
//  All object in ROM has a parent, therefore implemented the constructors
//  to take in a BaseObject parent.
//  -- Cindy
//
//  Revision 1.1  2000/08/09 23:03:13  cvs
//  Dropped the ROM_ prefix on all files; dumped getElt() method from
//  List.java, made Universe a subclass of BaseObject. --David 
//
//  Revision 1.1  2000/08/09 15:44:14  cvs
//  Just adding some class skeltons for various subclasses of Expression
//
//
//=============================================================================
package ROM;
import java.io.*;
/** This represents the <B>Tuple</B> object
 * @author <I> Cindy Kong and David Schonberger </I>
 * (ckong@ittc.ukans.edu, schond@ittc.ukans.edu)
 */

public class Tuple 
extends Expression {

	/** The primary constructor
	 * @param parent The BaseObject parent of an object of this class
	 * @return Not applicable
	 */
	public Tuple(Item parent) {
		super(parent);
	}

	/** To get the string representation of the object
	 * @return String representing the string of this object
	 */
	public String toString() {
		// to be completed
		return null;
	}

	//Added by srinivas on Nov 10th , 2000
	// This function returns null as these are no items declared
	public LabelledItem labelLookup(Label label2){
		return null;
	}
  
	//This function just prints the string format of the record
	public void publishROM(PrintWriter pw){
		if (toString() !=null)
			pw.print(toString());
	}

}

		

