//============================================================================
//  Copyright (c) 2000 University of Kansas 
//  All rights reserved.
//
//  KU MAKES NO REPRESENTATIONS OR WARRANTIES ABOUT THE SUITABILITY OF 
//  THE SOFTWARE, EITHER EXPRESS OR IMPLIED, INCLUDING BUT NOT LIMITED
//  TO THE IMPLIED WARRANTIES OF MERCHANTABILITY, FITNESS FOR A
//  PARTICULAR PURPOSE, OR NON-INFRINGEMENT.  KU SHALL NOT BE LIABLE
//  FOR ANY DAMAGES SUFFERED BY LICENSEE AS A RESULT OF USING,
//  MODIFYING OR DISTRIBUTING THIS SOFTWARE OR ITS DERIVATIVES.
//
//
//  By using or copying this Software, Licensee agrees to abide by the
//  intellectual property laws, and all other applicable laws of the
//  U.S., and the terms of this license.
//
//	authors: Cindy ckong@ittc.ukans.edu
//
//  $Id: SOM_ConstantLiteral.java,v 1.5 2000/12/03 23:55:25 cvs Exp $
//
//  Revision History:
//  ----------------
//  $Log: SOM_ConstantLiteral.java,v $
//  Revision 1.5  2000/12/03 23:55:25  cvs
//  Added the M__Value method to the Literal classes.Previously they were returning null.The M__Type method for all the Declaration statement classes has been completed
//  --srinivas
//
//  Revision 1.4  2000/11/18 00:18:26  cvs
//  Changed the M__Value method so that it takes ROM.Factory as a parameter
//  --srinivas
//
//  Revision 1.3  2000/10/30 22:13:23  cvs
//  The M__Value  function is implemented for the terms(SOM_LabelledExpression) and it returns a ROM Expression.
//  --srinivas
//
//  Revision 1.2  2000/08/01 22:48:46  cvs
//  added publishPVS templates in each of the expression subclasses.
//  Currently SOCCER supports PVS translation of "%" and "-" unary operator,
//  other translations can be done in these publishPVS templates as and when
//  needed - makarand.
//
//  Revision 1.1  2000/04/28 19:34:04  cvs
//  Added some more of typechecking. Added parsing of the $ operator and constant literal.
//  -- Cindy
//
//
//=============================================================================
package SOM;
import ROM.*;
import java.io.PrintWriter;

/** This represents the <B>ConstantLiteral</B> object
 * @author <I>Cindy Kong</I> (ckong@ittc.ukans.edu)
 */
public class SOM_ConstantLiteral
extends SOM_Literal
implements SOM_Terminal {

	/** The primary Constructor
	 * @return Not applicable
	 */
	public SOM_ConstantLiteral() {
		super();
	}

	/** The second constructor
	 * @param literalIn The String representation of the constant literal
	 * @return Not applicable
	 */
	public SOM_ConstantLiteral(String literalIn) {
		super(literalIn);
	}

	// To be completed as necessary !! - Cindy
	/** To get the constant literal associated with the literal
	 * @return A constant corresponding to the constant literal 
	 */
	public Object getValue() {
		return null;
	}

	/** The publishRosetta routine for this terminal
	 * @return void
	 */
	public void publishRosettaTerminal(PrintWriter pw) {
		pw.print(literal + " ");
	}

	//added by srinivas on Oct 24th 2000
    /*The Meta Function to get the value of the item
     *@param BaseObject parent
	 *@param Universe root
     * @return Expression
     */	
	public Expression M__Value(Factory romFactory,BaseObject parent,
							   Universe root){
	  StringLiteral literal = new StringLiteral(parent,getLiteral());
	  return (Expression)literal;
	}

	/** The publishSOM routine for this terminal
	 * @return void
	 */
	public void publishSOM(PrintWriter pw) {
		pw.print(literal + " ");
	}

		/** The publishPVS routine for this terminal
		 * @return void
		 */
		public void publishPVS(PrintWriter pw) {
				pw.print(literal + " ");
		}
}
