//============================================================================
//  Copyright (c) 2000 University of Kansas 
//  All rights reserved.
//
//  KU MAKES NO REPRESENTATIONS OR WARRANTIES ABOUT THE SUITABILITY OF 
//  THE SOFTWARE, EITHER EXPRESS OR IMPLIED, INCLUDING BUT NOT LIMITED
//  TO THE IMPLIED WARRANTIES OF MERCHANTABILITY, FITNESS FOR A
//  PARTICULAR PURPOSE, OR NON-INFRINGEMENT.  KU SHALL NOT BE LIABLE
//  FOR ANY DAMAGES SUFFERED BY LICENSEE AS A RESULT OF USING,
//  MODIFYING OR DISTRIBUTING THIS SOFTWARE OR ITS DERIVATIVES.
//
//
//  By using or copying this Software, Licensee agrees to abide by the
//  intellectual property laws, and all other applicable laws of the
//  U.S., and the terms of this license.
//
//	authors: Cindy ckong@ittc.ukans.edu
//
//  $Id: SOM_Design.java,v 1.1 2001/03/21 00:05:05 cvs Exp $
//
//  Revision History:
//  ----------------
//  $Log: SOM_Design.java,v $
//  Revision 1.1  2001/03/21 00:05:05  cvs
//  Added the "design" mode for parameters (SOM_Design.java). Changed the
//  semantics for export clauses. Removed the expression member from
//  SOM_FacetDeclaration.java and SOM_PackageDeclaration.java. Added code
//  to catch error when type-checking fails. Removed the redundant methods
//  getExportList() from SOM_FacetDeclaration.java,
//  SOM_PackageDeclaration.java and SOM_ComponentDeclaration.java.
//  -- Cindy
//
//
//
//=============================================================================
package SOM;

import java.io.PrintWriter;

/** This represents the <B>Design</B> object
 * @author <I>Cindy Kong</I> (ckong@ittc.ukans.edu)
 */
public class SOM_Design
extends SOM_KeyWord
implements SOM_Mode {

	/** The primary Constructor
	 * @return Not applicable
	 */
	public SOM_Design() {
		super();
	}

	/** The publishRosetta routine for this terminal
	 * @return void
	 */
	public void publishRosettaTerminal(PrintWriter pw) {
		pw.print("design ");
	}

	/** Providing a body for the method in the interface
	 * @returns int corresponding to SOM.SOM_Mode.DESIGN
	 */
	public int getMode() {
		return DESIGN;
	}

	/** The publishSOM routine for this class
	 * @return void
	 */
    public void publishSOM(PrintWriter pw){
		pw.print("design ");
    }
}
