//============================================================================
//  Copyright (c) 2000 University of Kansas 
//  All rights reserved.
//
//  KU MAKES NO REPRESENTATIONS OR WARRANTIES ABOUT THE SUITABILITY OF 
//  THE SOFTWARE, EITHER EXPRESS OR IMPLIED, INCLUDING BUT NOT LIMITED
//  TO THE IMPLIED WARRANTIES OF MERCHANTABILITY, FITNESS FOR A
//  PARTICULAR PURPOSE, OR NON-INFRINGEMENT.  KU SHALL NOT BE LIABLE
//  FOR ANY DAMAGES SUFFERED BY LICENSEE AS A RESULT OF USING,
//  MODIFYING OR DISTRIBUTING THIS SOFTWARE OR ITS DERIVATIVES.
//
//
//  By using or copying this Software, Licensee agrees to abide by the
//  intellectual property laws, and all other applicable laws of the
//  U.S., and the terms of this license.
//
//	authors: Roshan rkamath@ececs.uc.edu
//
//  $Id: SOM_ExportClause.java,v 1.6 2001/03/12 23:54:37 cvs Exp $
//
//  Revision History:
//  ----------------
//  $Log: SOM_ExportClause.java,v $
//  Revision 1.6  2001/03/12 23:54:37  cvs
//  Changed the order of precedence of the "=" operator. It now has lowest
//  precedence of all operators except for the "==" operator. Added some
//  type checking for facet expressions and as a result, domain names have
//  to be legal facet names. Removed several bugs as well.
//  -- Cindy
//
//  Revision 1.5  2000/02/10 00:37:15  cvs
//  Changed Copyright information to University of Kansas
//  - by makarand
//
//  Revision 1.4  2000/02/08 18:42:24  cvs
//  Completed populating the object model and publishing the object model.
//  Added 'publishSOM(PrintWriter)' method to all necessary classes
//  (with the help 
//  of Makarand and Srini). Removed some unnecessary classes (due to changes
//  brought to the grammar). Renamed SOM_EqualityOperator to
//  SOM_EqualEqualOperator. Modified SldlParser.jj.h to populate the
//  object model. 
//  -- Cindy.
//
//  Revision 1.3  1999/11/16 04:05:23  cvs
//  Added support for export clause and visiblity
//
//  Revision 1.2  1999/11/13 20:01:26  cvs
//  Changed to the new OM and grammar. Some more features are to be added
//  and many bugs to be corrected. This is a commit for record and it compiles
//
//  Revision 1.1  1999/10/27 20:43:33  cvs
//  The huge commit - shifting the sldl-lrm archive from uc to kansas. The
//  SldlParser.jj still has holes - but committing it anyway.
//
//  Revision 1.1  1999/10/20 21:49:48  rkamath
//  The HUGE commit (moving from my personal archive to the "kbse" archive)
//  before it moves to Kansas...
//  These files will have the log-info from my archive; they can be ignored.
//  Work on this can start afresh once all the files are in place
//  The src/SldlParser.jj.pre has "holes" - but committing it anyway
//
//  Revision 1.2  1999/06/25 15:10:23  rkamath
//  Modified the Makefile and changed the javadoc comments in the java files
//
//  Revision 1.1  1999/06/23 18:35:00  rkamath
//  A fresh new addition and modification of new files
//
//
//=============================================================================
package SOM;

import java.io.PrintWriter;

/** This represents the <B>ExportClause</B> object
 * @author <I>Roshan Kamath</I> (rkamath@ececs.uc.edu)
 * @see SOM.SOM_BaseClass
 */
public class SOM_ExportClause
extends SOM_BaseClass{

	private SOM_IdentifierListing identifierListing;

	/** The primary Constructor
	 * @return Not applicable
	 */
	public SOM_ExportClause() {
		super();
	}

	/** To set the identifierListing
	 * @param identifierListIn The SOM_IdentifierListing to be set
	 * @return void
	 */
	public void setIdentifierListing(SOM_IdentifierListing identifierListIn){
		identifierListing = identifierListIn;
	}

	/** To get the identifierList corresponding to the identifierListing
	 * @return The SOM_IdentifierList
	 */
	public SOM_IdentifierList getIdentifierList(){
		return identifierListing.getIdentifierList();
	}

	/** The publishSOM routine for this class
	 * @return void
	 */
	public void publishSOM(PrintWriter pw) {
		pw.print("EXPORT ");
		identifierListing.publishSOM(pw);
		pw.print(";\n");
	}

}

