//============================================================================
//  Copyright (c) 2000 University of Kansas 
//  All rights reserved.
//
//  KU MAKES NO REPRESENTATIONS OR WARRANTIES ABOUT THE SUITABILITY OF 
//  THE SOFTWARE, EITHER EXPRESS OR IMPLIED, INCLUDING BUT NOT LIMITED
//  TO THE IMPLIED WARRANTIES OF MERCHANTABILITY, FITNESS FOR A
//  PARTICULAR PURPOSE, OR NON-INFRINGEMENT.  KU SHALL NOT BE LIABLE
//  FOR ANY DAMAGES SUFFERED BY LICENSEE AS A RESULT OF USING,
//  MODIFYING OR DISTRIBUTING THIS SOFTWARE OR ITS DERIVATIVES.
//
//
//  By using or copying this Software, Licensee agrees to abide by the
//  intellectual property laws, and all other applicable laws of the
//  U.S., and the terms of this license.
//
//	authors: Roshan rkamath@ececs.uc.edu
//
//  $Id: SOM_ExportClauseList.java,v 1.2 2000/02/10 00:37:15 cvs Exp $
//
//  Revision History:
//  ----------------
//  $Log: SOM_ExportClauseList.java,v $
//  Revision 1.2  2000/02/10 00:37:15  cvs
//  Changed Copyright information to University of Kansas
//  - by makarand
//
//  Revision 1.1  1999/10/27 20:43:33  cvs
//  The huge commit - shifting the sldl-lrm archive from uc to kansas. The
//  SldlParser.jj still has holes - but committing it anyway.
//
//  Revision 1.1  1999/10/20 21:49:49  rkamath
//  The HUGE commit (moving from my personal archive to the "kbse" archive)
//  before it moves to Kansas...
//  These files will have the log-info from my archive; they can be ignored.
//  Work on this can start afresh once all the files are in place
//  The src/SldlParser.jj.pre has "holes" - but committing it anyway
//
//  Revision 1.3  1999/07/13 14:27:14  rkamath
//  Changed the publishRosetta() function to take in a PrintWriter
//  Added some new classes too.
//  Also commented out currency based operations from the SOM_List class. Hope-
//  fully at a later date I'll include them in the SOM_ListEnumeration class if
//  found necessary.
//
//  Revision 1.2  1999/06/25 15:10:24  rkamath
//  Modified the Makefile and changed the javadoc comments in the java files
//
//  Revision 1.1  1999/06/23 18:35:01  rkamath
//  A fresh new addition and modification of new files
//
//
//=============================================================================
package SOM;

/** This represents the <B>ExportClauseList</B> object
 * @author <I>Roshan Kamath</I> (rkamath@ececs.uc.edu)
 * @see SOM.SOM_List
 * @see SOM.SOM_ExportClause
 */
public class SOM_ExportClauseList
extends SOM_List {

	/** The primary Constructor
	 * @return Not applicable
	 */
	public SOM_ExportClauseList() {
		super();
	}

	/** The Second Constructor
	 * @param exportClause The SOM_ExportClause object to be stored first
	 * @return Not applicable
	 */
	public SOM_ExportClauseList(SOM_ExportClause exportClause) {
		super(exportClause);
	}

	/** To append a SOM_ExportClause
	 * @param exportClause The SOM_ExportClause object to be appended
	 * @return void
	 */
	public void addElement(SOM_ExportClause exportClause) {
		super.addElement(exportClause);
	}
}
