//============================================================================
//  Copyright (c) 2000 University of Kansas 
//  All rights reserved.
//
//  KU MAKES NO REPRESENTATIONS OR WARRANTIES ABOUT THE SUITABILITY OF 
//  THE SOFTWARE, EITHER EXPRESS OR IMPLIED, INCLUDING BUT NOT LIMITED
//  TO THE IMPLIED WARRANTIES OF MERCHANTABILITY, FITNESS FOR A
//  PARTICULAR PURPOSE, OR NON-INFRINGEMENT.  KU SHALL NOT BE LIABLE
//  FOR ANY DAMAGES SUFFERED BY LICENSEE AS A RESULT OF USING,
//  MODIFYING OR DISTRIBUTING THIS SOFTWARE OR ITS DERIVATIVES.
//
//
//  By using or copying this Software, Licensee agrees to abide by the
//  intellectual property laws, and all other applicable laws of the
//  U.S., and the terms of this license.
//
//	authors: Roshan rkamath@ececs.uc.edu
//           Cindy ckong@ittc.ukans.edu
//
//  $Id: SOM_NMinOperator.java,v 1.5 2000/08/01 22:48:53 cvs Exp $
//
//  Revision History:
//  ----------------
//  $Log: SOM_NMinOperator.java,v $
//  Revision 1.5  2000/08/01 22:48:53  cvs
//  added publishPVS templates in each of the expression subclasses.
//  Currently SOCCER supports PVS translation of "%" and "-" unary operator,
//  other translations can be done in these publishPVS templates as and when
//  needed - makarand.
//
//  Revision 1.4  2000/03/23 00:20:37  cvs
//  Added the toString() method in the following classes to retrieve the String
//  representation for all these operators
//  - Krishna.
//
//  Revision 1.3  2000/02/10 00:37:27  cvs
//  Changed Copyright information to University of Kansas
//  - by makarand
//
//  Revision 1.2  2000/02/08 18:42:38  cvs
//  Completed populating the object model and publishing the object model.
//  Added 'publishSOM(PrintWriter)' method to all necessary classes (with the help
//  of Makarand and Srini). Removed some unnecessary classes (due to changes
//  brought to the grammar). Renamed SOM_EqualityOperator to
//  SOM_EqualEqualOperator. Modified SldlParser.jj.h to populate the object model.
//  -- Cindy.
//
//  Revision 1.1  2000/02/02 20:16:50  cvs
//  I am committing all the new class files I have created for the new operators and new rules Krishna has added to the grammar.
//  -- Cindy
//
//
//=============================================================================
package SOM;

import java.io.PrintWriter;

/** This represents the <B>NMinOperator</B> object
 * @author <I>Roshan Kamath and Cindy Kong</I> (rkamath@ececs.uc.edu, ckong@ittc.ukans.edu)
 */
public class SOM_NMinOperator
extends SOM_DyadicOperator {

	/** The primary Constructor
	 * @return Not applicable
	 */
	public SOM_NMinOperator() {
		super();
	}

	/** The publishRosetta routine for this terminal
	 * @return void
	 */
	public void publishRosettaTerminal(PrintWriter pw) {
		pw.print(" nmin ");
	}

	/** To get the string representation of this object
	 * @return String representation of this operator
	 */
	public String toString() {
			return new String("nmin");
	}
    
    /** publishSOM routine needed to print the object module
     * @return void
     */
    public void publishSOM(PrintWriter pw){
				pw.print(" nmin ");
    }

		/** The publishPVS routine for this class
		 * @return void
     * To be implemented as needed */
		public void publishPVS(PrintWriter pw) {
        publishSOM(pw);
		} 
}
