//============================================================================
//  Copyright (c) 2000 University of Kansas 
//  All rights reserved.
//
//  KU MAKES NO REPRESENTATIONS OR WARRANTIES ABOUT THE SUITABILITY OF 
//  THE SOFTWARE, EITHER EXPRESS OR IMPLIED, INCLUDING BUT NOT LIMITED
//  TO THE IMPLIED WARRANTIES OF MERCHANTABILITY, FITNESS FOR A
//  PARTICULAR PURPOSE, OR NON-INFRINGEMENT.  KU SHALL NOT BE LIABLE
//  FOR ANY DAMAGES SUFFERED BY LICENSEE AS A RESULT OF USING,
//  MODIFYING OR DISTRIBUTING THIS SOFTWARE OR ITS DERIVATIVES.
//
//
//  By using or copying this Software, Licensee agrees to abide by the
//  intellectual property laws, and all other applicable laws of the
//  U.S., and the terms of this license.
//
//	authors: Cindy ckong@ittc.ukans.edu
//
//  $Id: SOM_RecordItem.java,v 1.1 2000/06/22 17:22:46 cvs Exp $
//
//  Revision History:
//  ----------------
//  $Log: SOM_RecordItem.java,v $
//  Revision 1.1  2000/06/22 17:22:46  cvs
//  I modified the grammar to remove an error during parsing for record and tuple.
//  -- Cindy
//
//
//=============================================================================
package SOM;

import java.io.PrintWriter;

/** This represents the <B>RecordItem</B> object
 * @author <I>Cindy Kong</I> (ckong@ittc.ukans.edu)
 * @see SOM.SOM_BaseClass
 */
public class SOM_RecordItem
extends SOM_BaseClass {

	private SOM_Identifier id;
    private SOM_Expression expr;

	/** The primary Constructor
	 * @return Not applicable
	 */
	public SOM_RecordItem(SOM_Identifier newId, SOM_Expression newExpr) {
		super();
		id = newId;
		expr = newExpr;
	}

	/** To set the identifier
	 * @param newId The SOM_Identifier to be added
	 * @return void
	 */
	public void setIdentifier(SOM_Identifier newId) {
		id = newId;
	}

	/** To get the identifier
	 * @return SOM_Identifier 
	 */
	public SOM_Identifier getIdentifier() {
		return id;
	}

	/** To set the expression
	 * @param newExpr The SOM_Expression to be added
	 * @return void
	 */
	public void setExpression(SOM_Expression newExpr) {
		expr = newExpr;
	}

	/** To get the expression
	 * @return SOM_Expression 
	 */
	public SOM_Expression getExpression() {
		return expr;
	}

}

