//============================================================================
//  Copyright (c) 2000 University of Kansas 
//  All rights reserved.
//
//  KU MAKES NO REPRESENTATIONS OR WARRANTIES ABOUT THE SUITABILITY OF 
//  THE SOFTWARE, EITHER EXPRESS OR IMPLIED, INCLUDING BUT NOT LIMITED
//  TO THE IMPLIED WARRANTIES OF MERCHANTABILITY, FITNESS FOR A
//  PARTICULAR PURPOSE, OR NON-INFRINGEMENT.  KU SHALL NOT BE LIABLE
//  FOR ANY DAMAGES SUFFERED BY LICENSEE AS A RESULT OF USING,
//  MODIFYING OR DISTRIBUTING THIS SOFTWARE OR ITS DERIVATIVES.
//
//
//  By using or copying this Software, Licensee agrees to abide by the
//  intellectual property laws, and all other applicable laws of the
//  U.S., and the terms of this license.
//
//	authors: Roshan rkamath@ececs.uc.edu
//
//  $Id: SOM_TermTail.java,v 1.8 2000/08/01 22:48:57 cvs Exp $
//
//  Revision History:
//  ----------------
//  $Log: SOM_TermTail.java,v $
//  Revision 1.8  2000/08/01 22:48:57  cvs
//  added publishPVS templates in each of the expression subclasses.
//  Currently SOCCER supports PVS translation of "%" and "-" unary operator,
//  other translations can be done in these publishPVS templates as and when
//  needed - makarand.
//
//  Revision 1.7  2000/03/23 00:22:50  cvs
//  Huge commit! Added all the essential accessor methods for the following classes
//  - Krishna and Makarand
//
//  Revision 1.6  2000/02/10 00:37:33  cvs
//  Changed Copyright information to University of Kansas
//  - by makarand
//
//  Revision 1.5  2000/02/08 18:42:44  cvs
//  Completed populating the object model and publishing the object model.
//  Added 'publishSOM(PrintWriter)' method to all necessary classes (with the help
//  of Makarand and Srini). Removed some unnecessary classes (due to changes
//  brought to the grammar). Renamed SOM_EqualityOperator to
//  SOM_EqualEqualOperator. Modified SldlParser.jj.h to populate the object model.
//  -- Cindy.
//
//  Revision 1.4  2000/02/02 20:48:18  cvs
//  Committing SOM_ExpTermTail and SOM_TermTail.
//  -- Cindy
//
//  Revision 1.3  1999/11/15 03:16:29  cvs
//  Many changes - especially with unfolding of overloading. Everything
//  compiles now. Some features are yet to be coded...but it is now again
//  a rudimentary parser (as it was two weeks ago :)
//
//  Revision 1.2  1999/11/13 20:01:29  cvs
//  Changed to the new OM and grammar. Some more features are to be added
//  and many bugs to be corrected. This is a commit for record and it compiles
//
//  Revision 1.1  1999/10/27 20:43:49  cvs
//  The huge commit - shifting the sldl-lrm archive from uc to kansas. The
//  SldlParser.jj still has holes - but committing it anyway.
//
//  Revision 1.1  1999/10/20 21:51:41  rkamath
//  The HUGE commit (moving from my personal archive to the "kbse" archive)
//  before it moves to Kansas...
//  These files will have the log-info from my archive; they can be ignored.
//  Work on this can start afresh once all the files are in place
//  The src/SldlParser.jj.pre has "holes" - but committing it anyway
//
//  Revision 1.4  1999/07/21 00:28:18  rkamath
//  Small changes and consistency corrections...
//
//  Revision 1.3  1999/06/30 22:20:21  rkamath
//  Compeleted the object model coding for the expression grammar
//  The expression objects now inherit from a AbstractExpression class
//
//  Revision 1.2  1999/06/30 02:19:18  rkamath
//  Added a lot more files dealing with the expression OM.
//  Also modified some previous classes
//  Now the ROOT in the hierarchy is the SOM_Unifier interface.
//
//  Revision 1.1  1999/06/27 17:33:40  rkamath
//  Added some of the object model for the Expression grammar and a few changes to
//  the other files..
//
//
//=============================================================================
package SOM;

import java.io.PrintWriter;

/** This represents the <B>TermTail</B> object
 * @author <I>Roshan Kamath</I> (rkamath@ececs.uc.edu)
 */
public class SOM_TermTail
extends SOM_AbstractExpressionTail {

	/** The primary Constructor
	 * @return Not applicable
	 */
	public SOM_TermTail() {
		super();
	}

	/** To set the operator
	 * @param opIn The SOM_Operator to be set
	 * @return void
	 */
	public void setOperator(SOM_DyadicOperator opIn) {
		super.setOperator(opIn);
	}

  /** To get the operator
	 * @return The SOM_Operator 
	 */
	public SOM_DyadicOperator getOperator() {
		return super.getOperator();
	}

	/** To set the expTerm
	 * @param expTermIn The SOM_ExpTerm to be set
	 * @return void
	 */
		public void setExpTerm(SOM_ExpTerm expTermIn) {
				setExpression((SOM_AbstractExpression)expTermIn);
		}
		
	 /** To set the expTerm
	 * @return The SOM_ExpTerm 
	 */
		public SOM_ExpTerm getExpTerm() {
				return (SOM_ExpTerm)getExpression();
		}
		
	/** The publishSOM routine for this class
	 * @return void
	 */
	public void publishSOM (PrintWriter pw)
    {
		super.getOperator().publishSOM(pw);
		getExpression().publishSOM(pw);
    }

		/** The publishPVS routine for this class
		 * @return void
		 */
		public void publishPVS (PrintWriter pw)
    {
				super.getOperator().publishPVS(pw);
				getExpression().publishPVS(pw);
    }
}


