//============================================================================
//  Copyright (c) 2000 University of Kansas 
//  All rights reserved.
//
//  KU MAKES NO REPRESENTATIONS OR WARRANTIES ABOUT THE SUITABILITY OF 
//  THE SOFTWARE, EITHER EXPRESS OR IMPLIED, INCLUDING BUT NOT LIMITED
//  TO THE IMPLIED WARRANTIES OF MERCHANTABILITY, FITNESS FOR A
//  PARTICULAR PURPOSE, OR NON-INFRINGEMENT.  KU SHALL NOT BE LIABLE
//  FOR ANY DAMAGES SUFFERED BY LICENSEE AS A RESULT OF USING,
//  MODIFYING OR DISTRIBUTING THIS SOFTWARE OR ITS DERIVATIVES.
//
//
//  By using or copying this Software, Licensee agrees to abide by the
//  intellectual property laws, and all other applicable laws of the
//  U.S., and the terms of this license.
//
//	authors: Roshan rkamath@ececs.uc.edu
//
//  $Id: SOM_VariableDeclarationStatement.java,v 1.6 2000/04/11 03:17:54 cvs Exp $
//
//  Revision History:
//  ----------------
//  $Log: SOM_VariableDeclarationStatement.java,v $
//  Revision 1.6  2000/04/11 03:17:54  cvs
//  The dummy M__Label and M__Value functions have been removed .
//  --srinivas
//
//  Revision 1.5  2000/03/23 00:22:51  cvs
//  Huge commit! Added all the essential accessor methods for the following classes
//  - Krishna and Makarand
//
//  Revision 1.4  2000/02/10 00:37:35  cvs
//  Changed Copyright information to University of Kansas
//  - by makarand
//
//  Revision 1.3  2000/02/08 18:42:45  cvs
//  Completed populating the object model and publishing the object model.
//  Added 'publishSOM(PrintWriter)' method to all necessary classes (with the help
//  of Makarand and Srini). Removed some unnecessary classes (due to changes
//  brought to the grammar). Renamed SOM_EqualityOperator to
//  SOM_EqualEqualOperator. Modified SldlParser.jj.h to populate the object model.
//  -- Cindy.
//
//  Revision 1.2  1999/11/13 20:01:29  cvs
//  Changed to the new OM and grammar. Some more features are to be added
//  and many bugs to be corrected. This is a commit for record and it compiles
//
//  Revision 1.1  1999/10/27 20:43:53  cvs
//  The huge commit - shifting the sldl-lrm archive from uc to kansas. The
//  SldlParser.jj still has holes - but committing it anyway.
//
//  Revision 1.1  1999/10/20 21:51:57  rkamath
//  The HUGE commit (moving from my personal archive to the "kbse" archive)
//  before it moves to Kansas...
//  These files will have the log-info from my archive; they can be ignored.
//  Work on this can start afresh once all the files are in place
//  The src/SldlParser.jj.pre has "holes" - but committing it anyway
//
//  Revision 1.7  1999/10/20 20:40:24  rkamath
//  Commit before the archive moves over to Kansas
//
//  Revision 1.6  1999/10/01 15:23:38  rkamath
//  Commit for record - more cleaner typing ideas.
//
//  Revision 1.5  1999/08/01 20:54:43  rkamath
//  Made a lot of changes with regard to types and checking. I'm convinced that
//  there are going to me hundreds more changes until I stabilize on how to
//  import and [de]serialize
//
//  Revision 1.4  1999/07/28 01:59:49  rkamath
//  Changed all the SOM_Declaration references to SYM_SymboltableEntry as far
//  as lookUp and typeResolution are concerned
//
//  Revision 1.3  1999/07/13 19:29:11  rkamath
//  Moved the List and ListEnumeration code to a new util directory
//  Mode the operators as children of AbstractExpression
//  Introduced the FunctionDeclaration and made OperatorDeclaration its child
//
//  Revision 1.2  1999/07/10 21:31:28  rkamath
//  The commit for today. Introduced a toString() function in SOM_Declaration that
//  will be used to hash "declarations" into the symboltable
//
//  Revision 1.1  1999/07/09 22:21:25  rkamath
//  A lot of changes to incorporate the intent of type checking
//
//
//=============================================================================
package SOM;

//import java.lang.UnsupportedOperationException; //only from JDK1.2 :-(

import java.io.PrintWriter;

/** This represents the <B>VariableDeclarationStatement</B> object
 * NOTE Even though this represents a declaration, it is NOT to be
 * stored in the symbol table. Rather, this statement should be
 * converted to multiple SOM_VariableDeclarations and then introduced
 * in the symbol table.
 * @author <I>Roshan Kamath</I> (rkamath@ececs.uc.edu)
 */
public class SOM_VariableDeclarationStatement
extends SOM_Declaration
implements SOM_FacetDeclarativeItem, SOM_ComponentDeclarativeItem {

	private SOM_IdentifierListing idList;
	private SOM_Name typeName;

	/** The primary constructor
	 * @return Not applicable
	 */
	public SOM_VariableDeclarationStatement() {
		super();
		// Let the kind be undefined.
	}

	/** To set the identifierListing
	 * @param listIn The SOM_IdentifierListing to be set
	 * @return void
	 */
	public void setIdentifierListing(SOM_IdentifierListing listIn) {
		idList = listIn;
	}

	/** To get the identifierListing
	 * @return The SOM_IdentifierListing that was set
	 */
	public SOM_IdentifierListing getIdentifierListing() {
		return idList;
	}

	//dummy publishSOM - Cindy Feb 6, 2000
	public void publishSOM(PrintWriter pw)
	{
	}

		
}
