//============================================================================
//  Copyright (c) 2000 University of Kansas 
//  All rights reserved.
//
//  KU MAKES NO REPRESENTATIONS OR WARRANTIES ABOUT THE SUITABILITY OF 
//  THE SOFTWARE, EITHER EXPRESS OR IMPLIED, INCLUDING BUT NOT LIMITED
//  TO THE IMPLIED WARRANTIES OF MERCHANTABILITY, FITNESS FOR A
//  PARTICULAR PURPOSE, OR NON-INFRINGEMENT.  KU SHALL NOT BE LIABLE
//  FOR ANY DAMAGES SUFFERED BY LICENSEE AS A RESULT OF USING,
//  MODIFYING OR DISTRIBUTING THIS SOFTWARE OR ITS DERIVATIVES.
//
//
//  intellectual property laws, and all other applicable laws of the
//  U.S., and the terms of this license.
//
//	authors: Roshan rkamath@ececs.uc.edu
//
//  $Id: SYM_SymboltableEntry.java,v 1.4 2001/05/24 20:16:03 cvs Exp $
//
//  Revision History:
//  ----------------
//  $Log: SYM_SymboltableEntry.java,v $
//  Revision 1.4  2001/05/24 20:16:03  cvs
//  Some small changes. Removed an error in the declaration of "abs" in
//  SYM_SymboltableManager.
//  -- Cindy
//
//  Revision 1.3  2000/02/10 00:37:37  cvs
//  Changed Copyright information to University of Kansas
//  - by makarand
//
//  Revision 1.2  1999/11/16 04:05:24  cvs
//  Added support for export clause and visiblity
//
//  Revision 1.1  1999/10/27 20:43:56  cvs
//  The huge commit - shifting the sldl-lrm archive from uc to kansas. The
//  SldlParser.jj still has holes - but committing it anyway.
//
//  Revision 1.1  1999/10/20 21:52:20  rkamath
//  The HUGE commit (moving from my personal archive to the "kbse" archive)
//  before it moves to Kansas...
//  These files will have the log-info from my archive; they can be ignored.
//  Work on this can start afresh once all the files are in place
//  The src/SldlParser.jj.pre has "holes" - but committing it anyway
//
//  Revision 1.8  1999/08/01 20:56:32  rkamath
//  Cleaned up (code and my thinking too :) still struggling with how to
//  implement serialization etc to minimize sideeffects..
//
//  Revision 1.7  1999/07/28 02:01:13  rkamath
//  Coded my more clearer concepts. Commit for record
//
//  Revision 1.6  1999/07/22 22:51:24  rkamath
//  Intermediate commit for safety and records. This does not compile because
//  the toString() in SOM_FormalIdentifier has not been completely coded
//  Will do that tommorrow
//
//  Revision 1.5  1999/07/16 21:51:42  rkamath
//  Some small changes. Commit for records...
//
//  Revision 1.4  1999/07/13 19:33:35  rkamath
//  Intermediate commit for records..
//
//  Revision 1.3  1999/07/10 21:34:24  rkamath
//  Added some more code - a generic commit. Some rudimentary form of
//  declaration 
//  checking exists. Now to populate the symbol table and code it in
//  the .jj file 
//
//  Revision 1.2  1999/07/09 22:21:34  rkamath
//  A lot of changes to incorporate the intent of type checking
//
//  Revision 1.1  1999/07/08 23:25:25  rkamath
//  A fresh repository going towards an elementary type checker - and mebbe more
//
//
//=============================================================================
package SYM;

import SOM.SOM_Declaration;

import java.io.Serializable;

/** This is the <B>SYM_SymboltableEntry</B> object
 * @author <I>Roshan Kamath</I> (rkamath@ececs.uc.edu)
 */
public class SYM_SymboltableEntry
extends Object
implements Serializable {

	// The declaration being entered
	private SOM_Declaration declaration;

	// This is the scope of the current declaration
	private int scope;
	
	/** The primary constructor
	 * @return Not applicable
	 */
	public SYM_SymboltableEntry() {
		super();
	}

	/** The second constructor
	 * @param declIn The SOM_Declaration to be set
	 * @param scopeIn The scope for the declaration
	 * @return Not applicable
	 */
	public SYM_SymboltableEntry(SOM_Declaration declIn, int scopeIn) {
		super();
		declaration = declIn;
		scope = scopeIn;
	}

	/** Retreives the string representation corresponding to the declaration
	 * @return String representation of the embedded delcaration
	 */
	public String toString() {
		return declaration.toString();
	}

	/** To get the declaration
	 * @return The SOM_Declaration embedded in this object
	 */
	public SOM_Declaration getDeclaration() {
		return declaration;
	}

	/** To get the scope for this entry
	 * @return Integer The scope value of this entry
	 */
	public int getScope() {
		return scope;
	}

	/** To set the declaration
	 * @param declIn The SOM_Declaration to be set
	 * @return void
	 */
	public void setDeclaration(SOM_Declaration declIn) {
		declaration = declIn;
	}

	/** To set the scope corresponding to this entry
	 * @param scopeIn The integer corresponding to the scope
	 * @return void
	 */
	public void setScope(int scopeIn) {
		scope = scopeIn;
	}

	/** To deserialize this entry. Complete it later....
	 * @in The ObjectInputStream from which the object will be deserialized
	 * @return void
	 */
	/*
	private void readObject(InputObjectStream in)
		throws IOException, ClassNotFoundException {
			in.defaultReadObject();
			mySymbolTable = null;
			// Now read in mySymbolTable ??
	}
	*/
}
