//============================================================================
//  Copyright (c) 2000 University of Kansas 
//  All rights reserved.
//
//  KU MAKES NO REPRESENTATIONS OR WARRANTIES ABOUT THE SUITABILITY OF 
//  THE SOFTWARE, EITHER EXPRESS OR IMPLIED, INCLUDING BUT NOT LIMITED
//  TO THE IMPLIED WARRANTIES OF MERCHANTABILITY, FITNESS FOR A
//  PARTICULAR PURPOSE, OR NON-INFRINGEMENT.  KU SHALL NOT BE LIABLE
//  FOR ANY DAMAGES SUFFERED BY LICENSEE AS A RESULT OF USING,
//  MODIFYING OR DISTRIBUTING THIS SOFTWARE OR ITS DERIVATIVES.
//
//
//  By using or copying this Software, Licensee agrees to abide by the
//  intellectual property laws, and all other applicable laws of the
//  U.S., and the terms of this license.
//
//	authors: Makarand makarand@ittc.ukans.edu
//
//  $Id: DeserializeSOM.java,v 1.4 2000/04/21 00:55:08 cvs Exp $
//
//  Revision History:
//  ----------------
//  $Log: DeserializeSOM.java,v $
//  Revision 1.4  2000/04/21 00:55:08  cvs
//  changed the input file format of DeserializeSOM to <filename>.sld
//
//  Revision 1.3  2000/04/21 00:40:54  cvs
//  changed the name of serialzed output file to <filename>.ser
//
//  Revision 1.2  2000/03/23 00:32:01  cvs
//  Fixed a small error in deserialization... more of an aesthetic change really :)
//  - Krishna
//
//  Revision 1.1  2000/03/03 18:40:34  cvs
//  Deserializing the object model- makarand
//
//
//
//=============================================================================

package src;

import java.io.*;
import util.*;
import SOM.*;

/** This represents the <B>DeserializeSOM</B> object
 * @author <I>Makarand Patil</I> (makarand@ittc.ukans.edu)
 */

/* Note:- The input filename is <filename>.sld and NOT <filename>.ser */

public class DeserializeSOM extends Object{

    public static void main(String[] args) throws IOException{
				try{
						if (args.length == 0) {
								System.out.println("Error: Missing file name. Usage is DeserializeSOM <filename>.sld");
							  System.exit(0);
						}
						String serialfile = args[0].substring(0,args[0].indexOf(".sld"));
						FileInputStream in= new FileInputStream(serialfile + ".ser");
						ObjectInputStream objin = new ObjectInputStream(in);
						SOM_DesignFile dFile = new SOM_DesignFile();
						FileOutputStream fout = new FileOutputStream(serialfile +".obj");
						PrintWriter pw= new PrintWriter(fout, true);
						System.out.print(" Deserializing Object Model ");
						dFile = (SOM_DesignFile)objin.readObject();
						dFile.publishSOM(pw);
						System.out.println(" ... Done");
						pw.flush();
						pw.close();
						objin.close();
						fout.close();
				}
				catch(Exception e){
						System.out.println(e);
				}
		}
			
}

