/* Generated By:JavaCC: Do not edit this line. SldlParser.java */
package src;
import SOM.*;
import SYM.*;
import util.*;
import java.io.Reader;
import java.lang.Exception;
public class SldlParser extends Object implements SldlParserConstants {
  private SYM_SymboltableManager manager;
  private boolean isADeclaration = false;
  private boolean isATypeDeclaration = false;
  public SldlParser(Reader fileReader, String managerName) {
    this(fileReader);
        createSymboltableManager(managerName);
  }
  /** To get the line number for error reporting. Note that this may not
   * always give right results since this function will be called at the
   * semantic check level - a level often higher than the one at which
   * the parsing was done
   * @return A string with the current linenumber and a colon followed
   * by a space
   */
  private String getLine() {
        return new String("Line " + token.beginLine + ": ");
  }
  /** To create a symboltable manager.
   * @param name The String which is to be the name of the manager
   */
  private void createSymboltableManager(String name) {
        manager = new SYM_SymboltableManager(name);
  }
  /** To process a SOM_InterfaceListing. If the mode is SOM_Mode.IN each
   * interfaceItem is checked to be SOM_Mode.IN.
   * @param interfaceListing The SOM_InterfaceListing to be processed
   * @param int the mode that each interfaceItem is to be checked for.
   * @return void
   */
  private void processInterfaceListing(SOM_InterfaceListing interfaceListing,
                                      int modeIn) {
    ListEnumeration interfaceEnum = interfaceListing.interfaces();
    SOM_InterfaceItem currItem;
    SOM_Mode mode;
    ListEnumeration idEnum;
    SOM_TypeDeclaration currTypeDecl;
    while (interfaceEnum.hasMoreElements()) {
      //Now process each interfaceItem
      try{
        currItem = (SOM_InterfaceItem)interfaceEnum.nextElement();
        if (modeIn == SOM_Mode.IN) {
          mode = currItem.getMode();
          if (mode != null && mode.getMode() != SOM_Mode.IN)
                        throw new SYM_InvalidModeException
                          ("Expecting mode IN for interface!");
        }
        // else don't worry!
        // Commented out the old code using lookUpUniqueForKind
        // SOM_TypeDeclaration typeDecl = (SOM_TypeDeclaration)
        //  manager.lookUpUniqueForKind(currtypeName, SOM_Declaration.TYPE);
        SOM_DeclarationList typeDeclList =
          manager.lookUpForKind(currItem.getTypeName(), SOM_Declaration.TYPE);
        // Since the type resolution must be unique, choose the first one only
        SOM_TypeDeclaration typeDecl =
           (SOM_TypeDeclaration)typeDeclList.first();
                                try {
                                        manager.addDeclaration(new SOM_VariableDeclaration
                                                                                  (currItem.getIdentifier(),typeDecl));
                                        // Also need to set the currItem's type - will help in
                                        // processing AssociationListing for a formalName
                                        currItem.setType(typeDecl);
                                } catch (SYM_IllegalRedeclarationException except) {
                                        System.err.println(getLine() + except);
                                }
      } catch (SYM_NoDeclarationException except) {
        System.err.println(getLine() + except);
      }
    }
  }
  // Added by Morel, July 9, 2001
  // Redundant, thinking about changing Interface to solve this
  /** To process a SOM_ObserverListing. If the mode is SOM_Mode.IN each
   * observerItem is checked to be SOM_Mode.IN.
   * @param observerListing The SOM_ObserverListing to be processed
   * @param int the mode that each observerItem is to be checked for.
   * @return void   
   */
  private void processObserverListing(SOM_ObserverListing observerListing,
                                      int modeIn) {
      ListEnumeration observerEnum = observerListing.observers();
      SOM_ObserverItem currItem;
      SOM_Mode mode;
      ListEnumeration idEnum;
      SOM_TypeDeclaration currTypeDecl;
      while (observerEnum.hasMoreElements()) {
          //Now process each observerItem
          try{
              currItem = (SOM_ObserverItem)observerEnum.nextElement();
              SOM_DeclarationList typeDeclList =
                  manager.lookUpForKind(currItem.getTypeName(), SOM_Declaration.TYPE);
              // Since the type resolution must be unique, choose the first one only
              SOM_TypeDeclaration typeDecl =
                  (SOM_TypeDeclaration)typeDeclList.first();
              try {
                  manager.addDeclaration(new SOM_VariableDeclaration
                                         (currItem.getIdentifier(),typeDecl));
                  // Also need to set the currItem's type - will help in
                  // processing AssociationListing for a formalName
                  currItem.setType(typeDecl);
              } catch (SYM_IllegalRedeclarationException except) {
                  System.err.println(getLine() + except);
              }
          } catch (SYM_NoDeclarationException except) {
              System.err.println(getLine() + except);
          }
      }
  }

//****************************************************************************/
// These are the SLDL grammar productions
//****************************************************************************/
  final public SOM_DesignFile designFile() throws ParseException {
        SOM_DesignFile dFile = new SOM_DesignFile();
        SOM_DesignUnit dUnit;
    label_1:
    while (true) {
      dUnit = designUnit();
                        dFile.addDesignUnit(dUnit);
      switch ((jj_ntk==-1)?jj_ntk():jj_ntk) {
      case PACKAGE:
      case USE:
        ;
        break;
      default:
        break label_1;
      }
    }
    jj_consume_token(0);
        {if (true) return dFile;}
    throw new Error("Missing return statement in function");
  }

  final public SOM_DesignUnit designUnit() throws ParseException {
        SOM_DesignUnit dUnit;
    switch ((jj_ntk==-1)?jj_ntk():jj_ntk) {
    case PACKAGE:
      // added by krishna on Feb 10, 2000
              dUnit = packageDeclaration();
      break;
    case USE:
      dUnit = useClause();
      break;
    default:
      jj_consume_token(-1);
      throw new ParseException();
    }
        {if (true) return dUnit;}
    throw new Error("Missing return statement in function");
  }

//****************************************************************************/
// <facet_declaration> syntax
//****************************************************************************/
  final public SOM_ExportBlock exportBlock() throws ParseException {
    SOM_ExportClause eClause;
    SOM_ExportBlock eBlock = new SOM_ExportBlock();
    if (jj_2_1(2)) {
      jj_consume_token(EXPORT);
      jj_consume_token(ALL);
      jj_consume_token(SEPARATOR);
    eBlock.setExportAll();
    } else {
      switch ((jj_ntk==-1)?jj_ntk():jj_ntk) {
      case EXPORT:
        label_2:
        while (true) {
          eClause = exportClause();
     eBlock.addToExportClauseList(eClause);
          switch ((jj_ntk==-1)?jj_ntk():jj_ntk) {
          case EXPORT:
            ;
            break;
          default:
            break label_2;
          }
        }
        break;
      default:
        jj_consume_token(-1);
        throw new ParseException();
      }
    }
         {if (true) return eBlock;}
    throw new Error("Missing return statement in function");
  }

  final public SOM_ExportClause exportClause() throws ParseException {
 SOM_IdentifierListing idList;
 SOM_ExportClause eClause = new SOM_ExportClause();
    jj_consume_token(EXPORT);
    idList = identifierListing();
  eClause.setIdentifierListing(idList);
    jj_consume_token(SEPARATOR);
  {if (true) return eClause;}
    throw new Error("Missing return statement in function");
  }

  final public SOM_FacetBody facetBody() throws ParseException {
 SOM_FacetBodyItem item;
 SOM_FacetBody body = new SOM_FacetBody();
    label_3:
    while (true) {
      item = facetBodyItem();
        body.addToFacetBodyItemList(item);
      switch ((jj_ntk==-1)?jj_ntk():jj_ntk) {
      case IDENTIFIER:
        ;
        break;
      default:
        break label_3;
      }
    }
  {if (true) return body;}
    throw new Error("Missing return statement in function");
  }

  final public SOM_FacetBodyItem facetBodyItem() throws ParseException {
 SOM_FacetBodyItem item = new SOM_FacetBodyItem();
 SOM_LabelledExpression labelExpr;
    labelExpr = labelledExpression();
    jj_consume_token(SEPARATOR);
        item.setLabelledExpression(labelExpr);
  {if (true) return item;}
    throw new Error("Missing return statement in function");
  }

  final public SOM_FacetDeclaration facetDeclaration() throws ParseException {
 SOM_Identifier id;
 SOM_InterfaceListing interfaceList;
 SOM_FacetDefinition facetDef;
 SOM_FacetDeclaration decl = new SOM_FacetDeclaration(manager.getFacetType());
    jj_consume_token(FACET);
    id = identifier();
   decl.setIdentifier(id);
        // Note that we don't add the decl to the manager yet!! If we do, it
        // will be visible inside the facet allowing us to instantiate the
        // facet within itself!!
        manager.createNewCurrentSymboltable(id.toString(),decl);
        decl.setMySymboltable(manager.getCurrentSymboltable());
    switch ((jj_ntk==-1)?jj_ntk():jj_ntk) {
    case LPAREN:
      interfaceList = interfaceListing();
          decl.setInterfaceListing(interfaceList);
          try {
                processInterfaceListing(interfaceList, SOM_Mode.INOUT);
          } catch (SYM_InvalidModeException except) {
                System.err.println(getLine() + except);
          }
      break;
    default:
      ;
    }
    jj_consume_token(IS);
    facetDefinition(decl);
    switch ((jj_ntk==-1)?jj_ntk():jj_ntk) {
    case IDENTIFIER:
      id = identifier();
                try {
                  if (!decl.toString().equals(id.toString()))
                  {if (true) throw new SOM_NameMismatchException
                  ("Closing name \"" + id.toString() +
                   "\" does not match declaration name \"" + decl.toString() + "\"");}
                } catch (SOM_NameMismatchException except) {
                  // catch the same exception that we just threw
                  System.err.println(getLine() + except);
                }
      break;
    default:
      ;
    }
    jj_consume_token(SEPARATOR);
        try {
          manager.getCurrentSymboltable().processExports();
        } catch (SYM_NoDeclarationException except) {
          // if an illegal label is exported
          System.err.println(getLine() + except);
        }
        manager.serializeCurrentSymboltable(id.toString());
        manager.doneWithCurrentSymboltable();
        // finally add the decl!
        try {
          manager.addDeclaration(decl);
        } catch (SYM_IllegalRedeclarationException except) {
          System.err.println(getLine() + except);
        }
        {if (true) return decl;}
    throw new Error("Missing return statement in function");
  }

  final public SOM_FacetDeclarationStatement facetDeclarationStatement(SOM_DeclarationStatement declStmt) throws ParseException {
    SOM_FacetExpression facetExpr;
    SOM_FacetDeclarationStatement decl = new SOM_FacetDeclarationStatement();
        SOM_Identifier id = declStmt.getIdentifier();
        SOM_IdentifierListing idList = declStmt.getIdentifierListing();
    jj_consume_token(FACET);
          try {
                manager.addDeclaration(new SOM_VariableDeclaration
                                                           (id, manager.getFacetType()));
          } catch (SYM_IllegalRedeclarationException except) {
                System.err.println(getLine() + except);
          }
          if (idList != null) {
                ListEnumeration facetEnum = idList.identifiers();
                SOM_Identifier facetId;
                while (facetEnum.hasMoreElements()) {
                  facetId = (SOM_Identifier)facetEnum.nextElement();
                  System.out.println("In facetDeclaration, facetId: " +
                                                         facetId.toString());
                  try {
                        manager.addDeclaration(new SOM_VariableDeclaration
                                                                           (facetId, manager.getFacetType()));
                  } catch (SYM_IllegalRedeclarationException except) {
                        System.err.println(getLine() + except);
                  }
                }
          }
          isADeclaration = false;
    switch ((jj_ntk==-1)?jj_ntk():jj_ntk) {
    case IS:
      jj_consume_token(IS);
      facetExpr = facetExpression();
        decl.setFacetExpression(facetExpr);
      break;
    default:
      ;
    }
  {if (true) return decl;}
    throw new Error("Missing return statement in function");
  }

  final public SOM_FacetDeclarativeBlock facetDeclarativeBlock() throws ParseException {
 SOM_FacetDeclarativeItem item;
 SOM_FacetDeclarativeBlock declBlock = new SOM_FacetDeclarativeBlock();
    label_4:
    while (true) {
      item = facetDeclarativeItem();
   if (item instanceof SOM_VariableDeclarationStatement) {
     // now separate out the variables...
     // <id> :: <type name>;
     SOM_DeclarationStatement varDecl = (SOM_DeclarationStatement)item;
     ListEnumeration idEnum = varDecl.getIdentifierListing().identifiers();
     SOM_TypeDeclaration typeDecl = varDecl.getType();
     SOM_Name typeName = varDecl.getTypeName();
     SOM_Identifier currId;
     SOM_VariableDeclaration decl;
     while (idEnum.hasMoreElements()) {
       currId = (SOM_Identifier)idEnum.nextElement();
       decl = new SOM_VariableDeclaration(currId,typeDecl);
       decl.setTypeName(typeName);
       declBlock.addToFacetDeclarativeItemList(decl);
     }
   }
   else {
     declBlock.addToFacetDeclarativeItemList(item);
   }
      switch ((jj_ntk==-1)?jj_ntk():jj_ntk) {
      case FACET:
      case USE:
      case IDENTIFIER:
        ;
        break;
      default:
        break label_4;
      }
    }
  {if (true) return declBlock;}
    throw new Error("Missing return statement in function");
  }

  final public SOM_FacetDeclarativeItem facetDeclarativeItem() throws ParseException {
 SOM_VariableDeclarationStatement varDecl;
 SOM_FacetDeclarativeItem item = null;
    switch ((jj_ntk==-1)?jj_ntk():jj_ntk) {
    case FACET:
      item = facetDeclaration();
      break;
    case IDENTIFIER:
      //item = typeDeclaration() |
        item = declarationStatement();
      break;
    case USE:
      item = useClause();
      break;
    default:
      jj_consume_token(-1);
      throw new ParseException();
    }
  {if (true) return item;}
    throw new Error("Missing return statement in function");
  }

// Note that decl has to be passed down to facetDef so that the
// facetDefinition can be added to the facet before parsing
// for facetDefinition begins. This is necessary to enable correct lookup
// within the parents for decl
  final public void facetDefinition(SOM_FacetDeclaration decl) throws ParseException {
 SOM_FacetDeclarativeBlock declBlock;
 SOM_ExportBlock exportBlock;
 SOM_FacetExpression domExpr;
 SOM_FacetBody body;
 SOM_FacetDefinition facetDef = new SOM_FacetDefinition();
         // First add the facetDef to the decl before doing any parsing
    decl.setFacetDefinition(facetDef);
    switch ((jj_ntk==-1)?jj_ntk():jj_ntk) {
    case FACET:
    case USE:
    case IDENTIFIER:
      declBlock = facetDeclarativeBlock();
   facetDef.setFacetDeclarativeBlock(declBlock);
      break;
    default:
      ;
    }
    switch ((jj_ntk==-1)?jj_ntk():jj_ntk) {
    case EXPORT:
      exportBlock = exportBlock();
   facetDef.setExportBlock(exportBlock);
      break;
    default:
      ;
    }
    jj_consume_token(BEGIN);
    switch ((jj_ntk==-1)?jj_ntk():jj_ntk) {
    case NOT:
    case IDENTIFIER:
      domExpr = facetExpression();
         // Commented out this code after having found a better way to unfold
         // the overload resolution
         //	if (SYM_StaticFunctions.selectTreeNode(domExpr.getTypeList(),
         //	manager.getFacetType()) == null
         // ) 
         //throw new SYM_TypeInconsistencyException
         //("Expecting a FacetExpression"); 
        try {
          //	  domExpr.resolveFinalType(manager.getFacetType());
          facetDef.setDomainExpression(domExpr);
        } catch (SYM_UnresolvableException except) {
          System.err.println(getLine() + except +
                                                 "\n\tExpecting a FACET expression for the domain");
        } catch (NullPointerException except) {
          // will be thrown if a particular name was not located in the
          // Symboltable. Safely ignore since a NoDeclarationException has
          // been printed out already
          // System.err.println(getLine() + except + " - to be ignored");
        }
      break;
    case NULL:
      jj_consume_token(NULL);
      break;
    default:
      jj_consume_token(-1);
      throw new ParseException();
    }
    switch ((jj_ntk==-1)?jj_ntk():jj_ntk) {
    case IDENTIFIER:
      body = facetBody();
   facetDef.setFacetBody(body);
      break;
    default:
      ;
    }
    jj_consume_token(END);
  }

// added by krishna on Feb 15, 2000
//****************************************************************************/
// <facet_expression> syntax
//****************************************************************************/
  final public SOM_FacetExpression facetExpression() throws ParseException {
        SOM_FacetExpression facetExpr = new SOM_FacetExpression();
        SOM_FacetAndExpression facetAndExpr;
        SOM_FacetExpressionTail facetExprTail;
    facetAndExpr = facetAndExpression();
          facetExpr.setFacetAndExpression(facetAndExpr);
    label_5:
    while (true) {
      switch ((jj_ntk==-1)?jj_ntk():jj_ntk) {
      case IMPLIES:
      case OR:
        ;
        break;
      default:
        break label_5;
      }
      facetExprTail = facetExpressionTail();
                        facetExpr.addToFacetExpressionTailList(facetExprTail);
    }
                try {
                  facetExpr.semCheck();
                  facetExpr.resolveFinalType(manager.getFacetType());
                } catch (SYM_UnresolvableException except) {
                  System.err.println(getLine() + except);
                } catch (NullPointerException except) {
                  // This may be thrown by semCheck if a declaration is not found
                  // Do nothing - a NoDeclarationException will already have
                  // been thrown 
                  System.err.println(getLine() + except +
                                                 " - in facetExpression to be ignored");
                }
                {if (true) return facetExpr;}
    throw new Error("Missing return statement in function");
  }

  final public SOM_FacetExpressionTail facetExpressionTail() throws ParseException {
        Token tok;
        SOM_DyadicOperator op = null;
        SOM_FacetAndExpression facetAndExpr;
        SOM_FacetExpressionTail facetExprTail = new SOM_FacetExpressionTail();
    switch ((jj_ntk==-1)?jj_ntk():jj_ntk) {
    case IMPLIES:
      tok = jj_consume_token(IMPLIES);
                         op = new SOM_ImpliesOperator();
      break;
    case OR:
      tok = jj_consume_token(OR);
                    op = new SOM_OrOperator();
      break;
    default:
      jj_consume_token(-1);
      throw new ParseException();
    }
   op.setDeclarations(manager.lookUpForKind(tok.image.toLowerCase(),
                                            SOM_Declaration.FUNCTION)
                     );
                facetExprTail.setImpliesOperator(op);
    facetAndExpr = facetAndExpression();
   facetExprTail.setFacetAndExpression(facetAndExpr);
   {if (true) return facetExprTail;}
    throw new Error("Missing return statement in function");
  }

  final public SOM_FacetAndExpression facetAndExpression() throws ParseException {
  SOM_FacetSelectedName facetSelectedName;
  SOM_FacetAndExpressionTail facetAndExprTail;
  SOM_FacetAndExpression facetAndExpr = new SOM_FacetAndExpression();
    facetSelectedName = facetSelectedName();
   facetAndExpr.setFacetSelectedName(facetSelectedName);
    label_6:
    while (true) {
      if (jj_2_2(2)) {
        ;
      } else {
        break label_6;
      }
      facetAndExprTail = facetAndExpressionTail();
    facetAndExpr.addToFacetAndExpressionTailList(facetAndExprTail);
    }
          try {
                facetAndExpr.semCheck();
          } catch (SYM_UnresolvableException except) {
                System.err.println(getLine() + except);
          } catch (NullPointerException except) {
                // This may be thrown by semCheck if a declaration is not found
                // Do nothing - a NoDeclarationException will already have been thrown
                System.err.println(getLine() + except +
                                                   " - in facetAndExpression to be ignored");
          }
   {if (true) return facetAndExpr;}
    throw new Error("Missing return statement in function");
  }

  final public SOM_FacetAndExpressionTail facetAndExpressionTail() throws ParseException {
  Token tok;
  SOM_DyadicOperator op = null;
  SOM_FacetSelectedName facetSelectedName;
  SOM_FacetAndExpressionTail facetAndExprTail = new SOM_FacetAndExpressionTail();
    tok = jj_consume_token(AND);
        op = new SOM_AndOperator();
        facetAndExprTail.setOperator(op);
   op.setDeclarations(manager.lookUpForKind(tok.image.toLowerCase(),
                                            SOM_Declaration.FUNCTION)
                     );
    facetSelectedName = facetSelectedName();
        facetAndExprTail.setFacetSelectedName(facetSelectedName);
        {if (true) return facetAndExprTail;}
    throw new Error("Missing return statement in function");
  }

  final public SOM_FacetSelectedName facetSelectedName() throws ParseException {
        Token tok;
        SOM_MonoadicOperator op = null;
        //SOM_SelectedName selectedName;
        SOM_Name name;
        SOM_FacetSelectedName facetSelectedName = new SOM_FacetSelectedName();
    switch ((jj_ntk==-1)?jj_ntk():jj_ntk) {
    case NOT:
      tok = jj_consume_token(NOT);
          op.setDeclarations(manager.lookUpForKind(tok.image.toLowerCase(),
                                            SOM_Declaration.FUNCTION)
                     );
          op = new SOM_NotOperator();
          facetSelectedName.setOperator(op);
      break;
    default:
      ;
    }
    //selectedName = selectedName()
            name = name();
                //facetSelectedName.setSelectedName(selectedName);
                facetSelectedName.setName(name);
                name.setDeclarations(manager.lookUp(name));
                try {
                        facetSelectedName.semCheck();
                } catch (SYM_UnresolvableException except) {
                        System.err.println(getLine() + except);
                } catch (NullPointerException except) {
                        // This may be thrown by semCheck if a declaration is not found
                        // Do nothing - a NoDeclarationException will already have
                        // been thrown 
                        System.err.println(getLine() + except +
                                                           " - in facetSelectedName to be ignored");
                }
                {if (true) return facetSelectedName;}
    throw new Error("Missing return statement in function");
  }

// modified by makarand and krishna on Feb 15, 2000
//****************************************************************************/
// <component_declaration> syntax
//****************************************************************************/
  final public SOM_ComponentDeclaration componentDeclaration() throws ParseException {
 SOM_Identifier id;
 SOM_InterfaceListing interList;
 SOM_ComponentDeclarativeBlock compDeclBlock;
 SOM_ExportBlock expBlock;
 /* commented out by makarand on Feb 14, 2000
 //SOM_FacetDeclaration facetDecl;
 //SOM_FacetDefinition facetDef;
 */
 // Added by makarand to incorporate new component structure
 SOM_AssumptionBlock assumpBlock;
 SOM_DefinitionBlock defBlock;
 SOM_VerificationBlock verifBlock;
 SOM_ComponentDeclaration decl = new SOM_ComponentDeclaration
   (manager.getComponentType());
    jj_consume_token(COMPONENT);
    id = identifier();
  decl.setIdentifier(id);
   manager.createNewCurrentSymboltable(id.toString(),decl);
   decl.setMySymboltable(manager.getCurrentSymboltable());
    switch ((jj_ntk==-1)?jj_ntk():jj_ntk) {
    case LPAREN:
      interList = interfaceListing();
         decl.setInterfaceListing(interList);
         try {
           processInterfaceListing(interList,SOM_Mode.INOUT);
         } catch (SYM_InvalidModeException except) {
           System.err.println(getLine() + except);
         }
      break;
    default:
      ;
    }
    jj_consume_token(IS);
    switch ((jj_ntk==-1)?jj_ntk():jj_ntk) {
    case USE:
    case IDENTIFIER:
      compDeclBlock = componentDeclarativeBlock();
         decl.setComponentDeclarativeBlock(compDeclBlock);
      break;
    default:
      ;
    }
    switch ((jj_ntk==-1)?jj_ntk():jj_ntk) {
    case EXPORT:
      expBlock = exportBlock();
           decl.setExportBlock(expBlock);
      break;
    default:
      ;
    }
    // added by makarand
       assumpBlock = assumptionBlock();
   decl.setAssumptionBlock(assumpBlock);
    defBlock = definitionBlock();
   decl.setDefinitionBlock(defBlock);
    verifBlock = verificationBlock();
   decl.setVerificationBlock(verifBlock);
    jj_consume_token(END);
    switch ((jj_ntk==-1)?jj_ntk():jj_ntk) {
    case IDENTIFIER:
      id = identifier();
         try {
           if (!decl.toString().equals(id.toString()))
           {if (true) throw new SOM_NameMismatchException("Closing name \"" +
                         id.toString() + "\" does not match declaration name \""
                         + decl.toString() + "\"");}
         } catch (SOM_NameMismatchException except) {
           // catch the same exception that we just threw
           System.err.println(getLine() + except);
         }
      break;
    default:
      ;
    }
    jj_consume_token(SEPARATOR);
   try {
         manager.getCurrentSymboltable().processExports();
   } catch (SYM_NoDeclarationException except) {
         // if an illegal label is exported
         System.err.println(getLine() + except);
   }
   manager.serializeCurrentSymboltable(id.toString());
   manager.doneWithCurrentSymboltable();
   // finally add the decl!
   try {
         manager.addDeclaration(decl);
   } catch (SYM_IllegalRedeclarationException except) {
         System.err.println(getLine() + except);
   }
  {if (true) return decl;}
    throw new Error("Missing return statement in function");
  }

// added by makarand on Feb 14, 2000
  final public SOM_AssumptionBlock assumptionBlock() throws ParseException {
  SOM_FacetDeclaration facetDecl;
  SOM_FacetExpression facetexpr;
  SOM_AssumptionBlock assumpBlock = new SOM_AssumptionBlock();
    jj_consume_token(ASSUMPTION);
    jj_consume_token(IS);
    if (jj_2_3(2)) {
                facetDecl = new SOM_FacetDeclaration(manager.getFacetType());
                facetDecl.setIdentifier(new SOM_Identifier("assumption"));
      facetDefinition(facetDecl);
                assumpBlock.setFacetDefinition(facetDecl);
      switch ((jj_ntk==-1)?jj_ntk():jj_ntk) {
      case ASSUMPTION:
        jj_consume_token(ASSUMPTION);
        break;
      default:
        ;
      }
    } else {
      switch ((jj_ntk==-1)?jj_ntk():jj_ntk) {
      case NOT:
      case IDENTIFIER:
        facetexpr = facetExpression();
                        assumpBlock.setFacetExpression(facetexpr);
        break;
      default:
        jj_consume_token(-1);
        throw new ParseException();
      }
    }
    jj_consume_token(SEPARATOR);
                {if (true) return assumpBlock;}
    throw new Error("Missing return statement in function");
  }

// added by makarand on Feb 14, 2000
  final public SOM_DefinitionBlock definitionBlock() throws ParseException {
  SOM_FacetDeclaration facetDecl;
  SOM_FacetExpression facetexpr;
  SOM_DefinitionBlock defBlock = new SOM_DefinitionBlock();
    jj_consume_token(DEFINITION);
    jj_consume_token(IS);
    if (jj_2_4(2)) {
                facetDecl = new SOM_FacetDeclaration(manager.getFacetType());
                facetDecl.setIdentifier(new SOM_Identifier("definition"));
      facetDefinition(facetDecl);
                defBlock.setFacetDefinition(facetDecl);
      switch ((jj_ntk==-1)?jj_ntk():jj_ntk) {
      case DEFINITION:
        jj_consume_token(DEFINITION);
        break;
      default:
        ;
      }
    } else {
      switch ((jj_ntk==-1)?jj_ntk():jj_ntk) {
      case NOT:
      case IDENTIFIER:
        facetexpr = facetExpression();
                        defBlock.setFacetExpression(facetexpr);
        break;
      default:
        jj_consume_token(-1);
        throw new ParseException();
      }
    }
    jj_consume_token(SEPARATOR);
    {if (true) return defBlock;}
    throw new Error("Missing return statement in function");
  }

// added by makarand on Feb 14, 2000
  final public SOM_VerificationBlock verificationBlock() throws ParseException {
  SOM_FacetDeclaration facetDecl;
  SOM_FacetExpression facetexpr;
  SOM_VerificationBlock verifBlock = new SOM_VerificationBlock();
    jj_consume_token(VERIFICATION);
    jj_consume_token(IS);
    if (jj_2_5(2)) {
                 facetDecl = new SOM_FacetDeclaration(manager.getFacetType());
                 facetDecl.setIdentifier(new SOM_Identifier("verification"));
      facetDefinition(facetDecl);
                 verifBlock.setFacetDefinition(facetDecl);
      switch ((jj_ntk==-1)?jj_ntk():jj_ntk) {
      case VERIFICATION:
        jj_consume_token(VERIFICATION);
        break;
      default:
        ;
      }
    } else {
      switch ((jj_ntk==-1)?jj_ntk():jj_ntk) {
      case NOT:
      case IDENTIFIER:
        facetexpr = facetExpression();
                        verifBlock.setFacetExpression(facetexpr);
        break;
      default:
        jj_consume_token(-1);
        throw new ParseException();
      }
    }
    jj_consume_token(SEPARATOR);
    {if (true) return verifBlock;}
    throw new Error("Missing return statement in function");
  }

  final public SOM_ComponentDeclarativeBlock componentDeclarativeBlock() throws ParseException {
 SOM_ComponentDeclarativeItem item;
 SOM_ComponentDeclarativeBlock block = new SOM_ComponentDeclarativeBlock();
    label_7:
    while (true) {
      item = componentDeclarativeItem();
   if (item instanceof SOM_VariableDeclarationStatement) {
     // now separate out the variables...
     // <id> :: <type name> ;
     SOM_VariableDeclarationStatement varDecl =
       (SOM_VariableDeclarationStatement)item;
     ListEnumeration idEnum = varDecl.getIdentifierListing().identifiers();
     SOM_TypeDeclaration typeDecl = varDecl.getType();
     SOM_Name typeName = varDecl.getTypeName();
     SOM_Identifier currId;
     SOM_VariableDeclaration decl;
     while (idEnum.hasMoreElements()) {
       currId = (SOM_Identifier)idEnum.nextElement();
       decl = new SOM_VariableDeclaration(currId,typeDecl);
       decl.setTypeName(typeName);
       block.addToComponentDeclarativeItemList(decl);
     }
   }
   else {
     block.addToComponentDeclarativeItemList(item);
   }
      switch ((jj_ntk==-1)?jj_ntk():jj_ntk) {
      case USE:
      case IDENTIFIER:
        ;
        break;
      default:
        break label_7;
      }
    }
  {if (true) return block;}
    throw new Error("Missing return statement in function");
  }

  final public SOM_ComponentDeclarativeItem componentDeclarativeItem() throws ParseException {
 SOM_ComponentDeclarativeItem item = null;
    switch ((jj_ntk==-1)?jj_ntk():jj_ntk) {
    case IDENTIFIER:
      item = declarationStatement();
      break;
    case USE:
      item = useClause();
      break;
    default:
      jj_consume_token(-1);
      throw new ParseException();
    }
  {if (true) return item;}
    throw new Error("Missing return statement in function");
  }

// added by krishna on Feb 10, 2000
//****************************************************************************/
// <package_declaration> syntax
//****************************************************************************/
  final public SOM_PackageDeclaration packageDeclaration() throws ParseException {
        SOM_PackageDeclaration decl =
                new SOM_PackageDeclaration(manager.getPackageType());
        SOM_Identifier id;
        SOM_InterfaceListing interfaceList;
        SOM_PackageDefinition packageDef;
    jj_consume_token(PACKAGE);
    id = identifier();
         decl.setIdentifier(id);
        // Note that we don't add the decl to the manager yet!! If we do, it
        // will be visible inside the package allowing us to instantiate the
        // package within itself!!
        manager.createNewCurrentSymboltable(id.toString(),decl);
        decl.setMySymboltable(manager.getCurrentSymboltable());
    switch ((jj_ntk==-1)?jj_ntk():jj_ntk) {
    case LPAREN:
      interfaceList = interfaceListing();
          decl.setInterfaceListing(interfaceList);
          try {
                processInterfaceListing(interfaceList,SOM_Mode.INOUT);
          } catch (SYM_InvalidModeException except) {
                System.err.println(getLine() + except);
          }
      break;
    default:
      ;
    }
    jj_consume_token(IS);
    packageDefinition(decl);
    switch ((jj_ntk==-1)?jj_ntk():jj_ntk) {
    case IDENTIFIER:
      id = identifier();
         try {
           if (!decl.toString().equals(id.toString()))
           {if (true) throw new SOM_NameMismatchException
           ("Closing name \"" + id.toString() +
           "\" does not match declaration name \"" + decl.toString() + "\"");}
         } catch (SOM_NameMismatchException except) {
           // catch the same exception that we just threw
           System.err.println(getLine() + except);
         }
      break;
    default:
      ;
    }
    jj_consume_token(SEPARATOR);
          try {
                manager.getCurrentSymboltable().processExports();
          } catch (SYM_NoDeclarationException except) {
                // if an illegal label is exported
                System.err.println(getLine() + except);
          }
          manager.serializeCurrentSymboltable(id.toString());
          manager.doneWithCurrentSymboltable();
          // finally add the decl!
         try {
           manager.addDeclaration(decl);
         } catch (SYM_IllegalRedeclarationException except) {
     System.err.println(getLine() + except);
   }
        {if (true) return decl;}
    throw new Error("Missing return statement in function");
  }

// Note that decl has to be passed down to packageDef so that the
// packageDefinition can be added to the package before parsing
// for packageDefinition begins. This is necessary to enable correct lookup
// within the parents for decl
  final public void packageDefinition(SOM_PackageDeclaration decl) throws ParseException {
 SOM_PackageDeclarativeBlock declBlock;
 SOM_ExportBlock exportBlock;
 SOM_FacetExpression domExpr;
 SOM_PackageDefinition packageDef = new SOM_PackageDefinition();
         // First add the packageDef to the decl before doing any parsing
         decl.setPackageDefinition(packageDef);
    jj_consume_token(BEGIN);
    switch ((jj_ntk==-1)?jj_ntk():jj_ntk) {
    case NOT:
    case IDENTIFIER:
      domExpr = facetExpression();
                try {
                  //domExpr.resolveFinalType(manager.getFacetType());
                  packageDef.setDomainExpression(domExpr);
                } catch (SYM_UnresolvableException except) {
                        System.err.println(getLine() + except +
                                                  "\n\tExpecting a FACET expression for the domain");
                } catch (NullPointerException except) {
                        // will be thrown if a particular name was not located in the
                        // Symboltable. Safely ignore since a NoDeclarationException has
                        // been printed out already
                  //System.err.println(getLine() + except + " - to be ignored");
                }
      break;
    case NULL:
      jj_consume_token(NULL);
      break;
    default:
      jj_consume_token(-1);
      throw new ParseException();
    }
    switch ((jj_ntk==-1)?jj_ntk():jj_ntk) {
    case COMPONENT:
    case FACET:
    case PACKAGE:
    case USE:
    case IDENTIFIER:
      declBlock = packageDeclarativeBlock();
   packageDef.setPackageDeclarativeBlock(declBlock);
      break;
    default:
      ;
    }
    switch ((jj_ntk==-1)?jj_ntk():jj_ntk) {
    case EXPORT:
      exportBlock = exportBlock();
   packageDef.setExportBlock(exportBlock);
      break;
    default:
      ;
    }
    jj_consume_token(END);
  }

  final public SOM_PackageDeclarativeBlock packageDeclarativeBlock() throws ParseException {
 SOM_PackageDeclarativeItem item;
 SOM_PackageDeclarativeBlock declBlock = new SOM_PackageDeclarativeBlock();
    label_8:
    while (true) {
      item = packageDeclarativeItem();
   if (item instanceof SOM_VariableDeclarationStatement) {
     // now separate out the variables...
     // <id> :: <type name>;
     SOM_VariableDeclarationStatement varDecl =
       (SOM_VariableDeclarationStatement)item;
     ListEnumeration idEnum = varDecl.getIdentifierListing().identifiers();
     SOM_TypeDeclaration typeDecl = varDecl.getType();
     SOM_Name typeName = varDecl.getTypeName();
     SOM_Identifier currId;
     SOM_VariableDeclaration decl;
     while (idEnum.hasMoreElements()) {
       currId = (SOM_Identifier)idEnum.nextElement();
       decl = new SOM_VariableDeclaration(currId,typeDecl);
       decl.setTypeName(typeName);
       declBlock.addToPackageDeclarativeItemList(decl);
     }
   }
   else {
     declBlock.addToPackageDeclarativeItemList(item);
   }
      switch ((jj_ntk==-1)?jj_ntk():jj_ntk) {
      case COMPONENT:
      case FACET:
      case PACKAGE:
      case USE:
      case IDENTIFIER:
        ;
        break;
      default:
        break label_8;
      }
    }
  {if (true) return declBlock;}
    throw new Error("Missing return statement in function");
  }

  final public SOM_PackageDeclarativeItem packageDeclarativeItem() throws ParseException {
 SOM_VariableDeclarationStatement varDecl;
 SOM_PackageDeclarativeItem item = null;
    switch ((jj_ntk==-1)?jj_ntk():jj_ntk) {
    case FACET:
      item = facetDeclaration();
      break;
    case PACKAGE:
      item = packageDeclaration();
      break;
    case IDENTIFIER:
      item = declarationStatement();
      break;
    case USE:
      item = useClause();
      break;
    case COMPONENT:
      item = componentDeclaration();
      break;
    default:
      jj_consume_token(-1);
      throw new ParseException();
    }
  {if (true) return item;}
    throw new Error("Missing return statement in function");
  }

// added by krishna on Feb 10, 2000
//****************************************************************************/
// <use_clause> syntax
//****************************************************************************/
  final public SOM_UseClause useClause() throws ParseException {
 SOM_SelectedName selectedName;
 SOM_UseClause uClause = new SOM_UseClause();
    jj_consume_token(USE);
    selectedName = selectedName();
                 uClause.addToSelectedNameList(selectedName);
          //System.out.println("Use - selected name: " +
          //					 selectedName.toString());
          manager.deserializeSymboltable(selectedName.toString());
    label_9:
    while (true) {
      if (jj_2_6(2)) {
        ;
      } else {
        break label_9;
      }
      jj_consume_token(COMMA);
      selectedName = selectedName();
                        uClause.addToSelectedNameList(selectedName);
    }
    jj_consume_token(SEPARATOR);
  {if (true) return uClause;}
    throw new Error("Missing return statement in function");
  }

  final public SOM_SelectedName selectedName() throws ParseException {
        SOM_SelectedName selectedName = new SOM_SelectedName();
        SOM_Identifier id;
    id = identifier();
                 selectedName.setName((SOM_Name)id);
    label_10:
    while (true) {
      if (jj_2_7(2)) {
        ;
      } else {
        break label_10;
      }
      jj_consume_token(DOT);
      id = identifier();
                        SOM_SelectedName selName = new SOM_SelectedName();
                        selName.setName(selectedName);
                        selName.setIdentifier(id);
                        selectedName = selName;
    }
                {if (true) return selectedName;}
    throw new Error("Missing return statement in function");
  }

//****************************************************************************/
// <expression> syntax
//****************************************************************************/
  final public SOM_Expression expression() throws ParseException {
        SOM_TermExpression termExpression;
        SOM_ExpressionTail expressionTail;
        SOM_Expression expression = new SOM_Expression();
    termExpression = termExpression();
   expression.setTermExpression(termExpression);
    label_11:
    while (true) {
      if (jj_2_8(2)) {
        ;
      } else {
        break label_11;
      }
      expressionTail = expressionTail();
    expression.addToExpressionTailList(expressionTail);
    }
                try {
                  expression.semCheck();
                } catch (SYM_UnresolvableException except) {
                  System.err.println(getLine() + except);
                } catch (NullPointerException except) {
                  // This may be thrown by semCheck if a declaration is not found
                  // Do nothing - a NoDeclarationException will already have
                  // been thrown 
                  //System.err.println(getLine() + except + " - to be ignored");
                }
   {if (true) return expression;}
    throw new Error("Missing return statement in function");
  }

  final public SOM_ExpressionTail expressionTail() throws ParseException {
  Token tok;
  SOM_EqualEqualOperator eqEqOp = new SOM_EqualEqualOperator();
  SOM_TermExpression termExpr;
  SOM_ExpressionTail expressionTail = new SOM_ExpressionTail();
    tok = jj_consume_token(EQEQ);
          eqEqOp.setDeclarations(manager.lookUpForKind(tok.image.toLowerCase(),
                                                         SOM_Declaration.FUNCTION)
                                                    );
          expressionTail.setEqualEqualOperator(eqEqOp);
    termExpr = termExpression();
   expressionTail.setTermExpression(termExpr);
   {if (true) return expressionTail;}
    throw new Error("Missing return statement in function");
  }

  final public SOM_TermExpression termExpression() throws ParseException {
 SOM_TermExpression termExpr = new SOM_TermExpression();
 SOM_ImpliesExpression impliesExpr;
 SOM_TermExpressionTail termExprTail;
    impliesExpr = impliesExpression();
        termExpr.setImpliesExpression(impliesExpr);
    label_12:
    while (true) {
      if (jj_2_9(2)) {
        ;
      } else {
        break label_12;
      }
      termExprTail = termExpressionTail();
        termExpr.addToTermExpressionTailList(termExprTail);
    }
         try {
     termExpr.semCheck();
         } catch (SYM_UnresolvableException except) {
           System.err.println(getLine() + except);
         } catch (NullPointerException except) {
           // This may be thrown by semCheck if a declaration is not found
           // Do nothing - a NoDeclarationException will already have been thrown
           //System.err.println(getLine() + except + " - to be ignored");
         }
  {if (true) return termExpr;}
    throw new Error("Missing return statement in function");
  }

// added by krishna on Jan12, 2000
  final public SOM_TermExpressionTail termExpressionTail() throws ParseException {
 SOM_TermExpressionTail termExprTail = new SOM_TermExpressionTail();
 Token tok;
 SOM_ImpliesExpression impliesExpr ;
 SOM_DyadicOperator op = null;
    if (jj_2_10(2)) {
      tok = jj_consume_token(EQUAL);
                 op = new SOM_EqualOperator();
    } else {
      switch ((jj_ntk==-1)?jj_ntk():jj_ntk) {
      case NOTEQUAL:
        tok = jj_consume_token(NOTEQUAL);
                    op = new SOM_InEqualityOperator();
        break;
      default:
        jj_consume_token(-1);
        throw new ParseException();
      }
    }
   op.setDeclarations(manager.lookUpForKind(tok.image.toLowerCase(),
                                            SOM_Declaration.FUNCTION)
                     );
   termExprTail.setOperator(op);
    impliesExpr = impliesExpression();
   termExprTail.setImpliesExpression(impliesExpr);
   {if (true) return termExprTail;}
    throw new Error("Missing return statement in function");
  }

  final public SOM_ImpliesExpression impliesExpression() throws ParseException {
        SOM_AndExpression andExpression;
        SOM_ImpliesExpressionTail eTail;
        SOM_ImpliesExpression impliesExpression = new SOM_ImpliesExpression();
    andExpression = andExpression();
   impliesExpression.setAndExpression(andExpression);
    label_13:
    while (true) {
      if (jj_2_11(2)) {
        ;
      } else {
        break label_13;
      }
      eTail = impliesExpressionTail();
    impliesExpression.addToImpliesExpressionTailList(eTail);
    }
   try {
     impliesExpression.semCheck();
   } catch (SYM_UnresolvableException except) {
     System.err.println(getLine() + except);
   } catch (NullPointerException except) {
                 // This may be thrown by semCheck if a declaration is not found
                 // Do nothing - a NoDeclarationException will already have been thrown
         //System.err.println(getLine() + except + " - to be ignored");
   }
   {if (true) return impliesExpression;}
    throw new Error("Missing return statement in function");
  }

  final public SOM_ImpliesExpressionTail impliesExpressionTail() throws ParseException {
        Token tok;
        SOM_DyadicOperator op = null;
        SOM_AndExpression andExpr;
        SOM_ImpliesExpressionTail tailExpr = new SOM_ImpliesExpressionTail();
    switch ((jj_ntk==-1)?jj_ntk():jj_ntk) {
    case IMPLIES:
      tok = jj_consume_token(IMPLIES);
                         op = new SOM_ImpliesOperator();
      break;
    case IMPLIEDBY:
      tok = jj_consume_token(IMPLIEDBY);
                           op = new SOM_ImpliedByOperator();
      break;
    case MAX:
      tok = jj_consume_token(MAX);
                     op = new SOM_MaxOperator();
      break;
    case NMIN:
      tok = jj_consume_token(NMIN);
                      op = new SOM_NMinOperator();
      break;
    case NMAX:
      tok = jj_consume_token(NMAX);
                      op = new SOM_NMaxOperator();
      break;
    case OR:
      tok = jj_consume_token(OR);
                    op = new SOM_OrOperator();
      break;
    case NOR:
      tok = jj_consume_token(NOR);
                     op = new SOM_NorOperator();
      break;
    case XOR:
      tok = jj_consume_token(XOR);
                     op = new SOM_XorOperator();
      break;
    case XNOR:
      tok = jj_consume_token(XNOR);
                      op = new SOM_XnorOperator();
      break;
    default:
      jj_consume_token(-1);
      throw new ParseException();
    }
   op.setDeclarations(manager.lookUpForKind(tok.image.toLowerCase(),
                                            SOM_Declaration.FUNCTION)
                     );
                tailExpr.setImpliesOperator(op);
    andExpr = andExpression();
                tailExpr.setAndExpression(andExpr);
                {if (true) return tailExpr;}
    throw new Error("Missing return statement in function");
  }

  final public SOM_AndExpression andExpression() throws ParseException {
  SOM_RelationalTermExpression relTermExpr;
  SOM_AndExpressionTail andTail;
  SOM_AndExpression andExpr = new SOM_AndExpression();
    relTermExpr = relationalTermExpression();
   andExpr.setRelationalTermExpression(relTermExpr);
    label_14:
    while (true) {
      if (jj_2_12(2)) {
        ;
      } else {
        break label_14;
      }
      andTail = andExpressionTail();
    andExpr.addToAndExpressionTailList(andTail);
    }
   try {
     andExpr.semCheck();
   } catch (SYM_UnresolvableException except) {
     System.err.println(getLine() + except);
   } catch (NullPointerException except) {
         // This may be thrown by semCheck if a declaration is not found
         // Do nothing - a NoDeclarationException will already have been thrown
         //System.err.println(getLine() + except + " - to be ignored");
   }
   {if (true) return andExpr;}
    throw new Error("Missing return statement in function");
  }

  final public SOM_AndExpressionTail andExpressionTail() throws ParseException {
        Token tok;
        SOM_DyadicOperator op = null;
        SOM_RelationalTermExpression relTermExpr;
        SOM_AndExpressionTail exprTail = new SOM_AndExpressionTail();
    switch ((jj_ntk==-1)?jj_ntk():jj_ntk) {
    case AND:
      tok = jj_consume_token(AND);
                     op = new SOM_AndOperator();
      break;
    case NAND:
      tok = jj_consume_token(NAND);
                      op = new SOM_NandOperator();
      break;
    case MIN:
      tok = jj_consume_token(MIN);
                     op = new SOM_MinOperator();
      break;
    default:
      jj_consume_token(-1);
      throw new ParseException();
    }
   op.setDeclarations(manager.lookUpForKind(tok.image.toLowerCase(),
                                            SOM_Declaration.FUNCTION)
                     );
  exprTail.setOperator(op);
    relTermExpr = relationalTermExpression();
  exprTail.setRelationalTermExpression(relTermExpr);
  {if (true) return exprTail;}
    throw new Error("Missing return statement in function");
  }

  final public SOM_RelationalTermExpression relationalTermExpression() throws ParseException {
 Token tok;
 SOM_SimpleExpression simpExpr;
 SOM_DyadicOperator op = null;
 SOM_RelationalTermExpressionTail relTermExprTail;
 SOM_RelationalTermExpression relExpr = new SOM_RelationalTermExpression();
    simpExpr = simpleExpression();
  relExpr.setSimpleExpression(simpExpr);
    label_15:
    while (true) {
      if (jj_2_13(2)) {
        ;
      } else {
        break label_15;
      }
      relTermExprTail = relationalTermExpressionTail();
        relExpr.addToRelationalTermExpressionTailList(relTermExprTail);
    }
  try {
    relExpr.semCheck();
  } catch (SYM_UnresolvableException except) {
    System.err.println(getLine() + except);
  } catch (NullPointerException except) {
        // This may be thrown by semCheck if a declaration is not found
        // Do nothing - a NoDeclarationException will already have been thrown
        //System.err.println(getLine() + except + " - to be ignored");
  }
  {if (true) return relExpr;}
    throw new Error("Missing return statement in function");
  }

  final public SOM_RelationalTermExpressionTail relationalTermExpressionTail() throws ParseException {
 Token tok;
 SOM_DyadicOperator op;
 SOM_SimpleExpression simpExpr;
 SOM_RelationalTermExpressionTail relTermExprTail = new SOM_RelationalTermExpressionTail();
    switch ((jj_ntk==-1)?jj_ntk():jj_ntk) {
    case GREATER:
      tok = jj_consume_token(GREATER);
                    op = new SOM_GreaterThanOperator();
      break;
    case GREATEREQUAL:
      tok = jj_consume_token(GREATEREQUAL);
                            op = new SOM_GreaterThanOrEqualOperator();
      break;
    case LESS:
      tok = jj_consume_token(LESS);
                    op = new SOM_LesserThanOperator();
      break;
    case LESSEQUAL:
      tok = jj_consume_token(LESSEQUAL);
                         op = new SOM_LesserThanOrEqualOperator();
      break;
    default:
      jj_consume_token(-1);
      throw new ParseException();
    }
   op.setDeclarations(manager.lookUpForKind(tok.image.toLowerCase(),
                                            SOM_Declaration.FUNCTION)
                     );
            relTermExprTail.setOperator(op);
    simpExpr = simpleExpression();
        relTermExprTail.setSimpleExpression(simpExpr);
        {if (true) return relTermExprTail;}
    throw new Error("Missing return statement in function");
  }

  final public SOM_SimpleExpression simpleExpression() throws ParseException {
 Token tok;
 SOM_DyadicOperator op = null;
 SOM_Term term;
 SOM_SimpleExpressionTail exprTail;
 SOM_SimpleExpression expr = new SOM_SimpleExpression();
    term = term();
  expr.setTerm(term);
    label_16:
    while (true) {
      if (jj_2_14(2)) {
        ;
      } else {
        break label_16;
      }
      exprTail = simpleExpressionTail();
   expr.addToSimpleExpressionTailList(exprTail);
    }
  try {
    expr.semCheck();
  } catch (SYM_UnresolvableException except) {
    System.err.println(getLine() + except);
  } catch (NullPointerException except) {
        // This may be thrown by semCheck if a declaration is not found
        // Do nothing - a NoDeclarationException will already have been thrown
        //System.err.println(getLine() + except + " - to be ignored");
  }
  {if (true) return expr;}
    throw new Error("Missing return statement in function");
  }

  final public SOM_SimpleExpressionTail simpleExpressionTail() throws ParseException {
 Token tok;
 SOM_DyadicOperator op;
 SOM_Term term;
 SOM_SimpleExpressionTail eTail = new SOM_SimpleExpressionTail();
    switch ((jj_ntk==-1)?jj_ntk():jj_ntk) {
    case PLUS:
      tok = jj_consume_token(PLUS);
               op = new SOM_PlusOperator();
      break;
    case MINUS:
      tok = jj_consume_token(MINUS);
                op = new SOM_MinusOperator();
      break;
    case PLUSPLUS:
      tok = jj_consume_token(PLUSPLUS);
                   op = new SOM_PlusPlusOperator();
      break;
    case MINUSMINUS:
      tok = jj_consume_token(MINUSMINUS);
                     op = new SOM_MinusMinusOperator();
      break;
    case CATENATION:
      tok = jj_consume_token(CATENATION);
                     op = new SOM_SemiColonSemiColonOperator();
      break;
    default:
      jj_consume_token(-1);
      throw new ParseException();
    }
  op.setDeclarations(manager.lookUpForKind(tok.image.toLowerCase(),
                                           SOM_Declaration.FUNCTION)
                    );
  eTail.setOperator(op);
    term = term();
  eTail.setTerm(term);
  {if (true) return eTail;}
    throw new Error("Missing return statement in function");
  }

  final public SOM_Term term() throws ParseException {
 SOM_ExpTerm expTerm;
 SOM_TermTail termTail;
 SOM_Term term = new SOM_Term();
    expTerm = expTerm();
        term.setExpTerm(expTerm);
    label_17:
    while (true) {
      if (jj_2_15(2)) {
        ;
      } else {
        break label_17;
      }
      termTail = termTail();
   term.addToTermTailList(termTail);
    }
  try {
    term.semCheck();
  } catch (SYM_UnresolvableException except) {
    System.err.println(getLine() + except);
  } catch (NullPointerException except) {
        // This may be thrown by semCheck if a declaration is not found
        // Do nothing - a NoDeclarationException will already have been thrown
        //System.err.println(getLine() + except + " - to be ignored");
  }
  {if (true) return term;}
    throw new Error("Missing return statement in function");
  }

  final public SOM_TermTail termTail() throws ParseException {
 Token tok;
 SOM_DyadicOperator op;
 SOM_ExpTerm expTerm;
 SOM_TermTail termTail = new SOM_TermTail();
    switch ((jj_ntk==-1)?jj_ntk():jj_ntk) {
    case MULTIPLY:
      tok = jj_consume_token(MULTIPLY);
                   op = new SOM_StarOperator();
      break;
    case DIVIDE:
      tok = jj_consume_token(DIVIDE);
                 op = new SOM_SlashOperator();
      break;
    case STARSTAR:
      tok = jj_consume_token(STARSTAR);
                    op = new SOM_StarStarOperator();
      break;
    default:
      jj_consume_token(-1);
      throw new ParseException();
    }
  op.setDeclarations(manager.lookUpForKind(tok.image.toLowerCase(),
                                           SOM_Declaration.FUNCTION)
                    );
  termTail.setOperator(op);
    expTerm = expTerm();
   termTail.setExpTerm(expTerm);
  {if (true) return termTail;}
    throw new Error("Missing return statement in function");
  }

// added by krishna on Jan 18, 2000
// this production rule handles the exponent operator with its correct
// level of precedence
  final public SOM_ExpTerm expTerm() throws ParseException {
 Token tok;
 SOM_Factor factor;
 SOM_DyadicOperator op;
 SOM_ExpTerm secondTerm;
 SOM_ExpTerm expTerm = new SOM_ExpTerm();
    factor = factor();
        expTerm.setFactor(factor);
    if (jj_2_17(2)) {
      if (jj_2_16(2)) {
        tok = jj_consume_token(EXPONENT);
                     op = new SOM_CaratOperator();
      } else {
        switch ((jj_ntk==-1)?jj_ntk():jj_ntk) {
        case MEMBER:
          tok = jj_consume_token(MEMBER);
                   op = new SOM_MemberOperator();
          break;
        case IN:
          tok = jj_consume_token(IN);
               op = new SOM_InOperator();
          break;
        default:
          jj_consume_token(-1);
          throw new ParseException();
        }
      }
        expTerm.setOperator(op);
        op.setDeclarations(manager.lookUpForKind(tok.image.toLowerCase(),
                                                                                         SOM_Declaration.FUNCTION)
                                           );
      secondTerm = expTerm();
          expTerm.setExpTerm(secondTerm);
    } else {
      ;
    }
          try {
                expTerm.semCheck();
        } catch (SYM_UnresolvableException except) {
          System.err.println(getLine() + except);
        } catch (NullPointerException except) {
          // This may be thrown by semCheck if a declaration is not found
          // Do nothing - a NoDeclarationException will already have been
          // thrown
          // System.err.println(getLine() + except + " -to be ignored");
        }
        {if (true) return expTerm;}
    throw new Error("Missing return statement in function");
  }

  final public SOM_Factor factor() throws ParseException {
 SOM_Factor factor = null;
    switch ((jj_ntk==-1)?jj_ntk():jj_ntk) {
    case CHARACTER_LITERAL:
    case CONSTANT_LITERAL:
    case INTEGER_LITERAL:
    case FLOAT_LITERAL:
      factor = literal();
      break;
    case LPAREN:
      factor = groupedExpression();
      break;
    case LSQUARE:
      factor = arrayListing();
        ((SOM_ArrayListing)factor).setTypeDeclaration(manager.getArrayType());
      break;
    case LBRACE:
      factor = setListing();
      break;
    case LFUNCDELIMITER:
      factor = unnamedFunction();
      break;
    case IDENTIFIER:
      factor = atTickExpression();
      break;
    case DOLLAR:
    case HASH:
    case MINUS:
    case NOT:
    case PERCENT:
    case TILDA:
      factor = predefUnaryFunctionName();
      break;
    case LET:
      factor = letExpression();
      break;
    case IF:
      factor = ifExpression();
      break;
    case EXISTS:
    case FORALL:
    case RAN:
    case SEL:
    case MAX:
    case MIN:
      factor = quantifiedExpression();
      break;
    case ENUMERATION:
      factor = enumerationListing();
      break;
    default:
      jj_consume_token(-1);
      throw new ParseException();
    }
  {if (true) return factor;}
    throw new Error("Missing return statement in function");
  }

  final public SOM_Literal literal() throws ParseException {
        Token tok;
    switch ((jj_ntk==-1)?jj_ntk():jj_ntk) {
    case FLOAT_LITERAL:
      tok = jj_consume_token(FLOAT_LITERAL);
    SOM_FloatLiteral floatLit = new SOM_FloatLiteral(tok.toString());
    floatLit.setDeclarations(new SOM_DeclarationList(manager.getRealType()));
    {if (true) return floatLit;}
      break;
    case INTEGER_LITERAL:
      tok = jj_consume_token(INTEGER_LITERAL);
    SOM_IntegerLiteral intLit = new SOM_IntegerLiteral(tok.toString());
        String lit = tok.toString();
        if (lit.equalsIgnoreCase("0") || lit.equalsIgnoreCase("1"))
            intLit.setDeclarations
          (new SOM_DeclarationList(manager.getBitType()));
    else
      if (lit.startsWith("-"))
            intLit.setDeclarations
              (new SOM_DeclarationList(manager.getIntegerType()));
          else
            intLit.setDeclarations
          (new SOM_DeclarationList(manager.getNaturalType()));
    {if (true) return intLit;}
      break;
    case CHARACTER_LITERAL:
    case CONSTANT_LITERAL:
      if (jj_2_18(2)) {
        tok = jj_consume_token(CHARACTER_LITERAL);
       SOM_CharacterLiteral charLit =
             new SOM_CharacterLiteral(tok.toString());
       charLit.setDeclarations(new SOM_DeclarationList
                                                        (manager.getCharacterType()));
       {if (true) return charLit;}
      } else {
        switch ((jj_ntk==-1)?jj_ntk():jj_ntk) {
        case CONSTANT_LITERAL:
          tok = jj_consume_token(CONSTANT_LITERAL);
       SOM_ConstantLiteral constLit =
           new SOM_ConstantLiteral(tok.toString());
       constLit.setDeclarations(new SOM_DeclarationList
                                                                 (manager.getIntegerType()));
       {if (true) return constLit;}
          break;
        default:
          jj_consume_token(-1);
          throw new ParseException();
        }
      }
      break;
    default:
      jj_consume_token(-1);
      throw new ParseException();
    }
    throw new Error("Missing return statement in function");
  }

  final public SOM_LabelledExpression labelledExpression() throws ParseException {
 SOM_Label label;
 SOM_Expression expr;
 SOM_LabelledExpression labExpr = new SOM_LabelledExpression();
    label = label();
  labExpr.setLabel(label);
    expr = expression();
  labExpr.setExpression(expr);
  {
        // This is a top level term. So I can unfold the overload resolution
        try {
          expr.resolveFinalType();
        } catch (SYM_UnresolvableException except) {
          // This means that item resolved to multiple types - or none!
          // currently I'll leave it at that...however in future we must
          // implement type selection rules for such toplevel terms that resolve
          // to multiple types			 
          System.err.println(getLine() + except);
        } catch (SYM_TypeInconsistencyException except) {
          // This means that it reached an assignment expression where the
          // right operand is not of matching type for the left operand
          System.err.println(getLine() + except);
        } catch (NullPointerException except) {
          // will be thrown if a particular name was not located in the
          // Symboltable. Safely ignore since a NoDeclarationException has
          // been printed out already
          // System.err.println(getLine() + except +
          //			 " In labelledExpression - to be ignored in the future");
        }
  }
   try {
         SOM_LabelDeclaration labelDecl;
         //System.out.println("Type of label " + label.toString() + " is: " + 
         //					expr.getResolvedType().toString());
         if (!SOM_TypeDeclaration.isDistinguishable(expr.getResolvedType(),
                                                                                                manager.getFacetType())) {
           SOM_DeclarationList declList = expr.getNames();
           labelDecl = new SOM_LabelDeclaration(label, expr.getResolvedType(),
                                                                                        (SOM_Declaration)declList.first());
         } else {
          //System.out.println("Not a facet type for label in labelledExpression");
           labelDecl = new SOM_LabelDeclaration(label, expr.getResolvedType());
         }
         try {
           manager.addDeclaration(labelDecl);
           // This call succeeds on the fact that isDistinguishable() returns
           // true for labels!
         } catch (SYM_IllegalRedeclarationException except) {
           System.err.println(getLine() + except);
         }
         labExpr.semCheck();
   } catch (RuntimeException except) {
         System.err.println(getLine() + except);
   }
   {if (true) return labExpr;}
    throw new Error("Missing return statement in function");
  }

  final public SOM_AtTickExpression atTickExpression() throws ParseException {
        Token tok;
    SOM_Name name;
    SOM_TickOperator tickOp;
    SOM_AtOperator atOp;
    SOM_DyadicOperator op;
    SOM_Identifier timeId;
    SOM_Identifier valueId;
    SOM_Literal literal;
    SOM_AtTickExpression atTickExp = new SOM_AtTickExpression();
    name = name();
        atTickExp.setName(name);
        try {
                name.setDeclarations(manager.lookUp(name));
                atTickExp.setTree(name.getTypeList());
    } catch (SYM_NoDeclarationException except) {
          System.err.println(getLine() + except);
    } catch (NullPointerException except) {
          //System.err.println(getLine() + except + " - to be ignored");
        }
    switch ((jj_ntk==-1)?jj_ntk():jj_ntk) {
    case AT:
    case TICK:
      if (jj_2_20(2)) {
        jj_consume_token(TICK);
        tickOp = new SOM_TickOperator();
        atTickExp.setTickOperator(tickOp);
      } else {
        switch ((jj_ntk==-1)?jj_ntk():jj_ntk) {
        case AT:
          jj_consume_token(AT);
         atOp = new SOM_AtOperator();
         atTickExp.setAtOperator(atOp);
          timeId = identifier();
         atTickExp.setTimeIdentifier(timeId);
         timeId.setDeclarations(manager.lookUp(timeId));
         try {
           timeId.resolveFinalType(manager.getRealType());
         } catch (SYM_UnresolvableException except) {
           System.err.println(getLine() + except);
           System.err.println("Time variable is of wrong time type");
         } catch (NullPointerException except) {
           System.err.println(getLine() + except +
                         " In atTickExpression (timeId) - to be ignored in the future");
         }
          if (jj_2_19(2)) {
            switch ((jj_ntk==-1)?jj_ntk():jj_ntk) {
            case PLUS:
              tok = jj_consume_token(PLUS);
                        op = new SOM_PlusOperator();
              break;
            case MINUS:
              tok = jj_consume_token(MINUS);
                         op = new SOM_MinusOperator();
              break;
            default:
              jj_consume_token(-1);
              throw new ParseException();
            }
          atTickExp.setOperator(op);
      op.setDeclarations(manager.lookUpForKind(tok.image.toLowerCase(),
                                                                                           SOM_Declaration.FUNCTION));
          op.setLeftOperand(timeId);
            switch ((jj_ntk==-1)?jj_ntk():jj_ntk) {
            case IDENTIFIER:
              valueId = identifier();
           atTickExp.setValueIdentifier(valueId);
           valueId.setDeclarations(manager.lookUp(valueId));
           op.setRightOperand(valueId);
           try {
                 valueId.resolveFinalType(manager.getRealType());
           } catch (SYM_UnresolvableException except) {
                 System.err.println(getLine() + except);
                 System.err.println("Time interval is of wrong time type");
           } catch (NullPointerException except) {
                 System.err.println(getLine() + except +
                         " In atTickExpression (valueId) - to be ignored in the future");
           }
              break;
            case CHARACTER_LITERAL:
            case CONSTANT_LITERAL:
            case INTEGER_LITERAL:
            case FLOAT_LITERAL:
              literal = literal();
           atTickExp.setLiteral(literal);
           op.setRightOperand(literal);
           try {
                 literal.resolveFinalType(manager.getRealType());
           } catch (SYM_UnresolvableException except) {
                 System.err.println(getLine() + except);
                 System.err.println("Time interval is of wrong time type");
           } catch (NullPointerException except) {
                 System.err.println(getLine() + except +
                         " In atTickExpression (literal) - to be ignored in the future");
           }
              break;
            default:
              jj_consume_token(-1);
              throw new ParseException();
            }
           try {
                   if (op != null) {
                           op.semCheck();
                           op.resolveFinalType();
                   }
           } catch (NullPointerException except) {
                   System.err.println(getLine() + except +
                                                          " In atTickExpression (plus operator)" +
                                                          " - to be ignored in the future");
           }
          } else {
            ;
          }
          break;
        default:
          jj_consume_token(-1);
          throw new ParseException();
        }
      }
      break;
    default:
      ;
    }
          {if (true) return atTickExp;}
    throw new Error("Missing return statement in function");
  }

  final public SOM_GroupedExpression groupedExpression() throws ParseException {
 SOM_Expression expr;
 SOM_GroupedExpression grpExpr = new SOM_GroupedExpression();
  manager.openScope();
    jj_consume_token(LPAREN);
    expr = expression();
  grpExpr.setExpression(expr);
    jj_consume_token(RPAREN);
   // No try catch needed here...
   grpExpr.semCheck();
   manager.closeScope();
  {if (true) return grpExpr;}
    throw new Error("Missing return statement in function");
  }

  final public SOM_QuantifiedExpression quantifiedExpression() throws ParseException {
 SOM_Quantifier quant = null;
 SOM_Expression expr;
 SOM_QuantifiedExpression qExpr = new SOM_QuantifiedExpression();
 SOM_IdentifierListing idList;
 SOM_Name typeName;
 ListEnumeration idEnum;
 SOM_Identifier currId;
 SOM_InterfaceItem currItem;
    switch ((jj_ntk==-1)?jj_ntk():jj_ntk) {
    case FORALL:
      jj_consume_token(FORALL);
             quant = new SOM_Forall();
      break;
    case EXISTS:
      jj_consume_token(EXISTS);
               quant = new SOM_Exists();
      break;
    case SEL:
      jj_consume_token(SEL);
            quant = new SOM_Sel();
      break;
    case MIN:
      jj_consume_token(MIN);
            quant = new SOM_MinFunction();
      break;
    case MAX:
      jj_consume_token(MAX);
            quant = new SOM_MaxFunction();
      break;
    case RAN:
      jj_consume_token(RAN);
            quant = new SOM_Ran();
      break;
    default:
      jj_consume_token(-1);
      throw new ParseException();
    }
   qExpr.setQuantifier(quant);
  manager.openScope();
    jj_consume_token(LPAREN);
    idList = identifierListing();
    jj_consume_token(MEMBER);
    typeName = name();
        // Now break idList into individual ids
        idEnum = idList.identifiers();
        while (idEnum.hasMoreElements()) {
          currId = (SOM_Identifier)idEnum.nextElement();
          currItem = new SOM_InterfaceItem();
          currItem.setIdentifier(currId);
          currItem.setTypeName(typeName);
          qExpr.addInterfaceItem(currItem);
          try {
                SOM_DeclarationList typeDeclList =
                  manager.lookUpForKind(currItem.getTypeName(), SOM_Declaration.TYPE);
                // Since the type resolution must be unique, choose the first one only
                SOM_TypeDeclaration typeDecl =
                  (SOM_TypeDeclaration)typeDeclList.first();
                try {
                  manager.addDeclaration(new SOM_VariableDeclaration
                                                                 (currItem.getIdentifier(), typeDecl));
                  // Also need to set the currItem's type - will help in
                  // processing AssociationListing for a formalName
                  currItem.setType(typeDecl);
                } catch (SYM_IllegalRedeclarationException except) {
                  System.err.println(getLine() + except);
                }
          } catch (SYM_NoDeclarationException except) {
                System.err.println(getLine() + except);
          }
        }
    label_18:
    while (true) {
      switch ((jj_ntk==-1)?jj_ntk():jj_ntk) {
      case SEPARATOR:
        ;
        break;
      default:
        break label_18;
      }
      jj_consume_token(SEPARATOR);
      idList = identifierListing();
      jj_consume_token(MEMBER);
      typeName = name();
        // Now break idList into individual ids
        idEnum = idList.identifiers();
        while (idEnum.hasMoreElements()) {
          currId = (SOM_Identifier)idEnum.nextElement();
          currItem = new SOM_InterfaceItem();
          currItem.setIdentifier(currId);
          currItem.setTypeName(typeName);
          qExpr.addInterfaceItem(currItem);
          try {
                SOM_DeclarationList typeDeclList =
                  manager.lookUpForKind(currItem.getTypeName(), SOM_Declaration.TYPE);
                // Since the type resolution must be unique, choose the first one only
                SOM_TypeDeclaration typeDecl =
                  (SOM_TypeDeclaration)typeDeclList.first();
                try {
                  manager.addDeclaration(new SOM_VariableDeclaration
                                                                 (currItem.getIdentifier(), typeDecl));
                  // Also need to set the currItem's type - will help in
                  // processing AssociationListing for a formalName
                  currItem.setType(typeDecl);
                } catch (SYM_IllegalRedeclarationException except) {
                  System.err.println(getLine() + except);
                }
          } catch (SYM_NoDeclarationException except) {
                System.err.println(getLine() + except);
          }
        }
    }
    jj_consume_token(PIPE);
    expr = expression();
  qExpr.setExpression(expr);
  try {
        expr.resolveFinalType();
  } catch (SYM_UnresolvableException except) {
        System.err.println(getLine() + except);
  } catch (NullPointerException except) {
        System.err.println(getLine() + except +
                                           "In quantifiedExpression - to be ignored");
  }
  try {
        if (((quant instanceof SOM_Forall) || (quant instanceof SOM_Exists) ||
                 (quant instanceof SOM_Sel)) &&
                // Note: can be simplified by making use of the resolved type
                // ckong March 14, 2001
                SYM_StaticFunctions.selectTreeNode(expr.getTypeList(),
                                                                                   manager.getBooleanType()) == null)
          {if (true) throw new SYM_TypeInconsistencyException
                ("Expecting a Boolean Conditional Expression");}
  } catch (SYM_TypeInconsistencyException except) {
          System.err.println(getLine() + except);
  } catch (NullPointerException except) {
        // This may be thrown by selectTreeNode if a declaration is not found
        // Do nothing - a NoDeclarationException will already have been
        // thrown
        // System.err.println(getLine() + except + " - to be ignored");
  }
    jj_consume_token(RPAREN);
   // No try catch needed here...
   qExpr.semCheck();
   manager.closeScope();
  {if (true) return qExpr;}
    throw new Error("Missing return statement in function");
  }

  final public SOM_IfExpression ifExpression() throws ParseException {
 SOM_Expression condExpr, thenExpr, elseExpr;
 SOM_IfExpression ifExpr = new SOM_IfExpression();
    jj_consume_token(IF);
    condExpr = expression();
  ifExpr.setConditionalExpression(condExpr);
   try {
         if (SYM_StaticFunctions.selectTreeNode(condExpr.getTypeList(),
                                                                                        manager.getBooleanType()) == null)
           {if (true) throw new SYM_TypeInconsistencyException
                 ("Expecting a Boolean Conditional Expression");}
         condExpr.resolveFinalType(manager.getBooleanType());
   } catch (SYM_UnresolvableException except) {
         System.err.println(getLine() + except +
                                                "\n\tExpecting a BOOLEAN expression for if condition");
   } catch (NullPointerException except) {
         System.err.println(getLine() + except +
                                                " In condExpression - to be ignored in the future");
   }
    jj_consume_token(THEN);
    thenExpr = expression();
  ifExpr.setThenExpression(thenExpr);
    jj_consume_token(ELSE);
    elseExpr = expression();
  ifExpr.setElseExpression(elseExpr);
    jj_consume_token(ENDIF);
   // ifExpr and elseExpr should have the SAME type - in the  overloaded
   // world their type intersection should be the return type of the
   // ifExpression
   try {
         ifExpr.semCheck();
   } catch (NullPointerException except) {
         System.err.println(getLine() + except);
   }
  {if (true) return ifExpr;}
    throw new Error("Missing return statement in function");
  }

//****************************************************************************/
// Miscellaneous syntax
//****************************************************************************/
// Is it better to keep this guy or just impose it in the production
// for name??
  final public SOM_ArrayListing arrayListing() throws ParseException {
        SOM_Expression expr;
        SOM_ArrayListing arrayList = new SOM_ArrayListing();
    label_19:
    while (true) {
      jj_consume_token(LSQUARE);
      expr = expression();
    arrayList.addToExpressionList(expr);
        {
          // This is a top level term. So I can unfold the overload resolution
          try {
                expr.resolveFinalType();
          } catch (SYM_UnresolvableException except) {
                System.err.println(getLine() + except);
          } catch (NullPointerException except) {
                System.err.println(getLine() + except +
                                                   "In arrayListing - to be ignored");
          }
        }
      jj_consume_token(RSQUARE);
      if (jj_2_21(2)) {
        ;
      } else {
        break label_19;
      }
    }
         {if (true) return arrayList;}
    throw new Error("Missing return statement in function");
  }

  final public SOM_AssociationListing associationListing() throws ParseException {
  SOM_AssociationListing listing = new SOM_AssociationListing();
  SOM_Expression expr;
  SOM_Underscore underscore;
    jj_consume_token(LPAREN);
    if (jj_2_22(2)) {
      expr = expression();
         listing.addToList(expr);
    } else {
      switch ((jj_ntk==-1)?jj_ntk():jj_ntk) {
      case UNDERSCORE:
        jj_consume_token(UNDERSCORE);
     underscore = new SOM_Underscore();
         listing.addToList(underscore);
        break;
      default:
        jj_consume_token(-1);
        throw new ParseException();
      }
    }
    label_20:
    while (true) {
      switch ((jj_ntk==-1)?jj_ntk():jj_ntk) {
      case COMMA:
        ;
        break;
      default:
        break label_20;
      }
      jj_consume_token(COMMA);
      if (jj_2_23(2)) {
        expr = expression();
      listing.addToList(expr);
      } else {
        switch ((jj_ntk==-1)?jj_ntk():jj_ntk) {
        case UNDERSCORE:
          jj_consume_token(UNDERSCORE);
          underscore = new SOM_Underscore();
      listing.addToList(underscore);
          break;
        default:
          jj_consume_token(-1);
          throw new ParseException();
        }
      }
    }
    jj_consume_token(RPAREN);
   {if (true) return listing;}
    throw new Error("Missing return statement in function");
  }

  final public SOM_Identifier identifier() throws ParseException {
        Token tok;
        SOM_Identifier id;
    tok = jj_consume_token(IDENTIFIER);
         id = new SOM_Identifier(tok.toString());
         {if (true) return id;}
    throw new Error("Missing return statement in function");
  }

  final public SOM_IdentifierListing identifierListing() throws ParseException {
 SOM_Identifier id;
 SOM_IdentifierListing idList = new SOM_IdentifierListing();
    id = identifier();
   idList.addToIdentifierList(id);
    label_21:
    while (true) {
      switch ((jj_ntk==-1)?jj_ntk():jj_ntk) {
      case COMMA:
        ;
        break;
      default:
        break label_21;
      }
      jj_consume_token(COMMA);
      id = identifier();
    idList.addToIdentifierList(id);
    }
   {if (true) return idList;}
    throw new Error("Missing return statement in function");
  }

// This breaks up the SOM_IdentifierListing into individual variables
// and returns the cannonical form <id> :: [ <mode> ] <type name>
// Hence it returns nothing
  final public void interfaceItem(SOM_InterfaceListing interList) throws ParseException {
        SOM_IdentifierListing varList;
        SOM_Mode mode = null;
        SOM_Name typeName;
    varList = identifierListing();
    jj_consume_token(MEMBER);
    switch ((jj_ntk==-1)?jj_ntk():jj_ntk) {
    case DESIGN:
    case IN:
    case INOUT:
    case OUT:
      mode = mode();
      break;
    default:
      ;
    }
    typeName = name();
   // Now break varList into individual ids
   ListEnumeration idEnum = varList.identifiers();
   SOM_Identifier currId;
   SOM_InterfaceItem currItem;
   while (idEnum.hasMoreElements()) {
     currId = (SOM_Identifier)idEnum.nextElement();
     currItem = new SOM_InterfaceItem();
     currItem.setIdentifier(currId);
     currItem.setMode(mode);
     currItem.setTypeName(typeName);
     interList.addToInterfaceItemList(currItem);
   }
  }

  final public SOM_InterfaceListing interfaceListing() throws ParseException {
 SOM_InterfaceListing interfacevar = new SOM_InterfaceListing();
    jj_consume_token(LPAREN);
    interfaceItem(interfacevar);
    label_22:
    while (true) {
      switch ((jj_ntk==-1)?jj_ntk():jj_ntk) {
      case SEPARATOR:
        ;
        break;
      default:
        break label_22;
      }
      jj_consume_token(SEPARATOR);
      interfaceItem(interfacevar);
    }
    jj_consume_token(RPAREN);
  {if (true) return interfacevar;}
    throw new Error("Missing return statement in function");
  }

  final public SOM_Label label() throws ParseException {
 SOM_Identifier id;
 SOM_Label label = new SOM_Label();
    id = identifier();
  label.setIdentifier(id);
  //Check that this is not a redeclaration of a label/id
  try {
    SOM_DeclarationList declList = manager.lookUp(id.toString());
    // If no SYM_NoDeclarationException is thrown by lookUp, then it means
    // that there is already a declaration for id
          {if (true) throw new SYM_IllegalRedeclarationException(id.toString() +
                                " cannot be used as a label: It has been declared previously");}
  } catch (SYM_NoDeclarationException except) {
    // ignore.. it just means that no previous declaration exists!!
    // this is exactly what we want here!
  } catch (SYM_IllegalRedeclarationException except) {
        // catch the exception the I've myself thrown :)
        System.err.println(getLine() + except);
  }
    jj_consume_token(COLON);
  {if (true) return label;}
    throw new Error("Missing return statement in function");
  }

  final public SOM_Mode mode() throws ParseException {
  SOM_Mode mode;
    switch ((jj_ntk==-1)?jj_ntk():jj_ntk) {
    case IN:
      jj_consume_token(IN);
          mode = new SOM_In();
      break;
    case OUT:
      jj_consume_token(OUT);
           mode = new SOM_Out();
      break;
    case INOUT:
      jj_consume_token(INOUT);
             mode = new SOM_InOut();
      break;
    case DESIGN:
      jj_consume_token(DESIGN);
              mode = new SOM_Design();
      break;
    default:
      jj_consume_token(-1);
      throw new ParseException();
    }
   {if (true) return mode;}
    throw new Error("Missing return statement in function");
  }

// Note that there can be no semcheck here! So care has to be taken to do 
// a lookup whereever name() is used in other productions.
//
// The production rule for name was
// <name> ::==
//   <identifier> |
//   <name> <DOT> <identifier> |
//   <name> <association_listing> |
//   <name> <array_listing>
//-----------------------------------------------------------------------------
// Note that this allows formation of id1(..)(..) etc!!
// I'm yet to think of a general way to handle these things in the symbol
// table - especially those dealing with instantiation - that is a beast
//-----------------------------------------------------------------------------
// Removal of left recursion yields
// <name> ::== <identifier> [ <name_z> ]
// <name_z> ::==
//   <DOT> <identifier> [ <name_z> ] |
//   <assoc> [ <name_z> ] |
//   <array> [ <name_z> ]
//
  final public SOM_Name name() throws ParseException {
 SOM_Identifier id;
 SOM_Name toReturn;
    id = identifier();
    if (jj_2_24(2)) {
      toReturn = name_z(id);
   {if (true) return toReturn;}
    } else {
      ;
    }
  {if (true) return id;}
    throw new Error("Missing return statement in function");
  }

// This is the production for removal of left recursion in name
// Note the order of adding to ParseOrder List is important
//
  final public SOM_Name name_z(SOM_Name nameIn) throws ParseException {
 SOM_SelectedName selectedName;
 SOM_FormalName formalName;
 SOM_ReferencedName refName;
 SOM_Name nameZ;
 SOM_Identifier id;
 SOM_AssociationListing assocList;
 SOM_ArrayListing arrayList;
 SOM_Name toReturn;
    if (jj_2_25(2)) {
      jj_consume_token(DOT);
      id = identifier();
   selectedName = new SOM_SelectedName();
   selectedName.setName(nameIn);
   selectedName.setIdentifier(id);
   nameZ = selectedName;
    } else {
      switch ((jj_ntk==-1)?jj_ntk():jj_ntk) {
      case LPAREN:
        assocList = associationListing();
   formalName = new SOM_FormalName();
   formalName.setName(nameIn);
   formalName.setAssociationListing(assocList);
   nameZ = formalName;
        break;
      case LSQUARE:
        arrayList = arrayListing();
   refName = new SOM_ReferencedName();
   refName.setName(nameIn);
   refName.setArrayListing(arrayList);
   nameZ = refName;
        break;
      default:
        jj_consume_token(-1);
        throw new ParseException();
      }
    }
    if (jj_2_26(2)) {
      toReturn = name_z(nameZ);
         {if (true) return toReturn;}
    } else {
      ;
    }
  {if (true) return nameZ;}
    throw new Error("Missing return statement in function");
  }

// added by krishna on Jan 23, 2000
// this allows declarations using the set notation
  final public SOM_SetListing setListing() throws ParseException {
  SOM_SetListing setListing = new SOM_SetListing();
  SOM_Expression expr;
  SOM_SetType type;
    jj_consume_token(LBRACE);
    if (jj_2_27(2)) {
      expr = expression();
          setListing.setExpression(expr);
          type = new SOM_SetType(manager.getSetType());
          expr.resolveFinalType();
          type.setMemberType(expr.getResolvedType());
          setListing.setTypeDeclaration(type);
          try {
                setListing.resolveFinalType();
          } catch (SYM_UnresolvableException except) {
                // This means that item resolved to multiple types - or none!
                // currently I'll leave it at that...however in future we must
                // implement type selection rules for such toplevel terms that resolve
                // to multiple types			 
                System.err.println(getLine() + except);
          } catch (SYM_TypeInconsistencyException except) {
                // This means that it reached an assignment expression where the
                // right operand is not of matching type for the left operand
                System.err.println(getLine() + except);
          } catch (NullPointerException except) {
                System.err.println(getLine() + except +
                                         " In setListing - to be ignored in the future");
          }
    } else {
      ;
    }
    jj_consume_token(RBRACE);
          {if (true) return setListing;}
    throw new Error("Missing return statement in function");
  }

/*
// added by krishna on Jan 23, 2000
// this is called from within setTerm()
// it is used inside set Declarations
SOM_ExpressionListing expressionListing() :
{
  SOM_ExpressionListing exprListing = new SOM_ExpressionListing();
  SOM_Expression expr;
}
{
  expr = expression()
  { 
	exprListing.addToExpressionList(expr);
#ifdef SEMCHECK
	try {
	  expr.resolveFinalType();
	  exprListing.setType(expr.getResolvedType());
	} catch (SYM_UnresolvableException except) {
	  System.err.println(getLine() + except);
	} catch (SYM_TypeInconsistencyException except) {
	  System.err.println(getLine() + except);
	} catch (NullPointerException except) {
	  System.err.println(getLine() + except +
				" In expressionListing - to be ignored in the future");
	} 
#endif
  }

 (<COMMA>
  expr = expression()
  {
	exprListing.addToExpressionList(expr);
#ifdef SEMCHECK
	try {
	  expr.resolveFinalType();
    } catch (SYM_UnresolvableException except) {
	  System.err.println(getLine() + except);
	} catch (SYM_TypeInconsistencyException except) {
	  System.err.println(getLine() + except);
	} catch (NullPointerException except) {
	  System.err.println(getLine() + except +
				" In expressionListing - to be ignored in the future");
	}
	try {
	  if (!exprListing.setType(expr.getResolvedType())) {
		throw new SYM_TypeInconsistencyException
		("Element of expression listing of type " + expr.getResolvedType()
		 + " of wrong type.");		
	  }
	} catch (SYM_TypeInconsistencyException except) {
	  System.err.println(getLine() + except);
	}
#endif
  }
 )*
#ifdef SEMCHECK
   {
	 exprListing.semCheck();
	 try {
	   exprListing.resolveFinalType();
	 } catch (SYM_UnresolvableException except) {
	   // This means that item resolved to multiple types - or none!
	   // currently I'll leave it at that...however in future we must
	   // implement type selection rules for such toplevel terms that resolve
	   // to multiple types			 
	   System.err.println(getLine() + except);
	 } catch (SYM_TypeInconsistencyException except) {
	   // This means that it reached an assignment expression where the
	   // right operand is not of matching type for the left operand
	   System.err.println(getLine() + except);
	 } catch (NullPointerException except) {
	   // will be thrown if a particular name was not located in the
	   // Symboltable. Safely ignore since a NoDeclarationException has
	   // been printed out already
	   System.err.println(getLine() + except +
	  				   " In expressionListing - to be ignored in the future");
	 }
   }
#endif
  {
	return exprListing;
  }
}
*/
// added by krishna on Jan 25, 2000
// this was done to incorporate negation, #, %, ~ operators at the
// same level of precedence as functions
  final public SOM_PredefUnaryFunctionName predefUnaryFunctionName() throws ParseException {
  // definition added by cindy Jan 31, 2000
  Token tok;
  SOM_PredefUnaryFunctionName predUnaryFuncName = new SOM_PredefUnaryFunctionName();
  SOM_Factor factor;
  SOM_MonoadicOperator op;
    if (jj_2_28(2)) {
      tok = jj_consume_token(NOT);
                       op = new SOM_NotOperator();
    } else {
      switch ((jj_ntk==-1)?jj_ntk():jj_ntk) {
      case MINUS:
        tok = jj_consume_token(MINUS);
                         op = new SOM_NegationOperator();
        break;
      case TILDA:
        tok = jj_consume_token(TILDA);
                         op = new SOM_TildeOperator();
        break;
      case HASH:
        tok = jj_consume_token(HASH);
                        op = new SOM_HashOperator();
        break;
      case DOLLAR:
        tok = jj_consume_token(DOLLAR);
                          op = new SOM_DollarOperator();
        break;
      case PERCENT:
        tok = jj_consume_token(PERCENT);
                           op = new SOM_PercentageOperator();
        break;
      default:
        jj_consume_token(-1);
        throw new ParseException();
      }
    }
      op.setDeclarations(manager.lookUpForKind(tok.image.toLowerCase(),
                                          SOM_Declaration.FUNCTION));
          predUnaryFuncName.setOperator(op);
    factor = factor();
          // added by cindy Jan 31, 2000
          predUnaryFuncName.setFactor(factor);
          try {
                predUnaryFuncName.semCheck();
          } catch (SYM_UnresolvableException except) {
                System.err.println(getLine() + except);
          } catch (NullPointerException except) {
                // This may be thrown by semCheck if a declaration is not found
                // Do nothing - a NoDeclarationException will already have been
                // thrown
                System.err.println(getLine() + except + " -to be ignored");
          }
          {if (true) return predUnaryFuncName;}
    throw new Error("Missing return statement in function");
  }

// added by krishna on Feb 6, 2000
// this was done to incorporate "let" expressions
  final public SOM_LetExpression letExpression() throws ParseException {
        SOM_LetExpression letExpr = new SOM_LetExpression();
        SOM_LetDeclarationStatementListing letDeclStmtList;
        SOM_Expression expr;
    jj_consume_token(LET);
   manager.openScope();
    jj_consume_token(LPAREN);
    letDeclStmtList = letDeclarationStatementListing();
         letExpr.setLetDeclarationStatementListing(letDeclStmtList);
    jj_consume_token(RPAREN);
    jj_consume_token(IN);
    expr = expression();
         letExpr.setExpression(expr);
        try {
          letExpr.resolveFinalType();
    } catch (SYM_UnresolvableException except) {
          System.err.println(getLine() + except);
        } catch (SYM_TypeInconsistencyException except) {
          System.err.println(getLine() + except);
        } catch (NullPointerException except) {
          System.err.println(getLine() + except +
                                " In letExpression - to be ignored in the future");
        }
        manager.closeScope();
        {if (true) return letExpr;}
    throw new Error("Missing return statement in function");
  }

// added by krishna on Feb 7, 2000
// this is called from within letExpression() and is used to declare
// "let" declaration Statements
  final public SOM_LetDeclarationStatementListing letDeclarationStatementListing() throws ParseException {
  SOM_LetDeclarationStatementListing letDeclStmtList =
                                                new SOM_LetDeclarationStatementListing();
  SOM_LetDeclarationStatement letDeclStmt;
    letDeclStmt = letDeclarationStatement();
        letDeclStmtList.addToLetDeclarationStatementList(letDeclStmt);
    label_23:
    while (true) {
      if (jj_2_29(2)) {
        ;
      } else {
        break label_23;
      }
      jj_consume_token(COMMA);
      letDeclStmt = letDeclarationStatement();
        letDeclStmtList.addToLetDeclarationStatementList(letDeclStmt);
    }
          {if (true) return letDeclStmtList;}
    throw new Error("Missing return statement in function");
  }

// added by krishna on Feb 6, 2000
// this is called from within letDeclarationStatementListing() and is used
// to declare constants for use within "let" expressions
// Added by morel the keyword be, June 26, 2001
// Changed syntax of let statment to match verb tense (let(x::bit is 4) to let (x::bit be 4))
  final public SOM_LetDeclarationStatement letDeclarationStatement() throws ParseException {
  SOM_LetDeclarationStatement letDeclStmt = new SOM_LetDeclarationStatement();
  SOM_Identifier id;
  SOM_Expression expr;
  SOM_TypeDeclaration typeDecl = null;
    id = identifier();
        letDeclStmt.setIdentifier(id);
    jj_consume_token(MEMBER);
          isADeclaration = true;
    expr = expression();
         letDeclStmt.setTypeExpression(expr);
        try {
          typeDecl = letDeclStmt.getExpressionType();
      //System.out.println("Type declaration of " + id.toString() +
          //" is " + typeDecl.toString());
        } catch (SYM_NoDeclarationException except) {
          System.err.println(getLine() + except);
        }
        isADeclaration = false;
    jj_consume_token(BE);
    expr = expression();
         letDeclStmt.setValueExpression(expr);
        // check type compatibility for assignment here...
        // almost Exactly as in overload resolution - except that the domain is
        // of one element and the type of the LHS is known
        SOM_TreeNodeList finalNodeList = new SOM_TreeNodeList();
        SOM_TreeNode selectNode;
        SOM_TreeNode currNode = new SOM_TreeNode(typeDecl);
        // Now look at the declaration for id, and see which possible
        // types for the expression allow type match for assignment. Save
        // all the matches in finalNodeList - allowing for ambiguous results
        if (expr.isOfType(typeDecl)) {
          //System.out.println("Result of isOfType is true");
          // Prepare to add typeDecl - just as in overload resolution
          selectNode = SYM_StaticFunctions.
                locateAmbiguousTreeNode(finalNodeList,typeDecl);
          if (selectNode == null) finalNodeList.addElement(currNode);
          else selectNode.setIsAmbiguous(true);
        }
        try {
          if (finalNodeList.countElements() == 0)
                {if (true) throw new SYM_UnresolvableException
                  ("Expression on right hand side of assignment does not" +
                   "evaluate to the type of " + id.toString());}
          else {
                  finalNodeList.removeAmbiguousTreeNodes();
                  if (finalNodeList.countElements() != 1)
                        {if (true) throw new SYM_UnresolvableException
                          ("None/Multiple type matches found for assignment, " +
                           "cannot resolve final type");}
                }
                // otherwise the finaltype is finalNodeList.first().getResultType()
          SOM_TypeDeclaration finalType =
                ((SOM_TreeNode)finalNodeList.first()).getResultType();
        } catch (SYM_UnresolvableException except) {
          // Catch the same exception that we threw..or got from resolveFinalType
          System.err.println(getLine() + except);
        }
        // Add variable to the symboltable		  
        try {
                manager.addDeclaration(new SOM_VariableDeclaration(id, typeDecl));
          } catch (SYM_IllegalRedeclarationException except) {
                System.err.println(getLine() + except);
          }
        {if (true) return letDeclStmt;}
    throw new Error("Missing return statement in function");
  }

// added by krishna on Jan 27, 2000
// this was done to incorporate unnamed functions used from
// within an expression
  final public SOM_UnnamedFunction unnamedFunction() throws ParseException {
  SOM_InterfaceListing interList;
  SOM_Expression exprType, exprValue;
  SOM_UnnamedFunction unnamedFunc = new SOM_UnnamedFunction();
    jj_consume_token(LFUNCDELIMITER);
    manager.openScope();
    interList = interfaceListing();
        unnamedFunc.setInterfaceListing(interList);
        processInterfaceListing(interList, SOM_Mode.IN);
        isADeclaration = true;
    jj_consume_token(MEMBER);
    exprType = expression();
          unnamedFunc.setExpressionType(exprType);
        // This is a top level term. So I can unfold the overload resolution
        try {
          exprType.resolveFinalType();
        } catch (SYM_UnresolvableException except) {
          // This means that item resolved to multiple types - or none!
          // currently I'll leave it at that...however in future we must
          // implement type selection rules for such toplevel terms that resolve
          // to multiple types			 
          System.err.println(getLine() + except);
        } catch (SYM_TypeInconsistencyException except) {
          // This means that it reached an assignment expression where the
          // right operand is not of matching type for the left operand
          System.err.println(getLine() + except);
        } catch (NullPointerException except) {
          // will be thrown if a particular name was not located in the
          // Symboltable. Safely ignore since a NoDeclarationException has
          // been printed out already
          //System.err.println(getLine() + except + " - to be ignored");
        }
        isADeclaration = false;
    switch ((jj_ntk==-1)?jj_ntk():jj_ntk) {
    case IS:
      jj_consume_token(IS);
      exprValue = expression();
          unnamedFunc.setExpressionValue(exprValue);
        // This is a top level term. So I can unfold the overload resolution
        try {
          exprValue.resolveFinalType();
        } catch (SYM_UnresolvableException except) {
          // This means that item resolved to multiple types - or none!
          // currently I'll leave it at that...however in future we must
          // implement type selection rules for such toplevel terms that resolve
          // to multiple types			 
          System.err.println(getLine() + except);
        } catch (SYM_TypeInconsistencyException except) {
          // This means that it reached an assignment expression where the
          // right operand is not of matching type for the left operand
          System.err.println(getLine() + except);
        } catch (NullPointerException except) {
          // will be thrown if a particular name was not located in the
          // Symboltable. Safely ignore since a NoDeclarationException has
          // been printed out already
          //System.err.println(getLine() + except + " - to be ignored");
        }
        if (!(exprValue.getResolvedType()).
                isPredicateSubtypeOf(exprType.getResolvedType()))
          System.err.println(getLine() +
                                                 "Function not returning type as expected");
      break;
    default:
      ;
    }
    jj_consume_token(RFUNCDELIMITER);
    manager.closeScope();
        {if (true) return unnamedFunc;}
    throw new Error("Missing return statement in function");
  }

// added by krishna on Jan 27, 2000
// this new production handles the declarations for variables, constants
// as well as function declarations
// modified by srinivas on feb28th,2000
// this is done to include the facetdeclarationstatement production
  final public SOM_DeclarationStatement declarationStatement() throws ParseException {
  SOM_DeclarationStatement declStmt = new SOM_DeclarationStatement();
  SOM_Identifier id;
  SOM_InterfaceListing interList = null;
  SOM_IdentifierListing idList = null;
  SOM_DeclarationStatementZ declStmtZ = null;
  SOM_FacetDeclarationStatement facetDeclStmt;
  SOM_TypeDeclarationStatement typeDeclStmt;
  SOM_SetDeclarationStatement setDeclStmt;
  SOM_SequenceDeclarationStatement sequenceDeclStmt;
  SOM_ArrayDeclarationStatement arrayDeclStmt;
    id = identifier();
        declStmt.setIdentifier(id);
    switch ((jj_ntk==-1)?jj_ntk():jj_ntk) {
    case COMMA:
    case LPAREN:
      switch ((jj_ntk==-1)?jj_ntk():jj_ntk) {
      case LPAREN:
        interList = interfaceListing();
          declStmt.setInterfaceListing(interList);
        break;
      case COMMA:
        jj_consume_token(COMMA);
        idList = identifierListing();
        declStmt.setIdentifierListing(idList);
        break;
      default:
        jj_consume_token(-1);
        throw new ParseException();
      }
      break;
    default:
      ;
    }
    jj_consume_token(MEMBER);
    if (jj_2_30(2)) {
      declStmtZ = declarationStatement_z(declStmt);
           declStmt.setDeclarationStatementZ(declStmtZ);
    } else {
      switch ((jj_ntk==-1)?jj_ntk():jj_ntk) {
      case FACET:
        facetDeclStmt = facetDeclarationStatement(declStmt);
                declStmt.setFacetDeclarationStatement(facetDeclStmt);
        break;
      case BUNCH:
      case TYPE:
      case SUBTYPE:
        typeDeclStmt = typeDeclarationStatement(declStmt);
                declStmt.setTypeDeclarationStatement(typeDeclStmt);
        break;
      case SET:
        setDeclStmt = setDeclarationStatement(declStmt);
        declStmt.setSetDeclarationStatement(setDeclStmt);
        break;
      case SEQUENCE:
        sequenceDeclStmt = sequenceDeclarationStatement(declStmt);
                declStmt.setSequenceDeclarationStatement(sequenceDeclStmt);
        break;
      case ARRAY:
        arrayDeclStmt = arrayDeclarationStatement(declStmt);
                declStmt.setArrayDeclarationStatement(arrayDeclStmt);
        break;
      default:
        jj_consume_token(-1);
        throw new ParseException();
      }
    }
    jj_consume_token(SEPARATOR);
          {if (true) return declStmt;}
    throw new Error("Missing return statement in function");
  }

// added by krishna on Feb 6, 2000
// this new production invokes the declaration for either constants
// or function declarations
  final public SOM_DeclarationStatementZ declarationStatement_z(SOM_DeclarationStatement declStmt) throws ParseException {
  SOM_DeclarationStatementZ declStmtZ = new SOM_DeclarationStatementZ();
  SOM_Expression typeExpr;
  SOM_Expression valueExpr = null;
  SOM_InterfaceListing interList = declStmt.getInterfaceListing();
  SOM_IdentifierListing idList = declStmt.getIdentifierListing();
  SOM_Identifier id = declStmt.getIdentifier();
  SOM_TypeDeclaration typeDecl = null;
  SOM_TypeDeclaration valueDecl = null;
  SOM_FunctionDeclaration fncDecl = null;
  boolean isFunction = false;
    typeExpr = expression();
        declStmtZ.setTypeExpression(typeExpr);
        try {
                try {
            typeExpr.resolveFinalType();
                } catch (SYM_UnresolvableException except) {
                        System.err.println(getLine() + except);
                } catch (SYM_TypeInconsistencyException except) {
                        System.err.println(getLine() + except);
                } catch (NullPointerException except) {
                        System.err.println(getLine() + except +
                                " In declarationStatementZ - to be ignored in the future");
                }
          typeDecl = typeExpr.getResolvedType();
          // The following is for populating the symbol table for declarations 
          // of variables or constants
          if (interList == null) {
                // Add first variable to the symboltable		  
                try {
                  if (typeDecl instanceof SOM_RecordType)
                    manager.addDeclaration(new SOM_RecordDeclaration(id, typeDecl));
                  // Added by Morel, June 30, 2001
                  if (typeDecl instanceof SOM_EnumerationType)
                      manager.addDeclaration(new SOM_EnumerationDeclaration(id, typeDecl));
                  else
                    manager.addDeclaration(new SOM_VariableDeclaration(id, typeDecl));
                } catch (SYM_IllegalRedeclarationException except) {
                  System.err.println(getLine() + except);
                }
                // Add rest of variables to the symboltable
                if (idList != null) {
                  ListEnumeration varEnum = idList.identifiers();
                  SOM_Identifier otherId;
                  while (varEnum.hasMoreElements()) {
                        otherId = (SOM_Identifier)varEnum.nextElement();
                        try {
                          if (typeDecl instanceof SOM_RecordType)
                           manager.addDeclaration(new SOM_RecordDeclaration(id, typeDecl));
                          // Added by Morel, June 30, 2001
                          if (typeDecl instanceof SOM_EnumerationType)
                              manager.addDeclaration(new SOM_EnumerationDeclaration(id, typeDecl));
                          else
                           manager.addDeclaration
                                   (new SOM_VariableDeclaration(otherId, typeDecl));
                        } catch (SYM_IllegalRedeclarationException except) {
                          System.err.println(getLine() + except);
                        }
                  }
                }
          } else {
                // Declaration of functions
                isFunction = true;
                fncDecl = new SOM_FunctionDeclaration();
                fncDecl.setFunctionName(id);
                manager.addFuncDeclaration(fncDecl);
                manager.openScope();
                processInterfaceListing(interList, SOM_Mode.IN);
                SOM_FunctionType fncType =
                        new SOM_FunctionType(manager.getBunchType());
                ListEnumeration interfaceEnum = interList.interfaces();
                SOM_InterfaceItem currItem;
                while (interfaceEnum.hasMoreElements()){
                  currItem = (SOM_InterfaceItem)interfaceEnum.nextElement();
                  fncType.addToDomainList(currItem.getType());
                }
                fncType.setRange(typeDecl);
                fncDecl.setType(fncType);
          }
        } catch (RuntimeException except) {
                System.err.println(getLine() + except);
        }
          isADeclaration = false;
    switch ((jj_ntk==-1)?jj_ntk():jj_ntk) {
    case IS:
      jj_consume_token(IS);
      valueExpr = expression();
        declStmtZ.setValueExpression(valueExpr);
    try {
          valueExpr.resolveFinalType();
          valueDecl = valueExpr.getResolvedType();
        } catch (SYM_UnresolvableException except) {
          System.err.println(getLine() + except);
        } catch (SYM_TypeInconsistencyException except) {
          System.err.println(getLine() + except);
        } catch (NullPointerException except) {
          System.err.println(getLine() + except +
                " In declarationStatementZ (valueExpr) - to be ignored in the future");
        }
      break;
    default:
      ;
    }
        if (isFunction) {
          manager.closeScope();
        }
        if (valueExpr != null) {
                try {
                        if (!(SOM_TypeDeclaration.resolveFinalType(valueDecl, typeDecl)))
                          if (valueDecl != null)
                                {if (true) throw new SYM_TypeInconsistencyException
                                        ("In SldlParser.DeclarationStatementZ " +
                                         "Trying to assign value of type " + valueDecl.toString()
                                         + " to variable of type " + typeDecl.toString());}
              else
                                {if (true) throw new SYM_TypeInconsistencyException
                    ("Wrong type for initialization");}
                } catch (SYM_TypeInconsistencyException except) {
                        System.err.println(getLine() + except);
                }
        }
          {if (true) return declStmtZ;}
    throw new Error("Missing return statement in function");
  }

// added by Cindy, June 28, 2000
// this production handles declaration of types
  final public SOM_TypeDeclarationStatement typeDeclarationStatement(SOM_DeclarationStatement declStmt) throws ParseException {
  SOM_TypeDeclarationStatement typeDeclStmt =
          new SOM_TypeDeclarationStatement();
  Token tok;
  SOM_Expression typeExpr;
  SOM_Expression typeValue = null;
  SOM_Expression setExpr;
  SOM_Expression sequenceExpr;
  SOM_Expression arrayExpr;
  SOM_TypeDeclaration typeDecl = null;
  SOM_TypeDeclaration typeDef = null;
  SOM_TypeDeclaration valueDecl = null;
  SOM_InterfaceListing interList = declStmt.getInterfaceListing();
  SOM_IdentifierListing idList = declStmt.getIdentifierListing();
  SOM_Identifier id = declStmt.getIdentifier();
  SOM_FunctionDeclaration fncDecl = null;
  boolean isFunction = false;
  // Added by Morel, July 7, 2001
  SOM_ConstructedTypeDeclarationStatement constTypeDeclStmt;
    switch ((jj_ntk==-1)?jj_ntk():jj_ntk) {
    case TYPE:
      tok = jj_consume_token(TYPE);
      typeDeclStmt.setKeyWord(tok.image.toLowerCase());
      typeDeclStmt.setIsType();
      typeDecl = manager.getUnivType();
      break;
    case BUNCH:
    case SUBTYPE:
      switch ((jj_ntk==-1)?jj_ntk():jj_ntk) {
      case SUBTYPE:
        tok = jj_consume_token(SUBTYPE);
        break;
      case BUNCH:
        tok = jj_consume_token(BUNCH);
        break;
      default:
        jj_consume_token(-1);
        throw new ParseException();
      }
      typeDeclStmt.setKeyWord(tok.image.toLowerCase());
      jj_consume_token(LPAREN);
      switch ((jj_ntk==-1)?jj_ntk():jj_ntk) {
      case ENUMERATION:
      case EXISTS:
      case FORALL:
      case IF:
      case LBRACE:
      case LET:
      case LFUNCDELIMITER:
      case LPAREN:
      case LSQUARE:
      case RAN:
      case SEL:
      case DOLLAR:
      case HASH:
      case MAX:
      case MIN:
      case MINUS:
      case NOT:
      case PERCENT:
      case TILDA:
      case IDENTIFIER:
      case CHARACTER_LITERAL:
      case CONSTANT_LITERAL:
      case INTEGER_LITERAL:
      case FLOAT_LITERAL:
        typeExpr = expression();
       typeDeclStmt.setType(typeExpr);
       try {
         typeExpr.resolveFinalType();
         typeDecl = typeExpr.getResolvedType();
       } catch (SYM_UnresolvableException except) {
         System.err.println(getLine() + except);
       } catch (SYM_TypeInconsistencyException except) {
         System.err.println(getLine() + except);
       } catch (NullPointerException except) {
         System.err.println(getLine() + except +
                            " In typeDeclarationStatement (typeExpr) - to be ignored in the future");
       }
        break;
      case SET:
        jj_consume_token(SET);
        jj_consume_token(LPAREN);
        setExpr = expression();
        jj_consume_token(RPAREN);
     typeDeclStmt.setSetType(setExpr);
        break;
      case SEQUENCE:
        jj_consume_token(SEQUENCE);
        jj_consume_token(LPAREN);
        sequenceExpr = expression();
        jj_consume_token(RPAREN);
       typeDeclStmt.setSequenceType(sequenceExpr);
        break;
      case ARRAY:
        jj_consume_token(ARRAY);
        jj_consume_token(LPAREN);
        arrayExpr = expression();
        jj_consume_token(RPAREN);
       typeDeclStmt.setArrayType(arrayExpr);
       try {
         arrayExpr.resolveFinalType();
       } catch (SYM_UnresolvableException except) {
         System.err.println(getLine() + except);
       } catch (SYM_TypeInconsistencyException except) {
         System.err.println(getLine() + except);
       } catch (NullPointerException except) {
         System.err.println(getLine() + except +
                            " In typeDeclarationStatement - to be ignored in the future");
       }
       SOM_ArrayType arrayType = new SOM_ArrayType(manager.getArrayType());
       arrayType.setMemberType(arrayExpr.getResolvedType());
       typeDecl = arrayType;
        break;
      default:
        jj_consume_token(-1);
        throw new ParseException();
      }
      jj_consume_token(RPAREN);
      break;
    default:
      jj_consume_token(-1);
      throw new ParseException();
    }
          if (interList == null) {
              // Populating the symbol table for declarations of types
              // Add first type to the symboltable		  
              try {
                  typeDef = new SOM_TypeDeclaration(id, manager.getBunchType());
                  typeDef.setParentType(typeDecl);
                  manager.addDeclaration(typeDef);
              } catch (SYM_IllegalRedeclarationException except) {
                  System.err.println(getLine() + except);
              }
              // Add rest of variables to the symboltable
              if (idList != null) {
                  ListEnumeration varEnum = idList.identifiers();
                  SOM_Identifier otherId;
                  while (varEnum.hasMoreElements()) {
                      otherId = (SOM_Identifier)varEnum.nextElement();
                      try {
                          typeDef = new SOM_TypeDeclaration(otherId, manager.getBunchType());
                          typeDef.setParentType(typeDecl);
                          manager.addDeclaration(typeDef);
                      } catch (SYM_IllegalRedeclarationException except) {
                          System.err.println(getLine() + except);
                      }
                  }
              }
          } else {
          // Declaration of functions
              isFunction = true;
              manager.openScope();
              processInterfaceListing(interList, SOM_Mode.IN);
              SOM_FunctionType fncType= new SOM_FunctionType(manager.getBunchType());
              ListEnumeration interfaceEnum = interList.interfaces();
              SOM_InterfaceItem currItem;
              while (interfaceEnum.hasMoreElements()){
                  currItem = (SOM_InterfaceItem)interfaceEnum.nextElement();
                  fncType.addToDomainList(currItem.getType());
              }
              typeDef = new SOM_TypeDeclaration(id, manager.getBunchType());
              typeDef.setParentType(typeDecl);
              fncType.setRange(typeDef);
              fncDecl = new SOM_FunctionDeclaration(id, fncType);
          }
    switch ((jj_ntk==-1)?jj_ntk():jj_ntk) {
    case IS:
      jj_consume_token(IS);
      if (jj_2_31(2)) {
        constTypeDeclStmt = constructedTypeDeclarationStatement(typeDef);
            typeDeclStmt.setConstType(constTypeDeclStmt);
      } else {
        switch ((jj_ntk==-1)?jj_ntk():jj_ntk) {
        case ENUMERATION:
        case EXISTS:
        case FORALL:
        case IF:
        case LBRACE:
        case LET:
        case LFUNCDELIMITER:
        case LPAREN:
        case LSQUARE:
        case RAN:
        case SEL:
        case DOLLAR:
        case HASH:
        case MAX:
        case MIN:
        case MINUS:
        case NOT:
        case PERCENT:
        case TILDA:
        case IDENTIFIER:
        case CHARACTER_LITERAL:
        case CONSTANT_LITERAL:
        case INTEGER_LITERAL:
        case FLOAT_LITERAL:
          typeValue = expression();
            typeDeclStmt.setValue(typeValue);
            try {
                typeValue.resolveFinalType();
                valueDecl = typeValue.getResolvedType();
            } catch (SYM_UnresolvableException except) {
                System.err.println(getLine() + except);
            } catch (SYM_TypeInconsistencyException except) {
                System.err.println(getLine() + except);
            } catch (NullPointerException except) {
                System.err.println(getLine() + except +
                                   " In typeDeclarationStatement (typeValue) - to be ignored in the future");
            }
          break;
        default:
          jj_consume_token(-1);
          throw new ParseException();
        }
      }
      break;
    default:
      ;
    }
           if (isFunction) {
               manager.closeScope();
               manager.addFuncDeclaration(fncDecl);
           }
           if (typeValue != null) {
               try {
                   if (!(SOM_TypeDeclaration.resolveFinalType(valueDecl, typeDecl)))
                       {if (true) throw new SYM_TypeInconsistencyException
                           ("In SldlParser.TypeDeclarationStatement: " +
                            "Trying to assign value of type " + valueDecl.toString()
                            + " to variable of type " + typeDecl.toString());}
               } catch (SYM_TypeInconsistencyException except) {
                   System.err.println(getLine() + except);
               }
           }
       {if (true) return typeDeclStmt;}
    throw new Error("Missing return statement in function");
  }

// Added by Morel, July 7, 2001
// this production handles declaration of constructed types
  final public SOM_ConstructedTypeDeclarationStatement constructedTypeDeclarationStatement(SOM_TypeDeclaration typeDecl) throws ParseException {
  SOM_ConstructedTypeDeclarationStatement constTypeDeclStmt =
          new SOM_ConstructedTypeDeclarationStatement();
  SOM_Constructor constr;
    jj_consume_token(DATA);
    constr = constructor(typeDecl);
         constTypeDeclStmt.setType(typeDecl);
         constTypeDeclStmt.addToConstructorList(constr);
    label_24:
    while (true) {
      switch ((jj_ntk==-1)?jj_ntk():jj_ntk) {
      case PIPE:
        ;
        break;
      default:
        break label_24;
      }
      jj_consume_token(PIPE);
      constr = constructor(typeDecl);
            constTypeDeclStmt.addToConstructorList(constr);
    }
            {if (true) return constTypeDeclStmt;}
    throw new Error("Missing return statement in function");
  }

// Added by Morel, July 7, 2001
// this production handles declaration of constructors
  final public SOM_Constructor constructor(SOM_TypeDeclaration typeDecl) throws ParseException {
    SOM_Constructor constr = new SOM_Constructor(typeDecl);
    SOM_Identifier id;
    SOM_ObserverListing obList = null;
    SOM_Recognizer constrRecognizer;
    SOM_FunctionDeclaration genFncDecl;
    boolean isFunction = false;
    id = identifier();
        constr.setIdentifier(id);
    switch ((jj_ntk==-1)?jj_ntk():jj_ntk) {
    case LPAREN:
      obList = observerListing();
            isFunction = true;
            constr.setObserverListing(obList);
      break;
    default:
      ;
    }
    jj_consume_token(MEMBER);
    constrRecognizer = recognizer(typeDecl);
        constr.setRecognizer(constrRecognizer);
        if (isFunction) {
            genFncDecl = new SOM_FunctionDeclaration();
            genFncDecl.setFunctionName(id);
            manager.openScope();
            processObserverListing(obList, SOM_Mode.INOUT);
            SOM_FunctionType genFncType =
                new SOM_FunctionType(manager.getBunchType());
            ListEnumeration observerEnum = obList.observers();
            SOM_ObserverItem currItem;
            while (observerEnum.hasMoreElements()){
                currItem = (SOM_ObserverItem)observerEnum.nextElement();
                genFncType.addToDomainList(currItem.getType());
            }
            manager.closeScope();
            genFncType.setRange(typeDecl);
            genFncDecl.setType(genFncType);
            manager.addFuncDeclaration(genFncDecl);
        }
        else {
            manager.addDeclaration(new SOM_VariableDeclaration
                                   (id, typeDecl));
        }
        if (isFunction) {
            // PROBLEM HERE!!!!!!
            // I am generating the observer function which takes the form
            // observername(T1::sel(t::constructorType | recognizer(t)))
            // Since the interface for a function declaration takes in id::name and not id::expr
            // I have to first create the selection function as a type and called T1
            // ie T1::subtype(constructorType) is sel....
            // Of cource all of the contructors with observers must have unique names, thus I add this
            // to the manager (a concated name)
            // "RecognizerName"+T1::subtype(constructortype) is sel....
            // Now I can write the function observersname(T1::RecognizerName+T1) is ...
            // THE PROBLEM IS THAT THE SUBTYPE THAT IS CREATED CREATES A DECLARATION NAME THAT CAN
            // NOT BE SEEN BY THE OUTSIDE WORLD AND MAY CAUSE A REDECLARATION EXCEPTION!!!!!!!!!!
            // Add to manager T1::subtype(constructedtype) is sel(t::constructedtype | recognizer(t))
            //
            // ANOTHER PROBLEM!!!!
            // Cannot resolve final type for expression in FormalName
            // SOM_Expression: Call to getResolvedType before call to setResolvedType
            // When trying to using the observer function.  Problem also happens independant of constructed type
            SOM_TypeDeclaration selDecl;
            selDecl = new SOM_TypeDeclaration(new SOM_Identifier(constrRecognizer.getIdentifier().toString()
                                                                 + "T1"), manager.getBunchType());
            try {
                selDecl.setParentType(typeDecl);
                manager.addDeclaration(selDecl);
            } catch (SYM_IllegalRedeclarationException except) {
                System.err.println(getLine() + except);
            }
            ListEnumeration obsEnum = obList.observers();
            SOM_Identifier currId = new SOM_Identifier();
            SOM_ObserverItem currObserver = new SOM_ObserverItem();
            while(obsEnum.hasMoreElements()) {
                currObserver = (SOM_ObserverItem)obsEnum.nextElement();
                SOM_Identifier obsGenFunctInId = new SOM_Identifier("t");
                SOM_Expression obsGenFncInputs = new SOM_Expression();
                SOM_Expression obsFncCall = new SOM_Expression();
                SOM_QuantifiedExpression qExpr = new SOM_QuantifiedExpression();
                SOM_Identifier selFncInId;
                SOM_InterfaceItem selFncInItem;
                SOM_InterfaceListing selInterList;
                // Generate t, the expression input for the function call
                obsGenFncInputs = currObserver.createInputValue(obsGenFunctInId);
                currObserver.setGenFncInputs(obsGenFncInputs);
                // Create recognizer(t)
                obsFncCall = currObserver.createFunctionCall(obsGenFncInputs,
                                                             constr.getRecognizer().getIdentifier());
                currObserver.setGenFncCall(obsFncCall);
                // Generate sel(t::constructedType | recognizer(t))
                qExpr.setQuantifier(new SOM_Sel());
                manager.openScope();
                selFncInId = new SOM_Identifier("t");
                selFncInItem = new SOM_InterfaceItem();
                selFncInItem.setIdentifier(selFncInId);
                selFncInItem.setTypeName((SOM_Name)typeDecl.getName());
                selInterList = new SOM_InterfaceListing();
                selInterList.addToInterfaceItemList(selFncInItem);
                qExpr.addInterfaceItem(selFncInItem);
                try {
                    SOM_DeclarationList typeDeclList =
                        manager.lookUpForKind(selFncInItem.getTypeName(), SOM_Declaration.TYPE);
                    // Since the type resolution must be unique, choose the first one only
                    SOM_TypeDeclaration typeSelDecl =
                        (SOM_TypeDeclaration)typeDeclList.first();
                    try {
                        manager.addDeclaration(new SOM_VariableDeclaration
                                               (selFncInItem.getIdentifier(), typeSelDecl));
                        // Also need to set the currItem's type - will help in
                        // processing AssociationListing for a formalName
                        selFncInItem.setType(typeSelDecl);
                    } catch (SYM_IllegalRedeclarationException except) {
                        System.err.println(getLine() + except);
                    }
                } catch (SYM_NoDeclarationException except) {
                    System.err.println(getLine() + except);
                }
                // Set the expression
                qExpr.setExpression(obsFncCall);
                // SEMANTIC PROBLEM ASSOCIATED WITH TYPE DECLARATION
                //#ifdef SEMCHECK
                //try {
                //    obsFncCall.resolveFinalType();
                //} catch (SYM_UnresolvableException except) {
                //  System.err.println(getLine() + except);
                //} catch (NullPointerException except) {
                //    System.err.println(getLine() + except + 
                //		       "In constructedTypeExpression - to be ignored");
                //}
                //#endif
                manager.closeScope();
                SOM_Expression selExpr = currObserver.convertQExpr2Expr(qExpr);
                SOM_TypeDeclarationStatement typeDeclStmt = new SOM_TypeDeclarationStatement();
                SOM_TypeDeclaration valueDecl;
                typeDeclStmt.setKeyWord("type");
                typeDeclStmt.setIsType();
                typeDeclStmt.setValue(selExpr);
                try {
                    selExpr.resolveFinalType();
                    valueDecl = selExpr.getResolvedType();
                } catch (SYM_UnresolvableException except) {
                    System.err.println(getLine() + except);
                } catch (SYM_TypeInconsistencyException except) {
                    System.err.println(getLine() + except);
                } catch (NullPointerException except) {
                    System.err.println(getLine() + except +
                                       " In Constructor (typeValue) - to be ignored in the future");
                }
                // Observer Function Generation
                // For each observer generate:  observername(t: T1)::observertype
                currId = currObserver.getIdentifier();
                SOM_InterfaceListing genInterList = new SOM_InterfaceListing();
                genInterList = currObserver.createInterface("t", (SOM_Name)selDecl.getName());
                currObserver.setInterfaceListing(genInterList);
                genFncDecl = new SOM_FunctionDeclaration();
                genFncDecl.setFunctionName(currId);
                manager.openScope();
                processInterfaceListing(genInterList, SOM_Mode.INOUT);
                SOM_FunctionType genFncType =
                    new SOM_FunctionType(manager.getBunchType());
                ListEnumeration interfaceEnum = genInterList.interfaces();
                SOM_InterfaceItem currItem;
                while (interfaceEnum.hasMoreElements()){
                    currItem = (SOM_InterfaceItem)interfaceEnum.nextElement();
                    genFncType.addToDomainList(currItem.getType());
                }
                manager.closeScope();
                genFncType.setRange(currObserver.getType());
                genFncDecl.setType(genFncType);
                manager.addFuncDeclaration(genFncDecl);
            }
        }
        {if (true) return constr;}
    throw new Error("Missing return statement in function");
  }

// Added by Morel, July 9, 2001
// This production handels declarations of observers
  final public SOM_ObserverListing observerListing() throws ParseException {
    SOM_ObserverListing observervar = new SOM_ObserverListing();
    jj_consume_token(LPAREN);
    observerItem(observervar);
    label_25:
    while (true) {
      switch ((jj_ntk==-1)?jj_ntk():jj_ntk) {
      case COMMA:
        ;
        break;
      default:
        break label_25;
      }
      jj_consume_token(COMMA);
      observerItem(observervar);
    }
    jj_consume_token(RPAREN);
            {if (true) return observervar;}
    throw new Error("Missing return statement in function");
  }

// Added by Morel, July 9, 2001
// This breaks up the SOM_ObserverListing into individual variables
// and returns the cannonical form <id> :: <type name>
// Hence it returns nothing    
  final public void observerItem(SOM_ObserverListing obList) throws ParseException {
    SOM_IdentifierListing varList;
    SOM_Name typeName;
    varList = identifierListing();
    jj_consume_token(MEMBER);
    typeName = name();
        // Now break varList into individual ids
        ListEnumeration idEnum = varList.identifiers();
        SOM_Identifier currId;
        SOM_ObserverItem currItem;
        while (idEnum.hasMoreElements()) {
            currId = (SOM_Identifier)idEnum.nextElement();
            currItem = new SOM_ObserverItem();
            currItem.setIdentifier(currId);
            currItem.setTypeName(typeName);
            obList.addToObserverItemList(currItem);
        }
  }

// Added by Morel, July 9, 2001
// Handles the production and use of recognizers
  final public SOM_Recognizer recognizer(SOM_TypeDeclaration typeDecl) throws ParseException {
    SOM_Identifier id;
    SOM_Recognizer recognizer = new SOM_Recognizer();
    SOM_InterfaceListing genInterList;
    SOM_FunctionDeclaration genFncDecl;
    id = identifier();
        recognizer.setIdentifier(id);
        //Check that this is not a redeclaration of a recogizer/id
        try {
            SOM_DeclarationList declList = manager.lookUp(id.toString());
            // If no SYM_NoDeclarationException is thrown by lookUp, then it means
            // that there is already a declaration for id
            {if (true) throw new SYM_IllegalRedeclarationException(id.toString() +
                                                        " cannot be used as a label: It has been declared previously");}
        } catch (SYM_NoDeclarationException except) {
            // ignore.. it just means that no previous declaration exists!!
            // this is exactly what we want here!
        } catch (SYM_IllegalRedeclarationException except) {
            // catch the exception the I've myself thrown :)
            System.err.println(getLine() + except);
        }
        // Create interface for function generation 
        // t::T
        genInterList = recognizer.createInterface("t", (SOM_Name)typeDecl.getName());
        recognizer.setInterfaceListing(genInterList);
        // Recognizer Function Generation, return type is boolean
        // recognizer(t::constructortype)::boolean
        genFncDecl = new SOM_FunctionDeclaration();
        genFncDecl.setFunctionName(id);
        manager.openScope();
        processInterfaceListing(genInterList, SOM_Mode.INOUT);
        SOM_FunctionType genFncType =
            new SOM_FunctionType(manager.getBunchType());
        ListEnumeration interfaceEnum = genInterList.interfaces();
        SOM_InterfaceItem currItem;
        while (interfaceEnum.hasMoreElements()){
            currItem = (SOM_InterfaceItem)interfaceEnum.nextElement();
            genFncType.addToDomainList(currItem.getType());
        }
        manager.closeScope();
        genFncType.setRange(manager.getBooleanType());
        genFncDecl.setType(genFncType);
        manager.addFuncDeclaration(genFncDecl);
     {if (true) return recognizer;}
    throw new Error("Missing return statement in function");
  }

// added by Cindy, June 29, 2000
// this production handles declaration of sets
  final public SOM_SetDeclarationStatement setDeclarationStatement(SOM_DeclarationStatement declStmt) throws ParseException {
  SOM_SetDeclarationStatement setDeclStmt = new SOM_SetDeclarationStatement();
  Token tok;
  SOM_Expression typeExpr;
  SOM_Expression valueExpr;
  SOM_TypeDeclaration typeDecl = null;
  SOM_SetType setType;
  SOM_SetDeclaration setDecl;
  SOM_Identifier id = declStmt.getIdentifier();
  SOM_InterfaceListing interList = declStmt.getInterfaceListing();
  SOM_IdentifierListing idList = declStmt.getIdentifierListing();
  SOM_FunctionDeclaration fncDecl = null;
  boolean isFunction = false;
    tok = jj_consume_token(SET);
    jj_consume_token(LPAREN);
    typeExpr = expression();
    setDeclStmt.setType(typeExpr);
   try {
        typeExpr.resolveFinalType();
        typeDecl = typeExpr.getResolvedType();
   } catch (SYM_UnresolvableException except) {
         System.err.println(getLine() + except);
   } catch (SYM_TypeInconsistencyException except) {
         System.err.println(getLine() + except);
   } catch (NullPointerException except) {
     System.err.println(getLine() + except +
         " In setDeclarationStatement (typeExpr) - to be ignored in the future");
   }
        setType = new SOM_SetType(manager.getSetType());
        setType.setMemberType(typeDecl);
        // The following is for populating the symbol table for declarations 
        // of variables or constants of type set
        if (interList == null) {
          // Add first variable to the symboltable		  
          try {
        manager.addDeclaration(new SOM_SetDeclaration(id, setType));
          } catch (SYM_IllegalRedeclarationException except) {
            System.err.println(getLine() + except);
          }
          // Add rest of variables to the symboltable
                if (idList != null) {
                  ListEnumeration varEnum = idList.identifiers();
                  SOM_Identifier otherId;
                  while (varEnum.hasMoreElements()) {
                        otherId = (SOM_Identifier)varEnum.nextElement();
                        try {
                                manager.addDeclaration
                                        (new SOM_SetDeclaration(otherId, setType));
                        } catch (SYM_IllegalRedeclarationException except) {
                          System.err.println(getLine() + except);
                        }
                  }
                }
        } else {
          // Declaration of functions
          isFunction = true;
          manager.openScope();
          processInterfaceListing(interList, SOM_Mode.IN);
          SOM_FunctionType fncType =
                new SOM_FunctionType(manager.getBunchType());
          ListEnumeration interfaceEnum = interList.interfaces();
          SOM_InterfaceItem currItem;
          while (interfaceEnum.hasMoreElements()){
            currItem = (SOM_InterfaceItem)interfaceEnum.nextElement();
            fncType.addToDomainList(currItem.getType());
          }
          fncType.setRange(setType);
          fncDecl = new SOM_FunctionDeclaration(id, fncType);
        }
    jj_consume_token(RPAREN);
    switch ((jj_ntk==-1)?jj_ntk():jj_ntk) {
    case IS:
      jj_consume_token(IS);
      valueExpr = expression();
           setDeclStmt.setValueExpr(valueExpr);
           try {
                   valueExpr.resolveFinalType();
           } catch (SYM_UnresolvableException except) {
                   // This means that item resolved to multiple types - or none!
                   System.err.println(getLine() + except);
           } catch (SYM_TypeInconsistencyException except) {
                   // This means that it reached an assignment expression where the
                   // right operand is not of matching type for the left operand
                   System.err.println(getLine() + except);
           } catch (NullPointerException except) {
                   // Safely ignore since a NoDeclarationException has
                   // been printed out already
                   // System.err.println(getLine() + except +
                   //		  " In labelledExpression - to be ignored in the future");
           }
           try {
                   if (!(valueExpr.getResolvedType() instanceof SOM_SetType))
                     {if (true) throw new SYM_TypeInconsistencyException
                       ("Expecting set type ...");}
                   if (!SOM_TypeDeclaration.resolveFinalType
                          (((SOM_SetType)valueExpr.getResolvedType()).getMemberType(),
                           typeDecl))
                         {if (true) throw new SYM_TypeInconsistencyException
                           ("Incorrect type for member of set ... ");}
                } catch (SYM_TypeInconsistencyException except) {
                  System.err.println(getLine() + except);
                }
      break;
    default:
      ;
    }
        if (isFunction) {
          manager.closeScope();
          manager.addFuncDeclaration(fncDecl);
        }
    {if (true) return setDeclStmt;}
    throw new Error("Missing return statement in function");
  }

// added by Cindy, June 29, 2000
// this production handles declaration of sequences
  final public SOM_SequenceDeclarationStatement sequenceDeclarationStatement(SOM_DeclarationStatement declStmt) throws ParseException {
  SOM_SequenceDeclarationStatement sequenceDeclStmt =
          new SOM_SequenceDeclarationStatement();
  Token tok;
  SOM_Expression typeExpr;
  SOM_Expression valueExpr;
  SOM_TypeDeclaration typeDecl = null;
  SOM_SequenceType sequenceType;
  SOM_SequenceDeclaration sequenceDecl;
  SOM_Identifier id = declStmt.getIdentifier();
  SOM_InterfaceListing interList = declStmt.getInterfaceListing();
  SOM_IdentifierListing idList = declStmt.getIdentifierListing();
  SOM_FunctionDeclaration fncDecl = null;
  boolean isFunction = false;
    tok = jj_consume_token(SEQUENCE);
    jj_consume_token(LPAREN);
    typeExpr = expression();
    sequenceDeclStmt.setType(typeExpr);
   try {
         typeExpr.resolveFinalType();
         typeDecl = typeExpr.getResolvedType();
   } catch (SYM_UnresolvableException except) {
         System.err.println(getLine() + except);
   } catch (SYM_TypeInconsistencyException except) {
         System.err.println(getLine() + except);
   } catch (NullPointerException except) {
     System.err.println(getLine() + except +
         " In sequenceDeclarationStatement (type) - to be ignored in the future");
   }
        sequenceType = new SOM_SequenceType(manager.getSequenceType());
        sequenceType.setMemberType(typeDecl);
        // The following is for populating the symbol table for declarations 
        // of variables or constants of type set
        if (interList == null) {
          // Add first variable to the symboltable		  
          try {
        manager.addDeclaration(new SOM_SequenceDeclaration(id, sequenceType));
          } catch (SYM_IllegalRedeclarationException except) {
            System.err.println(getLine() + except);
          }
          // Add rest of variables to the symboltable
          if (idList != null) {
                  ListEnumeration varEnum = idList.identifiers();
                  SOM_Identifier otherId;
                  while (varEnum.hasMoreElements()) {
                        otherId = (SOM_Identifier)varEnum.nextElement();
                        try {
                                manager.addDeclaration
                                        (new SOM_SequenceDeclaration(otherId, sequenceType));
                        } catch (SYM_IllegalRedeclarationException except) {
                          System.err.println(getLine() + except);
                        }
                  }
                }
        } else {
          // Declaration of functions
          isFunction = true;
          manager.openScope();
          processInterfaceListing(interList, SOM_Mode.IN);
          SOM_FunctionType fncType =
                new SOM_FunctionType(manager.getBunchType());
          ListEnumeration interfaceEnum = interList.interfaces();
          SOM_InterfaceItem currItem;
          while (interfaceEnum.hasMoreElements()){
            currItem = (SOM_InterfaceItem)interfaceEnum.nextElement();
            fncType.addToDomainList(currItem.getType());
          }
          fncType.setRange(sequenceType);
          fncDecl = new SOM_FunctionDeclaration(id, fncType);
        }
    jj_consume_token(RPAREN);
    switch ((jj_ntk==-1)?jj_ntk():jj_ntk) {
    case IS:
      jj_consume_token(IS);
      valueExpr = expression();
      sequenceDeclStmt.setValue(valueExpr);
           try {
                   valueExpr.resolveFinalType();
           } catch (SYM_UnresolvableException except) {
                   // This means that item resolved to multiple types - or none!
                   System.err.println(getLine() + except);
           } catch (SYM_TypeInconsistencyException except) {
                   // This means that it reached an assignment expression where the
                   // right operand is not of matching type for the left operand
                   System.err.println(getLine() + except);
           } catch (NullPointerException except) {
                   // Safely ignore since a NoDeclarationException has
                   // been printed out already
                   System.err.println(getLine() + except +
                     " In sequenceDeclarationStatement - to be ignored in the future");
           }
           try {
                   if (!(valueExpr.getResolvedType() instanceof SOM_SequenceType))
                     {if (true) throw new SYM_TypeInconsistencyException
                       ("Expecting sequence type ...");}
                   if (!SOM_TypeDeclaration.resolveFinalType
                          (((SOM_SequenceType)valueExpr.getResolvedType()).getMemberType()
                           , typeDecl))
                         {if (true) throw new SYM_TypeInconsistencyException
                           ("Incorrect type for member of sequence ... ");}
                } catch (SYM_TypeInconsistencyException except) {
                  System.err.println(getLine() + except);
                }
      break;
    default:
      ;
    }
        if (isFunction) {
          manager.closeScope();
          manager.addFuncDeclaration(fncDecl);
        }
    {if (true) return sequenceDeclStmt;}
    throw new Error("Missing return statement in function");
  }

// added by Cindy, June 29, 2000
// this production handles declaration of arrays
  final public SOM_ArrayDeclarationStatement arrayDeclarationStatement(SOM_DeclarationStatement declStmt) throws ParseException {
  SOM_ArrayDeclarationStatement arrayDeclStmt =
          new SOM_ArrayDeclarationStatement();
  Token tok;
  SOM_Expression typeExpr;
  SOM_TypeDeclaration typeDecl = null;
  SOM_ArrayDeclaration arrayDecl;
  SOM_ArrayType arrayType;
  SOM_Expression typeValue;
  SOM_Identifier id = declStmt.getIdentifier();
  SOM_InterfaceListing interList = declStmt.getInterfaceListing();
  SOM_IdentifierListing idList = declStmt.getIdentifierListing();
  SOM_FunctionDeclaration fncDecl = null;
  boolean isFunction = false;
    tok = jj_consume_token(ARRAY);
    jj_consume_token(LPAREN);
    typeExpr = expression();
    arrayDeclStmt.setType(typeExpr);
  try {
        typeExpr.resolveFinalType();
        typeDecl = typeExpr.getResolvedType();
   } catch (SYM_UnresolvableException except) {
         System.err.println(getLine() + except);
   } catch (SYM_TypeInconsistencyException except) {
         System.err.println(getLine() + except);
   } catch (NullPointerException except) {
     System.err.println(getLine() + except +
         " In arrayDeclarationStatement (typeExpr) - to be ignored in the future");
   }
        arrayType = new SOM_ArrayType(manager.getArrayType());
        arrayType.setMemberType(typeDecl);
        // The following is for populating the symbol table for declarations 
        // of variables or constants of type array
        if (interList == null) {
          // Add first variable to the symboltable		  
          try {
        manager.addDeclaration(new SOM_ArrayDeclaration(id, arrayType));
          } catch (SYM_IllegalRedeclarationException except) {
            System.err.println(getLine() + except);
          }
          // Add rest of variables to the symboltable
                if (idList != null) {
                  ListEnumeration varEnum = idList.identifiers();
                  SOM_Identifier otherId;
                  while (varEnum.hasMoreElements()) {
                        otherId = (SOM_Identifier)varEnum.nextElement();
                        try {
                                manager.addDeclaration
                                        (new SOM_ArrayDeclaration(otherId, arrayType));
                        } catch (SYM_IllegalRedeclarationException except) {
                          System.err.println(getLine() + except);
                        }
                  }
                }
        } else {
          // Declaration of functions
          isFunction = true;
          manager.openScope();
          processInterfaceListing(interList, SOM_Mode.IN);
          SOM_FunctionType fncType =
                new SOM_FunctionType(manager.getBunchType());
          ListEnumeration interfaceEnum = interList.interfaces();
          SOM_InterfaceItem currItem;
          while (interfaceEnum.hasMoreElements()){
            currItem = (SOM_InterfaceItem)interfaceEnum.nextElement();
            fncType.addToDomainList(currItem.getType());
          }
          fncType.setRange(arrayType);
          fncDecl = new SOM_FunctionDeclaration(id, fncType);
        }
    jj_consume_token(RPAREN);
    switch ((jj_ntk==-1)?jj_ntk():jj_ntk) {
    case IS:
      jj_consume_token(IS);
      typeValue = expression();
      arrayDeclStmt.setValue(typeValue);
      break;
    default:
      ;
    }
        if (isFunction) {
          manager.closeScope();
          manager.addFuncDeclaration(fncDecl);
        }
    {if (true) return arrayDeclStmt;}
    throw new Error("Missing return statement in function");
  }

// Commented out by Morel, July 10, 2001
// Old definition
// added by Cindy, June 20, 2000
// this production handles the declarations and usage of records 
/*  SOM_RecordListing recordListing() : */
/*  { */
/*    SOM_RecordListing recordList = new SOM_RecordListing(); */
/*    SOM_Identifier id; */
/*    SOM_Expression expr; */
/*    SOM_TypeDeclaration exprType = null; */
/*    SOM_RecordType recordType = null; */
/*  }  */
/*  {  */
/*    <RECORD>  */
/*    <LSQUARE> */
/*    id = identifier() */
/*    ( */
/*      <MEMBER> */
/*  	expr = expression() */
/*      { */
/*  	  recordList.isDeclaration(); */
/*  	  recordList.addToItemList(id, expr);  */
/*  #ifdef SEMCHECK */
/*  	try { */
/*  	  expr.resolveFinalType(); */
/*  	  exprType = expr.getResolvedType(); */
/*        recordType = new SOM_RecordType(manager.getRecordType()); */
/*  	  recordType.setFieldType(id, exprType); */
/*      } catch (SYM_UnresolvableException except) { */
/*  		System.err.println(getLine() + except); */
/*  	} catch (SYM_TypeInconsistencyException except) { */
/*  		System.err.println(getLine() + except); */
/*  	} catch (NullPointerException except) { */
/*  		System.err.println(getLine() + except + */
/*  		" In recordListing (type)- to be ignored in the future"); */
/*  	}	   */
/*  #endif */
/*  	} */
/*  	( */
/*  	 <PIPE> */
/*  	 id = identifier() */
/*  	 <MEMBER> */
/*  	 expr = expression() */
/*  	 { */
/*  	   recordList.addToItemList(id, expr); */
/*  #ifdef SEMCHECK */
/*  	try { */
/*  	  expr.resolveFinalType(); */
/*  	  exprType = expr.getResolvedType(); */
/*  	  recordType.setFieldType(id, exprType); */
/*      } catch (SYM_UnresolvableException except) { */
/*  	  System.err.println(getLine() + except); */
/*  	} catch (SYM_TypeInconsistencyException except) { */
/*  	  System.err.println(getLine() + except); */
/*  	} catch (NullPointerException except) { */
/*        System.err.println(getLine() + except + */
/*  	  " In recordlisting (types) - to be ignored in the future"); */
/*  	}  */
/*  #endif */
/*  	 } */
/*  	)* */
/*  	| */
/*  	<IS> */
/*      expr = expression() */
/*  	{ */
/*  	  recordList.addToItemList(id, expr); */
/*  #ifdef SEMCHECK */
/*  	try { */
/*  	  expr.resolveFinalType(); */
/*  	  exprType = expr.getResolvedType(); */
/*        recordType = new SOM_RecordType(manager.getRecordType()); */
/*  	  recordType.setFieldType(id, exprType);  */
/*      } catch (SYM_UnresolvableException except) { */
/*  	  System.err.println(getLine() + except); */
/*      } catch (SYM_TypeInconsistencyException except) { */
/*  	  System.err.println(getLine() + except); */
/*      } catch (NullPointerException except) { */
/*        System.err.println(getLine() + except + */
/*  	  " In recordListing (values) - to be ignored in the future"); */
/*  	}	   */
/*  #endif */
/*  	} */
/*  	( */
/*       <PIPE> */
/*  	 id = identifier() */
/*  	 <IS> */
/*  	 expr = expression() */
/*  	 { */
/*  	   recordList.addToItemList(id, expr); */
/*  #ifdef SEMCHECK */
/*  	try { */
/*  	  expr.resolveFinalType(); */
/*  	  exprType = expr.getResolvedType(); */
/*        recordType.setFieldType(id, exprType);  */
/*  	} catch (SYM_UnresolvableException except) { */
/*  	  System.err.println(getLine() + except); */
/*      } catch (SYM_TypeInconsistencyException except) { */
/*  	  System.err.println(getLine() + except); */
/*      } catch (NullPointerException except) { */
/*        System.err.println(getLine() + except + */
/*  	 " In recordListing (values+) - to be ignored in the future"); */
/*  	} */
/*  #endif */
/*  	 } */
/*      )* */
/*    ) */
/*    <RSQUARE> */
/*  #ifdef SEMCHECK */
/*    { */
/*  	recordList.setTypeDeclaration(recordType); */
/*    } */
/*  #endif */
/*    { */
/*  	return recordList; */
/*    } */
/*  } */
// Commented out by Morel, July 10, 2001
// Old definition
// added by Cindy, June 20, 2000
// this production handles the declarations and usage of tuples
/*  SOM_TupleListing tupleListing() : */
/*  { */
/*    SOM_TupleListing tupleList = new SOM_TupleListing(); */
/*    SOM_Expression expr; */
/*  }  */
/*  {  */
/*    <TUPLE>  */
/*    <LSQUARE> */
/*     expr = expression() */
/*     { */
/*  	 tupleList.addToExpressionList(expr); */
/*     } */
/*    ( */
/*     <PIPE> */
/*     expr = expression() */
/*     { */
/*  	 tupleList.addToExpressionList(expr); */
/*     } */
/*    )* */
/*    <RSQUARE> */
/*    { */
/*  	return tupleList; */
/*    } */
/*  } */
// Added by Morel, June 30, 2001
// this production handles the declarations and usage of enumerations
  final public SOM_EnumerationListing enumerationListing() throws ParseException {
  SOM_EnumerationListing enumerationList = new SOM_EnumerationListing();
  SOM_EnumerationItem enumItem;
  SOM_EnumerationType enumerationType = null;
  SOM_Identifier id;
    jj_consume_token(ENUMERATION);
    jj_consume_token(LSQUARE);
    enumItem = enumerationItem();
     enumerationList.addToEnumerationItemList(enumItem);
     id = new SOM_Identifier(enumItem.toString());
     try {
       enumerationType = new SOM_EnumerationType(manager.getEnumerationType());
       enumerationType.setFieldType(enumItem, manager.getUnivType());
       manager.addDeclaration(new SOM_EnumerationItemDeclaration
                              (id, manager.getUnivType()));
     } catch (SYM_IllegalEnumerationRedeclarationException except) {
       // Do nothing!  Redeclaration of enumeration values in different enumerations
       // are allowed!
     } catch (SYM_IllegalRedeclarationException except) {
       System.err.println(getLine() + except);
     } catch (SYM_UnresolvableException except) {
       System.err.println(getLine() + except);
     } catch (SYM_TypeInconsistencyException except) {
       System.err.println(getLine() + except);
     } catch (NullPointerException except) {
       System.err.println(getLine() + except +
                          " In enumerationListing (type)- to be ignored in the future");
     }
    label_26:
    while (true) {
      switch ((jj_ntk==-1)?jj_ntk():jj_ntk) {
      case PIPE:
        ;
        break;
      default:
        break label_26;
      }
      jj_consume_token(PIPE);
      enumItem = enumerationItem();
      enumerationList.addToEnumerationItemList(enumItem);
      id.setIdentifier(enumItem.toString());
      try {
        enumerationType.setFieldType(enumItem, manager.getUnivType());
        manager.addDeclaration(new SOM_EnumerationItemDeclaration
                               (id, manager.getUnivType()));
      } catch (SYM_IllegalEnumerationRedeclarationException except) {
        // Do nothing!  Redeclaration of enumeration values in different enumerations
        // are allowed!
      } catch (SYM_IllegalRedeclarationException except) {
        System.err.println(getLine() + except);
            } catch (SYM_UnresolvableException except) {
              System.err.println(getLine() + except);
            } catch (SYM_TypeInconsistencyException except) {
                System.err.println(getLine() + except);
            } catch (NullPointerException except) {
              System.err.println(getLine() + except +
                                 " In enumerationListing (type)- to be ignored in the future");
            }
    }
    jj_consume_token(RSQUARE);
      enumerationList.setTypeDeclaration(enumerationType);
    {if (true) return enumerationList;}
    throw new Error("Missing return statement in function");
  }

// Added by Morel, June 30, 2001
// this production handles the declarations and usage of enumeration items
  final public SOM_EnumerationItem enumerationItem() throws ParseException {
  SOM_EnumerationItem enumItem = null;
    switch ((jj_ntk==-1)?jj_ntk():jj_ntk) {
    case CHARACTER_LITERAL:
    case CONSTANT_LITERAL:
    case INTEGER_LITERAL:
    case FLOAT_LITERAL:
      enumItem = literal();
      break;
    case IDENTIFIER:
      enumItem = name();
      break;
    default:
      jj_consume_token(-1);
      throw new ParseException();
    }
      {if (true) return enumItem;}
    throw new Error("Missing return statement in function");
  }

  final private boolean jj_2_1(int xla) {
    jj_la = xla; jj_lastpos = jj_scanpos = token;
    return !jj_3_1();
  }

  final private boolean jj_2_2(int xla) {
    jj_la = xla; jj_lastpos = jj_scanpos = token;
    return !jj_3_2();
  }

  final private boolean jj_2_3(int xla) {
    jj_la = xla; jj_lastpos = jj_scanpos = token;
    return !jj_3_3();
  }

  final private boolean jj_2_4(int xla) {
    jj_la = xla; jj_lastpos = jj_scanpos = token;
    return !jj_3_4();
  }

  final private boolean jj_2_5(int xla) {
    jj_la = xla; jj_lastpos = jj_scanpos = token;
    return !jj_3_5();
  }

  final private boolean jj_2_6(int xla) {
    jj_la = xla; jj_lastpos = jj_scanpos = token;
    return !jj_3_6();
  }

  final private boolean jj_2_7(int xla) {
    jj_la = xla; jj_lastpos = jj_scanpos = token;
    return !jj_3_7();
  }

  final private boolean jj_2_8(int xla) {
    jj_la = xla; jj_lastpos = jj_scanpos = token;
    return !jj_3_8();
  }

  final private boolean jj_2_9(int xla) {
    jj_la = xla; jj_lastpos = jj_scanpos = token;
    return !jj_3_9();
  }

  final private boolean jj_2_10(int xla) {
    jj_la = xla; jj_lastpos = jj_scanpos = token;
    return !jj_3_10();
  }

  final private boolean jj_2_11(int xla) {
    jj_la = xla; jj_lastpos = jj_scanpos = token;
    return !jj_3_11();
  }

  final private boolean jj_2_12(int xla) {
    jj_la = xla; jj_lastpos = jj_scanpos = token;
    return !jj_3_12();
  }

  final private boolean jj_2_13(int xla) {
    jj_la = xla; jj_lastpos = jj_scanpos = token;
    return !jj_3_13();
  }

  final private boolean jj_2_14(int xla) {
    jj_la = xla; jj_lastpos = jj_scanpos = token;
    return !jj_3_14();
  }

  final private boolean jj_2_15(int xla) {
    jj_la = xla; jj_lastpos = jj_scanpos = token;
    return !jj_3_15();
  }

  final private boolean jj_2_16(int xla) {
    jj_la = xla; jj_lastpos = jj_scanpos = token;
    return !jj_3_16();
  }

  final private boolean jj_2_17(int xla) {
    jj_la = xla; jj_lastpos = jj_scanpos = token;
    return !jj_3_17();
  }

  final private boolean jj_2_18(int xla) {
    jj_la = xla; jj_lastpos = jj_scanpos = token;
    return !jj_3_18();
  }

  final private boolean jj_2_19(int xla) {
    jj_la = xla; jj_lastpos = jj_scanpos = token;
    return !jj_3_19();
  }

  final private boolean jj_2_20(int xla) {
    jj_la = xla; jj_lastpos = jj_scanpos = token;
    return !jj_3_20();
  }

  final private boolean jj_2_21(int xla) {
    jj_la = xla; jj_lastpos = jj_scanpos = token;
    return !jj_3_21();
  }

  final private boolean jj_2_22(int xla) {
    jj_la = xla; jj_lastpos = jj_scanpos = token;
    return !jj_3_22();
  }

  final private boolean jj_2_23(int xla) {
    jj_la = xla; jj_lastpos = jj_scanpos = token;
    return !jj_3_23();
  }

  final private boolean jj_2_24(int xla) {
    jj_la = xla; jj_lastpos = jj_scanpos = token;
    return !jj_3_24();
  }

  final private boolean jj_2_25(int xla) {
    jj_la = xla; jj_lastpos = jj_scanpos = token;
    return !jj_3_25();
  }

  final private boolean jj_2_26(int xla) {
    jj_la = xla; jj_lastpos = jj_scanpos = token;
    return !jj_3_26();
  }

  final private boolean jj_2_27(int xla) {
    jj_la = xla; jj_lastpos = jj_scanpos = token;
    return !jj_3_27();
  }

  final private boolean jj_2_28(int xla) {
    jj_la = xla; jj_lastpos = jj_scanpos = token;
    return !jj_3_28();
  }

  final private boolean jj_2_29(int xla) {
    jj_la = xla; jj_lastpos = jj_scanpos = token;
    return !jj_3_29();
  }

  final private boolean jj_2_30(int xla) {
    jj_la = xla; jj_lastpos = jj_scanpos = token;
    return !jj_3_30();
  }

  final private boolean jj_2_31(int xla) {
    jj_la = xla; jj_lastpos = jj_scanpos = token;
    return !jj_3_31();
  }

  final private boolean jj_3_8() {
    if (jj_3R_31()) return true;
    if (jj_la == 0 && jj_scanpos == jj_lastpos) return false;
    return false;
  }

  final private boolean jj_3_25() {
    if (jj_scan_token(DOT)) return true;
    if (jj_la == 0 && jj_scanpos == jj_lastpos) return false;
    if (jj_3R_30()) return true;
    if (jj_la == 0 && jj_scanpos == jj_lastpos) return false;
    return false;
  }

  final private boolean jj_3R_46() {
    Token xsp;
    xsp = jj_scanpos;
    if (jj_3_25()) {
    jj_scanpos = xsp;
    if (jj_3R_88()) {
    jj_scanpos = xsp;
    if (jj_3R_89()) return true;
    if (jj_la == 0 && jj_scanpos == jj_lastpos) return false;
    } else if (jj_la == 0 && jj_scanpos == jj_lastpos) return false;
    } else if (jj_la == 0 && jj_scanpos == jj_lastpos) return false;
    return false;
  }

  final private boolean jj_3R_45() {
    if (jj_3R_55()) return true;
    if (jj_la == 0 && jj_scanpos == jj_lastpos) return false;
    Token xsp;
    while (true) {
      xsp = jj_scanpos;
      if (jj_3_8()) { jj_scanpos = xsp; break; }
      if (jj_la == 0 && jj_scanpos == jj_lastpos) return false;
    }
    return false;
  }

  final private boolean jj_3_31() {
    if (jj_3R_49()) return true;
    if (jj_la == 0 && jj_scanpos == jj_lastpos) return false;
    return false;
  }

  final private boolean jj_3R_85() {
    if (jj_scan_token(STARSTAR)) return true;
    if (jj_la == 0 && jj_scanpos == jj_lastpos) return false;
    return false;
  }

  final private boolean jj_3R_84() {
    if (jj_scan_token(DIVIDE)) return true;
    if (jj_la == 0 && jj_scanpos == jj_lastpos) return false;
    return false;
  }

  final private boolean jj_3R_139() {
    if (jj_scan_token(RAN)) return true;
    if (jj_la == 0 && jj_scanpos == jj_lastpos) return false;
    return false;
  }

  final private boolean jj_3R_83() {
    if (jj_scan_token(MULTIPLY)) return true;
    if (jj_la == 0 && jj_scanpos == jj_lastpos) return false;
    return false;
  }

  final private boolean jj_3R_138() {
    if (jj_scan_token(MAX)) return true;
    if (jj_la == 0 && jj_scanpos == jj_lastpos) return false;
    return false;
  }

  final private boolean jj_3R_137() {
    if (jj_scan_token(MIN)) return true;
    if (jj_la == 0 && jj_scanpos == jj_lastpos) return false;
    return false;
  }

  final private boolean jj_3R_37() {
    Token xsp;
    xsp = jj_scanpos;
    if (jj_3R_83()) {
    jj_scanpos = xsp;
    if (jj_3R_84()) {
    jj_scanpos = xsp;
    if (jj_3R_85()) return true;
    if (jj_la == 0 && jj_scanpos == jj_lastpos) return false;
    } else if (jj_la == 0 && jj_scanpos == jj_lastpos) return false;
    } else if (jj_la == 0 && jj_scanpos == jj_lastpos) return false;
    if (jj_3R_40()) return true;
    if (jj_la == 0 && jj_scanpos == jj_lastpos) return false;
    return false;
  }

  final private boolean jj_3R_136() {
    if (jj_scan_token(SEL)) return true;
    if (jj_la == 0 && jj_scanpos == jj_lastpos) return false;
    return false;
  }

  final private boolean jj_3R_135() {
    if (jj_scan_token(EXISTS)) return true;
    if (jj_la == 0 && jj_scanpos == jj_lastpos) return false;
    return false;
  }

  final private boolean jj_3R_134() {
    if (jj_scan_token(FORALL)) return true;
    if (jj_la == 0 && jj_scanpos == jj_lastpos) return false;
    return false;
  }

  final private boolean jj_3R_123() {
    Token xsp;
    xsp = jj_scanpos;
    if (jj_3R_134()) {
    jj_scanpos = xsp;
    if (jj_3R_135()) {
    jj_scanpos = xsp;
    if (jj_3R_136()) {
    jj_scanpos = xsp;
    if (jj_3R_137()) {
    jj_scanpos = xsp;
    if (jj_3R_138()) {
    jj_scanpos = xsp;
    if (jj_3R_139()) return true;
    if (jj_la == 0 && jj_scanpos == jj_lastpos) return false;
    } else if (jj_la == 0 && jj_scanpos == jj_lastpos) return false;
    } else if (jj_la == 0 && jj_scanpos == jj_lastpos) return false;
    } else if (jj_la == 0 && jj_scanpos == jj_lastpos) return false;
    } else if (jj_la == 0 && jj_scanpos == jj_lastpos) return false;
    } else if (jj_la == 0 && jj_scanpos == jj_lastpos) return false;
    if (jj_scan_token(LPAREN)) return true;
    if (jj_la == 0 && jj_scanpos == jj_lastpos) return false;
    return false;
  }

  final private boolean jj_3R_93() {
    if (jj_3R_30()) return true;
    if (jj_la == 0 && jj_scanpos == jj_lastpos) return false;
    Token xsp;
    xsp = jj_scanpos;
    if (jj_3_24()) jj_scanpos = xsp;
    else if (jj_la == 0 && jj_scanpos == jj_lastpos) return false;
    return false;
  }

  final private boolean jj_3_24() {
    if (jj_3R_46()) return true;
    if (jj_la == 0 && jj_scanpos == jj_lastpos) return false;
    return false;
  }

  final private boolean jj_3_7() {
    if (jj_scan_token(DOT)) return true;
    if (jj_la == 0 && jj_scanpos == jj_lastpos) return false;
    if (jj_3R_30()) return true;
    if (jj_la == 0 && jj_scanpos == jj_lastpos) return false;
    return false;
  }

  final private boolean jj_3R_29() {
    if (jj_3R_30()) return true;
    if (jj_la == 0 && jj_scanpos == jj_lastpos) return false;
    return false;
  }

  final private boolean jj_3R_118() {
    if (jj_scan_token(LFUNCDELIMITER)) return true;
    if (jj_la == 0 && jj_scanpos == jj_lastpos) return false;
    if (jj_3R_151()) return true;
    if (jj_la == 0 && jj_scanpos == jj_lastpos) return false;
    return false;
  }

  final private boolean jj_3_15() {
    if (jj_3R_37()) return true;
    if (jj_la == 0 && jj_scanpos == jj_lastpos) return false;
    return false;
  }

  final private boolean jj_3R_82() {
    if (jj_3R_40()) return true;
    if (jj_la == 0 && jj_scanpos == jj_lastpos) return false;
    Token xsp;
    while (true) {
      xsp = jj_scanpos;
      if (jj_3_15()) { jj_scanpos = xsp; break; }
      if (jj_la == 0 && jj_scanpos == jj_lastpos) return false;
    }
    return false;
  }

  final private boolean jj_3_6() {
    if (jj_scan_token(COMMA)) return true;
    if (jj_la == 0 && jj_scanpos == jj_lastpos) return false;
    if (jj_3R_29()) return true;
    if (jj_la == 0 && jj_scanpos == jj_lastpos) return false;
    return false;
  }

  final private boolean jj_3R_116() {
    if (jj_scan_token(LPAREN)) return true;
    if (jj_la == 0 && jj_scanpos == jj_lastpos) return false;
    if (jj_3R_45()) return true;
    if (jj_la == 0 && jj_scanpos == jj_lastpos) return false;
    return false;
  }

  final private boolean jj_3R_146() {
    if (jj_scan_token(USE)) return true;
    if (jj_la == 0 && jj_scanpos == jj_lastpos) return false;
    if (jj_3R_29()) return true;
    if (jj_la == 0 && jj_scanpos == jj_lastpos) return false;
    return false;
  }

  final private boolean jj_3R_81() {
    if (jj_scan_token(CATENATION)) return true;
    if (jj_la == 0 && jj_scanpos == jj_lastpos) return false;
    return false;
  }

  final private boolean jj_3R_80() {
    if (jj_scan_token(MINUSMINUS)) return true;
    if (jj_la == 0 && jj_scanpos == jj_lastpos) return false;
    return false;
  }

  final private boolean jj_3R_79() {
    if (jj_scan_token(PLUSPLUS)) return true;
    if (jj_la == 0 && jj_scanpos == jj_lastpos) return false;
    return false;
  }

  final private boolean jj_3R_78() {
    if (jj_scan_token(MINUS)) return true;
    if (jj_la == 0 && jj_scanpos == jj_lastpos) return false;
    return false;
  }

  final private boolean jj_3R_77() {
    if (jj_scan_token(PLUS)) return true;
    if (jj_la == 0 && jj_scanpos == jj_lastpos) return false;
    return false;
  }

  final private boolean jj_3R_36() {
    Token xsp;
    xsp = jj_scanpos;
    if (jj_3R_77()) {
    jj_scanpos = xsp;
    if (jj_3R_78()) {
    jj_scanpos = xsp;
    if (jj_3R_79()) {
    jj_scanpos = xsp;
    if (jj_3R_80()) {
    jj_scanpos = xsp;
    if (jj_3R_81()) return true;
    if (jj_la == 0 && jj_scanpos == jj_lastpos) return false;
    } else if (jj_la == 0 && jj_scanpos == jj_lastpos) return false;
    } else if (jj_la == 0 && jj_scanpos == jj_lastpos) return false;
    } else if (jj_la == 0 && jj_scanpos == jj_lastpos) return false;
    } else if (jj_la == 0 && jj_scanpos == jj_lastpos) return false;
    if (jj_3R_82()) return true;
    if (jj_la == 0 && jj_scanpos == jj_lastpos) return false;
    return false;
  }

  final private boolean jj_3R_44() {
    if (jj_3R_87()) return true;
    if (jj_la == 0 && jj_scanpos == jj_lastpos) return false;
    return false;
  }

  final private boolean jj_3R_144() {
    if (jj_scan_token(FACET)) return true;
    if (jj_la == 0 && jj_scanpos == jj_lastpos) return false;
    if (jj_3R_30()) return true;
    if (jj_la == 0 && jj_scanpos == jj_lastpos) return false;
    return false;
  }

  final private boolean jj_3R_43() {
    if (jj_3R_30()) return true;
    if (jj_la == 0 && jj_scanpos == jj_lastpos) return false;
    return false;
  }

  final private boolean jj_3_14() {
    if (jj_3R_36()) return true;
    if (jj_la == 0 && jj_scanpos == jj_lastpos) return false;
    return false;
  }

  final private boolean jj_3R_42() {
    if (jj_scan_token(MINUS)) return true;
    if (jj_la == 0 && jj_scanpos == jj_lastpos) return false;
    return false;
  }

  final private boolean jj_3R_41() {
    if (jj_scan_token(PLUS)) return true;
    if (jj_la == 0 && jj_scanpos == jj_lastpos) return false;
    return false;
  }

  final private boolean jj_3R_76() {
    if (jj_3R_82()) return true;
    if (jj_la == 0 && jj_scanpos == jj_lastpos) return false;
    Token xsp;
    while (true) {
      xsp = jj_scanpos;
      if (jj_3_14()) { jj_scanpos = xsp; break; }
      if (jj_la == 0 && jj_scanpos == jj_lastpos) return false;
    }
    return false;
  }

  final private boolean jj_3R_151() {
    if (jj_scan_token(LPAREN)) return true;
    if (jj_la == 0 && jj_scanpos == jj_lastpos) return false;
    return false;
  }

  final private boolean jj_3R_92() {
    if (jj_scan_token(NOT)) return true;
    if (jj_la == 0 && jj_scanpos == jj_lastpos) return false;
    return false;
  }

  final private boolean jj_3R_50() {
    Token xsp;
    xsp = jj_scanpos;
    if (jj_3R_92()) jj_scanpos = xsp;
    else if (jj_la == 0 && jj_scanpos == jj_lastpos) return false;
    if (jj_3R_93()) return true;
    if (jj_la == 0 && jj_scanpos == jj_lastpos) return false;
    return false;
  }

  final private boolean jj_3_19() {
    Token xsp;
    xsp = jj_scanpos;
    if (jj_3R_41()) {
    jj_scanpos = xsp;
    if (jj_3R_42()) return true;
    if (jj_la == 0 && jj_scanpos == jj_lastpos) return false;
    } else if (jj_la == 0 && jj_scanpos == jj_lastpos) return false;
    xsp = jj_scanpos;
    if (jj_3R_43()) {
    jj_scanpos = xsp;
    if (jj_3R_44()) return true;
    if (jj_la == 0 && jj_scanpos == jj_lastpos) return false;
    } else if (jj_la == 0 && jj_scanpos == jj_lastpos) return false;
    return false;
  }

  final private boolean jj_3R_47() {
    if (jj_3R_30()) return true;
    if (jj_la == 0 && jj_scanpos == jj_lastpos) return false;
    return false;
  }

  final private boolean jj_3R_75() {
    if (jj_scan_token(LESSEQUAL)) return true;
    if (jj_la == 0 && jj_scanpos == jj_lastpos) return false;
    return false;
  }

  final private boolean jj_3R_74() {
    if (jj_scan_token(LESS)) return true;
    if (jj_la == 0 && jj_scanpos == jj_lastpos) return false;
    return false;
  }

  final private boolean jj_3R_73() {
    if (jj_scan_token(GREATEREQUAL)) return true;
    if (jj_la == 0 && jj_scanpos == jj_lastpos) return false;
    return false;
  }

  final private boolean jj_3R_72() {
    if (jj_scan_token(GREATER)) return true;
    if (jj_la == 0 && jj_scanpos == jj_lastpos) return false;
    return false;
  }

  final private boolean jj_3R_35() {
    Token xsp;
    xsp = jj_scanpos;
    if (jj_3R_72()) {
    jj_scanpos = xsp;
    if (jj_3R_73()) {
    jj_scanpos = xsp;
    if (jj_3R_74()) {
    jj_scanpos = xsp;
    if (jj_3R_75()) return true;
    if (jj_la == 0 && jj_scanpos == jj_lastpos) return false;
    } else if (jj_la == 0 && jj_scanpos == jj_lastpos) return false;
    } else if (jj_la == 0 && jj_scanpos == jj_lastpos) return false;
    } else if (jj_la == 0 && jj_scanpos == jj_lastpos) return false;
    if (jj_3R_76()) return true;
    if (jj_la == 0 && jj_scanpos == jj_lastpos) return false;
    return false;
  }

  final private boolean jj_3R_153() {
    if (jj_scan_token(AT)) return true;
    if (jj_la == 0 && jj_scanpos == jj_lastpos) return false;
    return false;
  }

  final private boolean jj_3R_152() {
    Token xsp;
    xsp = jj_scanpos;
    if (jj_3_20()) {
    jj_scanpos = xsp;
    if (jj_3R_153()) return true;
    if (jj_la == 0 && jj_scanpos == jj_lastpos) return false;
    } else if (jj_la == 0 && jj_scanpos == jj_lastpos) return false;
    return false;
  }

  final private boolean jj_3R_143() {
    if (jj_scan_token(EXPORT)) return true;
    if (jj_la == 0 && jj_scanpos == jj_lastpos) return false;
    if (jj_3R_147()) return true;
    if (jj_la == 0 && jj_scanpos == jj_lastpos) return false;
    return false;
  }

  final private boolean jj_3_20() {
    if (jj_scan_token(TICK)) return true;
    if (jj_la == 0 && jj_scanpos == jj_lastpos) return false;
    return false;
  }

  final private boolean jj_3_29() {
    if (jj_scan_token(COMMA)) return true;
    if (jj_la == 0 && jj_scanpos == jj_lastpos) return false;
    if (jj_3R_47()) return true;
    if (jj_la == 0 && jj_scanpos == jj_lastpos) return false;
    return false;
  }

  final private boolean jj_3R_27() {
    if (jj_scan_token(AND)) return true;
    if (jj_la == 0 && jj_scanpos == jj_lastpos) return false;
    if (jj_3R_50()) return true;
    if (jj_la == 0 && jj_scanpos == jj_lastpos) return false;
    return false;
  }

  final private boolean jj_3R_147() {
    if (jj_3R_30()) return true;
    if (jj_la == 0 && jj_scanpos == jj_lastpos) return false;
    return false;
  }

  final private boolean jj_3_1() {
    if (jj_scan_token(EXPORT)) return true;
    if (jj_la == 0 && jj_scanpos == jj_lastpos) return false;
    if (jj_scan_token(ALL)) return true;
    if (jj_la == 0 && jj_scanpos == jj_lastpos) return false;
    return false;
  }

  final private boolean jj_3R_128() {
    if (jj_3R_143()) return true;
    if (jj_la == 0 && jj_scanpos == jj_lastpos) return false;
    return false;
  }

  final private boolean jj_3R_95() {
    Token xsp;
    xsp = jj_scanpos;
    if (jj_3_1()) {
    jj_scanpos = xsp;
    if (jj_3R_114()) return true;
    if (jj_la == 0 && jj_scanpos == jj_lastpos) return false;
    } else if (jj_la == 0 && jj_scanpos == jj_lastpos) return false;
    return false;
  }

  final private boolean jj_3R_114() {
    Token xsp;
    if (jj_3R_128()) return true;
    if (jj_la == 0 && jj_scanpos == jj_lastpos) return false;
    while (true) {
      xsp = jj_scanpos;
      if (jj_3R_128()) { jj_scanpos = xsp; break; }
      if (jj_la == 0 && jj_scanpos == jj_lastpos) return false;
    }
    return false;
  }

  final private boolean jj_3R_119() {
    if (jj_3R_93()) return true;
    if (jj_la == 0 && jj_scanpos == jj_lastpos) return false;
    Token xsp;
    xsp = jj_scanpos;
    if (jj_3R_152()) jj_scanpos = xsp;
    else if (jj_la == 0 && jj_scanpos == jj_lastpos) return false;
    return false;
  }

  final private boolean jj_3R_30() {
    if (jj_scan_token(IDENTIFIER)) return true;
    if (jj_la == 0 && jj_scanpos == jj_lastpos) return false;
    return false;
  }

  final private boolean jj_3_13() {
    if (jj_3R_35()) return true;
    if (jj_la == 0 && jj_scanpos == jj_lastpos) return false;
    return false;
  }

  final private boolean jj_3R_71() {
    if (jj_3R_76()) return true;
    if (jj_la == 0 && jj_scanpos == jj_lastpos) return false;
    Token xsp;
    while (true) {
      xsp = jj_scanpos;
      if (jj_3_13()) { jj_scanpos = xsp; break; }
      if (jj_la == 0 && jj_scanpos == jj_lastpos) return false;
    }
    return false;
  }

  final private boolean jj_3_2() {
    if (jj_3R_27()) return true;
    if (jj_la == 0 && jj_scanpos == jj_lastpos) return false;
    return false;
  }

  final private boolean jj_3R_115() {
    if (jj_3R_50()) return true;
    if (jj_la == 0 && jj_scanpos == jj_lastpos) return false;
    return false;
  }

  final private boolean jj_3R_70() {
    if (jj_scan_token(MIN)) return true;
    if (jj_la == 0 && jj_scanpos == jj_lastpos) return false;
    return false;
  }

  final private boolean jj_3R_69() {
    if (jj_scan_token(NAND)) return true;
    if (jj_la == 0 && jj_scanpos == jj_lastpos) return false;
    return false;
  }

  final private boolean jj_3R_68() {
    if (jj_scan_token(AND)) return true;
    if (jj_la == 0 && jj_scanpos == jj_lastpos) return false;
    return false;
  }

  final private boolean jj_3R_34() {
    Token xsp;
    xsp = jj_scanpos;
    if (jj_3R_68()) {
    jj_scanpos = xsp;
    if (jj_3R_69()) {
    jj_scanpos = xsp;
    if (jj_3R_70()) return true;
    if (jj_la == 0 && jj_scanpos == jj_lastpos) return false;
    } else if (jj_la == 0 && jj_scanpos == jj_lastpos) return false;
    } else if (jj_la == 0 && jj_scanpos == jj_lastpos) return false;
    if (jj_3R_71()) return true;
    if (jj_la == 0 && jj_scanpos == jj_lastpos) return false;
    return false;
  }

  final private boolean jj_3_23() {
    if (jj_3R_45()) return true;
    if (jj_la == 0 && jj_scanpos == jj_lastpos) return false;
    return false;
  }

  final private boolean jj_3R_121() {
    if (jj_scan_token(LET)) return true;
    if (jj_la == 0 && jj_scanpos == jj_lastpos) return false;
    if (jj_scan_token(LPAREN)) return true;
    if (jj_la == 0 && jj_scanpos == jj_lastpos) return false;
    return false;
  }

  final private boolean jj_3R_90() {
    if (jj_scan_token(IS)) return true;
    if (jj_la == 0 && jj_scanpos == jj_lastpos) return false;
    return false;
  }

  final private boolean jj_3R_126() {
    if (jj_scan_token(UNDERSCORE)) return true;
    if (jj_la == 0 && jj_scanpos == jj_lastpos) return false;
    return false;
  }

  final private boolean jj_3_22() {
    if (jj_3R_45()) return true;
    if (jj_la == 0 && jj_scanpos == jj_lastpos) return false;
    return false;
  }

  final private boolean jj_3R_111() {
    if (jj_scan_token(LPAREN)) return true;
    if (jj_la == 0 && jj_scanpos == jj_lastpos) return false;
    Token xsp;
    xsp = jj_scanpos;
    if (jj_3_22()) {
    jj_scanpos = xsp;
    if (jj_3R_126()) return true;
    if (jj_la == 0 && jj_scanpos == jj_lastpos) return false;
    } else if (jj_la == 0 && jj_scanpos == jj_lastpos) return false;
    return false;
  }

  final private boolean jj_3R_133() {
    if (jj_scan_token(PERCENT)) return true;
    if (jj_la == 0 && jj_scanpos == jj_lastpos) return false;
    return false;
  }

  final private boolean jj_3R_132() {
    if (jj_scan_token(DOLLAR)) return true;
    if (jj_la == 0 && jj_scanpos == jj_lastpos) return false;
    return false;
  }

  final private boolean jj_3R_131() {
    if (jj_scan_token(HASH)) return true;
    if (jj_la == 0 && jj_scanpos == jj_lastpos) return false;
    return false;
  }

  final private boolean jj_3R_130() {
    if (jj_scan_token(TILDA)) return true;
    if (jj_la == 0 && jj_scanpos == jj_lastpos) return false;
    return false;
  }

  final private boolean jj_3_12() {
    if (jj_3R_34()) return true;
    if (jj_la == 0 && jj_scanpos == jj_lastpos) return false;
    return false;
  }

  final private boolean jj_3R_129() {
    if (jj_scan_token(MINUS)) return true;
    if (jj_la == 0 && jj_scanpos == jj_lastpos) return false;
    return false;
  }

  final private boolean jj_3_28() {
    if (jj_scan_token(NOT)) return true;
    if (jj_la == 0 && jj_scanpos == jj_lastpos) return false;
    return false;
  }

  final private boolean jj_3R_120() {
    Token xsp;
    xsp = jj_scanpos;
    if (jj_3_28()) {
    jj_scanpos = xsp;
    if (jj_3R_129()) {
    jj_scanpos = xsp;
    if (jj_3R_130()) {
    jj_scanpos = xsp;
    if (jj_3R_131()) {
    jj_scanpos = xsp;
    if (jj_3R_132()) {
    jj_scanpos = xsp;
    if (jj_3R_133()) return true;
    if (jj_la == 0 && jj_scanpos == jj_lastpos) return false;
    } else if (jj_la == 0 && jj_scanpos == jj_lastpos) return false;
    } else if (jj_la == 0 && jj_scanpos == jj_lastpos) return false;
    } else if (jj_la == 0 && jj_scanpos == jj_lastpos) return false;
    } else if (jj_la == 0 && jj_scanpos == jj_lastpos) return false;
    } else if (jj_la == 0 && jj_scanpos == jj_lastpos) return false;
    if (jj_3R_86()) return true;
    if (jj_la == 0 && jj_scanpos == jj_lastpos) return false;
    return false;
  }

  final private boolean jj_3R_67() {
    if (jj_3R_71()) return true;
    if (jj_la == 0 && jj_scanpos == jj_lastpos) return false;
    Token xsp;
    while (true) {
      xsp = jj_scanpos;
      if (jj_3_12()) { jj_scanpos = xsp; break; }
      if (jj_la == 0 && jj_scanpos == jj_lastpos) return false;
    }
    return false;
  }

  final private boolean jj_3_21() {
    if (jj_scan_token(LSQUARE)) return true;
    if (jj_la == 0 && jj_scanpos == jj_lastpos) return false;
    if (jj_3R_45()) return true;
    if (jj_la == 0 && jj_scanpos == jj_lastpos) return false;
    return false;
  }

  final private boolean jj_3R_112() {
    Token xsp;
    if (jj_3_21()) return true;
    if (jj_la == 0 && jj_scanpos == jj_lastpos) return false;
    while (true) {
      xsp = jj_scanpos;
      if (jj_3_21()) { jj_scanpos = xsp; break; }
      if (jj_la == 0 && jj_scanpos == jj_lastpos) return false;
    }
    return false;
  }

  final private boolean jj_3R_96() {
    if (jj_3R_115()) return true;
    if (jj_la == 0 && jj_scanpos == jj_lastpos) return false;
    return false;
  }

  final private boolean jj_3R_125() {
    if (jj_scan_token(CONSTANT_LITERAL)) return true;
    if (jj_la == 0 && jj_scanpos == jj_lastpos) return false;
    return false;
  }

  final private boolean jj_3R_66() {
    if (jj_scan_token(XNOR)) return true;
    if (jj_la == 0 && jj_scanpos == jj_lastpos) return false;
    return false;
  }

  final private boolean jj_3R_65() {
    if (jj_scan_token(XOR)) return true;
    if (jj_la == 0 && jj_scanpos == jj_lastpos) return false;
    return false;
  }

  final private boolean jj_3R_64() {
    if (jj_scan_token(NOR)) return true;
    if (jj_la == 0 && jj_scanpos == jj_lastpos) return false;
    return false;
  }

  final private boolean jj_3R_63() {
    if (jj_scan_token(OR)) return true;
    if (jj_la == 0 && jj_scanpos == jj_lastpos) return false;
    return false;
  }

  final private boolean jj_3R_62() {
    if (jj_scan_token(NMAX)) return true;
    if (jj_la == 0 && jj_scanpos == jj_lastpos) return false;
    return false;
  }

  final private boolean jj_3R_61() {
    if (jj_scan_token(NMIN)) return true;
    if (jj_la == 0 && jj_scanpos == jj_lastpos) return false;
    return false;
  }

  final private boolean jj_3R_60() {
    if (jj_scan_token(MAX)) return true;
    if (jj_la == 0 && jj_scanpos == jj_lastpos) return false;
    return false;
  }

  final private boolean jj_3_18() {
    if (jj_scan_token(CHARACTER_LITERAL)) return true;
    if (jj_la == 0 && jj_scanpos == jj_lastpos) return false;
    return false;
  }

  final private boolean jj_3R_59() {
    if (jj_scan_token(IMPLIEDBY)) return true;
    if (jj_la == 0 && jj_scanpos == jj_lastpos) return false;
    return false;
  }

  final private boolean jj_3R_110() {
    Token xsp;
    xsp = jj_scanpos;
    if (jj_3_18()) {
    jj_scanpos = xsp;
    if (jj_3R_125()) return true;
    if (jj_la == 0 && jj_scanpos == jj_lastpos) return false;
    } else if (jj_la == 0 && jj_scanpos == jj_lastpos) return false;
    return false;
  }

  final private boolean jj_3R_58() {
    if (jj_scan_token(IMPLIES)) return true;
    if (jj_la == 0 && jj_scanpos == jj_lastpos) return false;
    return false;
  }

  final private boolean jj_3R_33() {
    Token xsp;
    xsp = jj_scanpos;
    if (jj_3R_58()) {
    jj_scanpos = xsp;
    if (jj_3R_59()) {
    jj_scanpos = xsp;
    if (jj_3R_60()) {
    jj_scanpos = xsp;
    if (jj_3R_61()) {
    jj_scanpos = xsp;
    if (jj_3R_62()) {
    jj_scanpos = xsp;
    if (jj_3R_63()) {
    jj_scanpos = xsp;
    if (jj_3R_64()) {
    jj_scanpos = xsp;
    if (jj_3R_65()) {
    jj_scanpos = xsp;
    if (jj_3R_66()) return true;
    if (jj_la == 0 && jj_scanpos == jj_lastpos) return false;
    } else if (jj_la == 0 && jj_scanpos == jj_lastpos) return false;
    } else if (jj_la == 0 && jj_scanpos == jj_lastpos) return false;
    } else if (jj_la == 0 && jj_scanpos == jj_lastpos) return false;
    } else if (jj_la == 0 && jj_scanpos == jj_lastpos) return false;
    } else if (jj_la == 0 && jj_scanpos == jj_lastpos) return false;
    } else if (jj_la == 0 && jj_scanpos == jj_lastpos) return false;
    } else if (jj_la == 0 && jj_scanpos == jj_lastpos) return false;
    } else if (jj_la == 0 && jj_scanpos == jj_lastpos) return false;
    if (jj_3R_67()) return true;
    if (jj_la == 0 && jj_scanpos == jj_lastpos) return false;
    return false;
  }

  final private boolean jj_3R_54() {
    if (jj_scan_token(NULL)) return true;
    if (jj_la == 0 && jj_scanpos == jj_lastpos) return false;
    return false;
  }

  final private boolean jj_3R_87() {
    Token xsp;
    xsp = jj_scanpos;
    if (jj_3R_108()) {
    jj_scanpos = xsp;
    if (jj_3R_109()) {
    jj_scanpos = xsp;
    if (jj_3R_110()) return true;
    if (jj_la == 0 && jj_scanpos == jj_lastpos) return false;
    } else if (jj_la == 0 && jj_scanpos == jj_lastpos) return false;
    } else if (jj_la == 0 && jj_scanpos == jj_lastpos) return false;
    return false;
  }

  final private boolean jj_3R_108() {
    if (jj_scan_token(FLOAT_LITERAL)) return true;
    if (jj_la == 0 && jj_scanpos == jj_lastpos) return false;
    return false;
  }

  final private boolean jj_3R_109() {
    if (jj_scan_token(INTEGER_LITERAL)) return true;
    if (jj_la == 0 && jj_scanpos == jj_lastpos) return false;
    return false;
  }

  final private boolean jj_3R_48() {
    if (jj_3R_45()) return true;
    if (jj_la == 0 && jj_scanpos == jj_lastpos) return false;
    Token xsp;
    xsp = jj_scanpos;
    if (jj_3R_90()) jj_scanpos = xsp;
    else if (jj_la == 0 && jj_scanpos == jj_lastpos) return false;
    return false;
  }

  final private boolean jj_3R_53() {
    if (jj_3R_96()) return true;
    if (jj_la == 0 && jj_scanpos == jj_lastpos) return false;
    return false;
  }

  final private boolean jj_3R_107() {
    if (jj_3R_124()) return true;
    if (jj_la == 0 && jj_scanpos == jj_lastpos) return false;
    return false;
  }

  final private boolean jj_3R_52() {
    if (jj_3R_95()) return true;
    if (jj_la == 0 && jj_scanpos == jj_lastpos) return false;
    return false;
  }

  final private boolean jj_3_11() {
    if (jj_3R_33()) return true;
    if (jj_la == 0 && jj_scanpos == jj_lastpos) return false;
    return false;
  }

  final private boolean jj_3R_106() {
    if (jj_3R_123()) return true;
    if (jj_la == 0 && jj_scanpos == jj_lastpos) return false;
    return false;
  }

  final private boolean jj_3R_105() {
    if (jj_3R_122()) return true;
    if (jj_la == 0 && jj_scanpos == jj_lastpos) return false;
    return false;
  }

  final private boolean jj_3R_104() {
    if (jj_3R_121()) return true;
    if (jj_la == 0 && jj_scanpos == jj_lastpos) return false;
    return false;
  }

  final private boolean jj_3R_51() {
    if (jj_3R_94()) return true;
    if (jj_la == 0 && jj_scanpos == jj_lastpos) return false;
    return false;
  }

  final private boolean jj_3R_57() {
    if (jj_3R_67()) return true;
    if (jj_la == 0 && jj_scanpos == jj_lastpos) return false;
    Token xsp;
    while (true) {
      xsp = jj_scanpos;
      if (jj_3_11()) { jj_scanpos = xsp; break; }
      if (jj_la == 0 && jj_scanpos == jj_lastpos) return false;
    }
    return false;
  }

  final private boolean jj_3R_103() {
    if (jj_3R_120()) return true;
    if (jj_la == 0 && jj_scanpos == jj_lastpos) return false;
    return false;
  }

  final private boolean jj_3R_122() {
    if (jj_scan_token(IF)) return true;
    if (jj_la == 0 && jj_scanpos == jj_lastpos) return false;
    if (jj_3R_45()) return true;
    if (jj_la == 0 && jj_scanpos == jj_lastpos) return false;
    return false;
  }

  final private boolean jj_3R_28() {
    Token xsp;
    xsp = jj_scanpos;
    if (jj_3R_51()) jj_scanpos = xsp;
    else if (jj_la == 0 && jj_scanpos == jj_lastpos) return false;
    xsp = jj_scanpos;
    if (jj_3R_52()) jj_scanpos = xsp;
    else if (jj_la == 0 && jj_scanpos == jj_lastpos) return false;
    if (jj_scan_token(BEGIN)) return true;
    if (jj_la == 0 && jj_scanpos == jj_lastpos) return false;
    xsp = jj_scanpos;
    if (jj_3R_53()) {
    jj_scanpos = xsp;
    if (jj_3R_54()) return true;
    if (jj_la == 0 && jj_scanpos == jj_lastpos) return false;
    } else if (jj_la == 0 && jj_scanpos == jj_lastpos) return false;
    return false;
  }

  final private boolean jj_3R_102() {
    if (jj_3R_119()) return true;
    if (jj_la == 0 && jj_scanpos == jj_lastpos) return false;
    return false;
  }

  final private boolean jj_3R_101() {
    if (jj_3R_118()) return true;
    if (jj_la == 0 && jj_scanpos == jj_lastpos) return false;
    return false;
  }

  final private boolean jj_3R_100() {
    if (jj_3R_117()) return true;
    if (jj_la == 0 && jj_scanpos == jj_lastpos) return false;
    return false;
  }

  final private boolean jj_3R_99() {
    if (jj_3R_112()) return true;
    if (jj_la == 0 && jj_scanpos == jj_lastpos) return false;
    return false;
  }

  final private boolean jj_3_5() {
    if (jj_3R_28()) return true;
    if (jj_la == 0 && jj_scanpos == jj_lastpos) return false;
    return false;
  }

  final private boolean jj_3R_142() {
    if (jj_3R_146()) return true;
    if (jj_la == 0 && jj_scanpos == jj_lastpos) return false;
    return false;
  }

  final private boolean jj_3R_56() {
    if (jj_scan_token(NOTEQUAL)) return true;
    if (jj_la == 0 && jj_scanpos == jj_lastpos) return false;
    return false;
  }

  final private boolean jj_3R_98() {
    if (jj_3R_116()) return true;
    if (jj_la == 0 && jj_scanpos == jj_lastpos) return false;
    return false;
  }

  final private boolean jj_3R_141() {
    if (jj_3R_145()) return true;
    if (jj_la == 0 && jj_scanpos == jj_lastpos) return false;
    return false;
  }

  final private boolean jj_3_10() {
    if (jj_scan_token(EQUAL)) return true;
    if (jj_la == 0 && jj_scanpos == jj_lastpos) return false;
    return false;
  }

  final private boolean jj_3_30() {
    if (jj_3R_48()) return true;
    if (jj_la == 0 && jj_scanpos == jj_lastpos) return false;
    return false;
  }

  final private boolean jj_3R_140() {
    if (jj_3R_144()) return true;
    if (jj_la == 0 && jj_scanpos == jj_lastpos) return false;
    return false;
  }

  final private boolean jj_3R_97() {
    if (jj_3R_87()) return true;
    if (jj_la == 0 && jj_scanpos == jj_lastpos) return false;
    return false;
  }

  final private boolean jj_3R_32() {
    Token xsp;
    xsp = jj_scanpos;
    if (jj_3_10()) {
    jj_scanpos = xsp;
    if (jj_3R_56()) return true;
    if (jj_la == 0 && jj_scanpos == jj_lastpos) return false;
    } else if (jj_la == 0 && jj_scanpos == jj_lastpos) return false;
    if (jj_3R_57()) return true;
    if (jj_la == 0 && jj_scanpos == jj_lastpos) return false;
    return false;
  }

  final private boolean jj_3R_127() {
    Token xsp;
    xsp = jj_scanpos;
    if (jj_3R_140()) {
    jj_scanpos = xsp;
    if (jj_3R_141()) {
    jj_scanpos = xsp;
    if (jj_3R_142()) return true;
    if (jj_la == 0 && jj_scanpos == jj_lastpos) return false;
    } else if (jj_la == 0 && jj_scanpos == jj_lastpos) return false;
    } else if (jj_la == 0 && jj_scanpos == jj_lastpos) return false;
    return false;
  }

  final private boolean jj_3R_86() {
    Token xsp;
    xsp = jj_scanpos;
    if (jj_3R_97()) {
    jj_scanpos = xsp;
    if (jj_3R_98()) {
    jj_scanpos = xsp;
    if (jj_3R_99()) {
    jj_scanpos = xsp;
    if (jj_3R_100()) {
    jj_scanpos = xsp;
    if (jj_3R_101()) {
    jj_scanpos = xsp;
    if (jj_3R_102()) {
    jj_scanpos = xsp;
    if (jj_3R_103()) {
    jj_scanpos = xsp;
    if (jj_3R_104()) {
    jj_scanpos = xsp;
    if (jj_3R_105()) {
    jj_scanpos = xsp;
    if (jj_3R_106()) {
    jj_scanpos = xsp;
    if (jj_3R_107()) return true;
    if (jj_la == 0 && jj_scanpos == jj_lastpos) return false;
    } else if (jj_la == 0 && jj_scanpos == jj_lastpos) return false;
    } else if (jj_la == 0 && jj_scanpos == jj_lastpos) return false;
    } else if (jj_la == 0 && jj_scanpos == jj_lastpos) return false;
    } else if (jj_la == 0 && jj_scanpos == jj_lastpos) return false;
    } else if (jj_la == 0 && jj_scanpos == jj_lastpos) return false;
    } else if (jj_la == 0 && jj_scanpos == jj_lastpos) return false;
    } else if (jj_la == 0 && jj_scanpos == jj_lastpos) return false;
    } else if (jj_la == 0 && jj_scanpos == jj_lastpos) return false;
    } else if (jj_la == 0 && jj_scanpos == jj_lastpos) return false;
    } else if (jj_la == 0 && jj_scanpos == jj_lastpos) return false;
    return false;
  }

  final private boolean jj_3R_91() {
    if (jj_3R_30()) return true;
    if (jj_la == 0 && jj_scanpos == jj_lastpos) return false;
    return false;
  }

  final private boolean jj_3R_150() {
    if (jj_scan_token(COMMA)) return true;
    if (jj_la == 0 && jj_scanpos == jj_lastpos) return false;
    return false;
  }

  final private boolean jj_3R_149() {
    if (jj_3R_151()) return true;
    if (jj_la == 0 && jj_scanpos == jj_lastpos) return false;
    return false;
  }

  final private boolean jj_3R_148() {
    Token xsp;
    xsp = jj_scanpos;
    if (jj_3R_149()) {
    jj_scanpos = xsp;
    if (jj_3R_150()) return true;
    if (jj_la == 0 && jj_scanpos == jj_lastpos) return false;
    } else if (jj_la == 0 && jj_scanpos == jj_lastpos) return false;
    return false;
  }

  final private boolean jj_3R_145() {
    if (jj_3R_30()) return true;
    if (jj_la == 0 && jj_scanpos == jj_lastpos) return false;
    Token xsp;
    xsp = jj_scanpos;
    if (jj_3R_148()) jj_scanpos = xsp;
    else if (jj_la == 0 && jj_scanpos == jj_lastpos) return false;
    if (jj_scan_token(MEMBER)) return true;
    if (jj_la == 0 && jj_scanpos == jj_lastpos) return false;
    return false;
  }

  final private boolean jj_3_4() {
    if (jj_3R_28()) return true;
    if (jj_la == 0 && jj_scanpos == jj_lastpos) return false;
    return false;
  }

  final private boolean jj_3_9() {
    if (jj_3R_32()) return true;
    if (jj_la == 0 && jj_scanpos == jj_lastpos) return false;
    return false;
  }

  final private boolean jj_3_27() {
    if (jj_3R_45()) return true;
    if (jj_la == 0 && jj_scanpos == jj_lastpos) return false;
    return false;
  }

  final private boolean jj_3R_113() {
    if (jj_3R_127()) return true;
    if (jj_la == 0 && jj_scanpos == jj_lastpos) return false;
    return false;
  }

  final private boolean jj_3R_94() {
    Token xsp;
    if (jj_3R_113()) return true;
    if (jj_la == 0 && jj_scanpos == jj_lastpos) return false;
    while (true) {
      xsp = jj_scanpos;
      if (jj_3R_113()) { jj_scanpos = xsp; break; }
      if (jj_la == 0 && jj_scanpos == jj_lastpos) return false;
    }
    return false;
  }

  final private boolean jj_3R_55() {
    if (jj_3R_57()) return true;
    if (jj_la == 0 && jj_scanpos == jj_lastpos) return false;
    Token xsp;
    while (true) {
      xsp = jj_scanpos;
      if (jj_3_9()) { jj_scanpos = xsp; break; }
      if (jj_la == 0 && jj_scanpos == jj_lastpos) return false;
    }
    return false;
  }

  final private boolean jj_3R_117() {
    if (jj_scan_token(LBRACE)) return true;
    if (jj_la == 0 && jj_scanpos == jj_lastpos) return false;
    Token xsp;
    xsp = jj_scanpos;
    if (jj_3_27()) jj_scanpos = xsp;
    else if (jj_la == 0 && jj_scanpos == jj_lastpos) return false;
    if (jj_scan_token(RBRACE)) return true;
    if (jj_la == 0 && jj_scanpos == jj_lastpos) return false;
    return false;
  }

  final private boolean jj_3R_49() {
    if (jj_scan_token(DATA)) return true;
    if (jj_la == 0 && jj_scanpos == jj_lastpos) return false;
    if (jj_3R_91()) return true;
    if (jj_la == 0 && jj_scanpos == jj_lastpos) return false;
    return false;
  }

  final private boolean jj_3R_124() {
    if (jj_scan_token(ENUMERATION)) return true;
    if (jj_la == 0 && jj_scanpos == jj_lastpos) return false;
    if (jj_scan_token(LSQUARE)) return true;
    if (jj_la == 0 && jj_scanpos == jj_lastpos) return false;
    return false;
  }

  final private boolean jj_3R_31() {
    if (jj_scan_token(EQEQ)) return true;
    if (jj_la == 0 && jj_scanpos == jj_lastpos) return false;
    if (jj_3R_55()) return true;
    if (jj_la == 0 && jj_scanpos == jj_lastpos) return false;
    return false;
  }

  final private boolean jj_3R_39() {
    if (jj_scan_token(IN)) return true;
    if (jj_la == 0 && jj_scanpos == jj_lastpos) return false;
    return false;
  }

  final private boolean jj_3R_38() {
    if (jj_scan_token(MEMBER)) return true;
    if (jj_la == 0 && jj_scanpos == jj_lastpos) return false;
    return false;
  }

  final private boolean jj_3_3() {
    if (jj_3R_28()) return true;
    if (jj_la == 0 && jj_scanpos == jj_lastpos) return false;
    return false;
  }

  final private boolean jj_3_16() {
    if (jj_scan_token(EXPONENT)) return true;
    if (jj_la == 0 && jj_scanpos == jj_lastpos) return false;
    return false;
  }

  final private boolean jj_3_17() {
    Token xsp;
    xsp = jj_scanpos;
    if (jj_3_16()) {
    jj_scanpos = xsp;
    if (jj_3R_38()) {
    jj_scanpos = xsp;
    if (jj_3R_39()) return true;
    if (jj_la == 0 && jj_scanpos == jj_lastpos) return false;
    } else if (jj_la == 0 && jj_scanpos == jj_lastpos) return false;
    } else if (jj_la == 0 && jj_scanpos == jj_lastpos) return false;
    if (jj_3R_40()) return true;
    if (jj_la == 0 && jj_scanpos == jj_lastpos) return false;
    return false;
  }

  final private boolean jj_3_26() {
    if (jj_3R_46()) return true;
    if (jj_la == 0 && jj_scanpos == jj_lastpos) return false;
    return false;
  }

  final private boolean jj_3R_40() {
    if (jj_3R_86()) return true;
    if (jj_la == 0 && jj_scanpos == jj_lastpos) return false;
    Token xsp;
    xsp = jj_scanpos;
    if (jj_3_17()) jj_scanpos = xsp;
    else if (jj_la == 0 && jj_scanpos == jj_lastpos) return false;
    return false;
  }

  final private boolean jj_3R_89() {
    if (jj_3R_112()) return true;
    if (jj_la == 0 && jj_scanpos == jj_lastpos) return false;
    return false;
  }

  final private boolean jj_3R_88() {
    if (jj_3R_111()) return true;
    if (jj_la == 0 && jj_scanpos == jj_lastpos) return false;
    return false;
  }

  public SldlParserTokenManager token_source;
  ASCII_CharStream jj_input_stream;
  public Token token, jj_nt;
  private int jj_ntk;
  private Token jj_scanpos, jj_lastpos;
  private int jj_la;
  public boolean lookingAhead = false;
  private boolean jj_semLA;

  public SldlParser(java.io.InputStream stream) {
    jj_input_stream = new ASCII_CharStream(stream, 1, 1);
    token_source = new SldlParserTokenManager(jj_input_stream);
    token = new Token();
    jj_ntk = -1;
  }

  public void ReInit(java.io.InputStream stream) {
    jj_input_stream.ReInit(stream, 1, 1);
    token_source.ReInit(jj_input_stream);
    token = new Token();
    jj_ntk = -1;
  }

  public SldlParser(java.io.Reader stream) {
    jj_input_stream = new ASCII_CharStream(stream, 1, 1);
    token_source = new SldlParserTokenManager(jj_input_stream);
    token = new Token();
    jj_ntk = -1;
  }

  public void ReInit(java.io.Reader stream) {
    jj_input_stream.ReInit(stream, 1, 1);
    token_source.ReInit(jj_input_stream);
    token = new Token();
    jj_ntk = -1;
  }

  public SldlParser(SldlParserTokenManager tm) {
    token_source = tm;
    token = new Token();
    jj_ntk = -1;
  }

  public void ReInit(SldlParserTokenManager tm) {
    token_source = tm;
    token = new Token();
    jj_ntk = -1;
  }

  final private Token jj_consume_token(int kind) throws ParseException {
    Token oldToken;
    if ((oldToken = token).next != null) token = token.next;
    else token = token.next = token_source.getNextToken();
    jj_ntk = -1;
    if (token.kind == kind) {
      return token;
    }
    token = oldToken;
    throw generateParseException();
  }

  final private boolean jj_scan_token(int kind) {
    if (jj_scanpos == jj_lastpos) {
      jj_la--;
      if (jj_scanpos.next == null) {
        jj_lastpos = jj_scanpos = jj_scanpos.next = token_source.getNextToken();
      } else {
        jj_lastpos = jj_scanpos = jj_scanpos.next;
      }
    } else {
      jj_scanpos = jj_scanpos.next;
    }
    return (jj_scanpos.kind != kind);
  }

  final public Token getNextToken() {
    if (token.next != null) token = token.next;
    else token = token.next = token_source.getNextToken();
    jj_ntk = -1;
    return token;
  }

  final public Token getToken(int index) {
    Token t = lookingAhead ? jj_scanpos : token;
    for (int i = 0; i < index; i++) {
      if (t.next != null) t = t.next;
      else t = t.next = token_source.getNextToken();
    }
    return t;
  }

  final private int jj_ntk() {
    if ((jj_nt=token.next) == null)
      return (jj_ntk = (token.next=token_source.getNextToken()).kind);
    else
      return (jj_ntk = jj_nt.kind);
  }

  final public ParseException generateParseException() {
    Token errortok = token.next;
    int line = errortok.beginLine, column = errortok.beginColumn;
    String mess = (errortok.kind == 0) ? tokenImage[0] : errortok.image;
    return new ParseException("Parse error at line " + line + ", column " + column + ".  Encountered: " + mess);
  }

  final public void enable_tracing() {
  }

  final public void disable_tracing() {
  }

}
